"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ColorSection: true,
  ButtonSection: true,
  LinkSection: true,
  LogoSection: true,
  InputSection: true,
  IconSection: true,
  MessagePageCrateSection: true,
  DialogSection: true,
  DrugBoxSection: true
};
Object.defineProperty(exports, "DialogSection", {
  enumerable: true,
  get: function () {
    return _dialogSection.default;
  }
});
Object.defineProperty(exports, "DrugBoxSection", {
  enumerable: true,
  get: function () {
    return _drugboxSection.DrugBoxSection;
  }
});
exports.MessagePageCrateSection = exports.IconSection = exports.InputSection = exports.LogoSection = exports.LinkSection = exports.ButtonSection = exports.ColorSection = void 0;

var _preact = require("preact");

var _ = require("../");

var _colors = require("../colors");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _introspect = _interopRequireDefault(require("./introspect"));

var _checkMark = require("../check-mark");

var _dialogSection = _interopRequireDefault(require("./dialog-section"));

var _drugboxSection = require("./drugbox-section");

var _formSection = require("./form-section");

Object.keys(_formSection).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _formSection[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formSection[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ColorSection = () => (0, _preact.h)(_section.default, {
  title: "Colors"
}, (0, _preact.h)("div", {
  className: "flex flex-wrap items-center"
}, Object.keys(_colors.colors).map(name => (0, _preact.h)("div", {
  key: name,
  className: "mb2 mr2"
}, (0, _preact.h)("div", {
  className: "ba b--light-gray mb1 w4 h2 bg-".concat(name)
}), (0, _preact.h)("div", {
  className: "f7"
}, name)))));

exports.ColorSection = ColorSection;

const ButtonSection = () => (0, _preact.h)(_section.default, {
  title: "Buttons"
}, (0, _preact.h)(_introspect.default, {
  Component: _.Button,
  name: "Button",
  children: "Button"
}));

exports.ButtonSection = ButtonSection;

const LinkSection = () => (0, _preact.h)(_section.default, {
  title: "Links"
}, (0, _preact.h)(_componentCode.default, {
  name: "Link",
  code: "<Link href='something'>hi</Link>"
}, (0, _preact.h)(_.Link, {
  href: "something"
}, "Some text")), (0, _preact.h)(_componentCode.default, {
  name: "SupportLink",
  code: "<SupportLink />"
}, (0, _preact.h)(_.SupportLink, null)));

exports.LinkSection = LinkSection;

const LogoSection = () => (0, _preact.h)(_section.default, {
  title: "Logos"
}, (0, _preact.h)(_componentCode.default, {
  name: "LogoLight",
  code: "<LogoLight className=\"w5\" />"
}, (0, _preact.h)(_.LogoLight, {
  className: "w5"
})), (0, _preact.h)(_componentCode.default, {
  name: "LogoDark",
  code: "<div className=\"bg-dark-blue pa3 w5\">\n  <LogoDark />\n</div>"
}, (0, _preact.h)("div", {
  className: "bg-dark-blue pa3 w5"
}, (0, _preact.h)(_.LogoDark, null))));

exports.LogoSection = LogoSection;

const InputSection = () => (0, _preact.h)(_section.default, {
  title: "Inputs"
}, (0, _preact.h)(_componentCode.default, {
  name: "Input",
  code: "<Input />"
}, (0, _preact.h)(_.Input, null)), (0, _preact.h)(_componentCode.default, {
  name: "Select",
  code: "<Select>\n  <option>option 1</option>\n  <option>option 2</option>\n</Select>"
}, (0, _preact.h)(_.Select, null, (0, _preact.h)("option", null, "option 1"), (0, _preact.h)("option", null, "option 2"))), (0, _preact.h)(_componentCode.default, {
  name: "Textarea",
  code: "<Textarea />"
}, (0, _preact.h)(_.Textarea, null)), (0, _preact.h)(_componentCode.default, {
  name: "TooltipButton",
  code: "<TooltipButton />"
}, (0, _preact.h)(_.TooltipButton, {
  text: "some content"
}, "Stuff goes here")), (0, _preact.h)(_componentCode.default, {
  name: "CheckMark",
  code: "<CheckMark />"
}, (0, _preact.h)(_checkMark.CheckMark, {
  name: "name",
  label: "something"
})));

exports.InputSection = InputSection;

const IconSection = () => (0, _preact.h)(_section.default, {
  title: "Icons"
}, (0, _preact.h)(_componentCode.default, {
  name: "Icon",
  code: "<Icon icon=\"pill\" />\n<Icon icon=\"close\" />"
}, (0, _preact.h)(_.Icon, {
  icon: "pill"
}), (0, _preact.h)(_.Icon, {
  icon: "close"
})));

exports.IconSection = IconSection;

const MessagePageCrateSection = () => (0, _preact.h)(_section.default, {
  title: "Message Page Crate"
}, (0, _preact.h)(_componentCode.default, {
  name: "MessagePageCrate",
  code: "<MessagePageCrate loading>Loading</MessagePageCrate>\n<MessagePageCrate warning>Uh oh!</MessagePageCrate>\n<MessagePageCrate error>Aw Crap!</MessagePageCrate>"
}, (0, _preact.h)(_.MessagePageCrate, null, "Hello there!"), (0, _preact.h)(_.MessagePageCrate, {
  noShadow: true,
  wide: true,
  loading: true
}, "Loading"), (0, _preact.h)(_.MessagePageCrate, {
  warning: true,
  wide: true
}, "Uh oh!"), (0, _preact.h)(_.MessagePageCrate, {
  error: true
}, "Aw Crap!"), (0, _preact.h)(_.MessagePageCrate, {
  success: true
}, "Success!")));

exports.MessagePageCrateSection = MessagePageCrateSection;