"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const classMap = {
  dev: 'bg-yellow black',
  stage: 'bg-green black'
};
const fallback = 'bg-red white';

var _default = ({
  env
}) => {
  if (!env || env === 'prod') {
    return null;
  }

  return (0, _preact.h)("div", {
    style: {
      right: '0px',
      top: '0px',
      padding: '4px',
      fontSize: '10px',
      borderBottomLeftRadius: '4px'
    },
    className: (0, _classnames.default)('absolute z-999 br--bottom-left fw6', classMap[env] || fallback)
  }, env.toUpperCase());
};

exports.default = _default;