"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Footer = void 0;

var _preact = require("preact");

var _milliseconds = _interopRequireDefault(require("milliseconds"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const currentYear = new Date().getFullYear();

const getUpdatedText = updatedDate => {
  if (Date.now() - updatedDate < _milliseconds.default.weeks(2)) {
    const date = new Date(updatedDate);
    return "".concat(date.getMonth() + 1, "/").concat(date.getDate(), "/").concat((date.getFullYear() + '').slice(2));
  }
};

const linkClasses = 'link f6 gray no-underline underline-hover';

const Footer = ({
  privacyUrl = 'https://legal.anesthesiacharting.com/privacy',
  termsUrl = 'https://legal.anesthesiacharting.com/terms',
  version,
  privacyUpdatedDate,
  hideLinks,
  extra
}) => {
  const updateText = privacyUpdatedDate && getUpdatedText(privacyUpdatedDate);
  return (0, _preact.h)("footer", {
    className: "pt2 pb3 tc f6 gray mb7"
  }, "\xA9 ", currentYear, " I.V. Enterprises LLC ", version && "v".concat(version), ' ', !hideLinks && (0, _preact.h)("div", {
    className: "mt1 no-print"
  }, (0, _preact.h)("a", {
    className: linkClasses,
    href: termsUrl,
    rel: "noopener"
  }, "terms"), ' | ', (0, _preact.h)("a", {
    className: linkClasses,
    href: privacyUrl,
    rel: "noopener"
  }, "privacy"), updateText && " (updated ".concat(updateText, ")")), extra);
};

exports.Footer = Footer;