"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _omit = _interopRequireDefault(require("./utils/omit"));

var _pillIcon = _interopRequireDefault(require("./pill-icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const customIcons = {
  pill: _pillIcon.default
};

const Icon = props => {
  const {
    icon,
    size,
    className,
    style
  } = props;
  const rest = (0, _omit.default)(props, ['icon', 'size', 'className']);
  const px = "".concat(size || 24, "px");
  const styles = Object.assign({}, style, {
    fontSize: px,
    width: px,
    height: px
  });
  const Custom = customIcons[icon];
  return (0, _preact.h)("i", _extends({}, rest, {
    style: styles,
    className: (0, _classnames.default)('dib', {
      'material-icons': !Custom
    }, className)
  }), Custom ? (0, _preact.h)(Custom, null) : icon);
};

exports.Icon = Icon;