"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Question = void 0;

var _preact = require("preact");

var _formFields = require("./form-fields");

var _medicationField = _interopRequireDefault(require("./medication-field"));

var _multiMedicationEntryField = _interopRequireDefault(require("./multi-medication-entry-field"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const fieldMap = {
  choices: _formFields.SelectButtons,
  longText: _formFields.TextareaField,
  medications: _multiMedicationEntryField.default,
  medication: _medicationField.default,
  signature: _formFields.SignatureField,
  incrementor: _formFields.IncrementButtonField
};

const Question = ({
  item,
  updateValue,
  removeSuggestion,
  otherFieldTypes
}) => {
  if (item.hidden) {
    return null;
  }

  const MatchedComponent = otherFieldTypes && otherFieldTypes[item.type] || fieldMap[item.type] || _formFields.InputField;

  const props = _objectSpread({
    item,
    updateValue,
    removeSuggestion
  }, item.fieldSpecificProps || {});

  return (0, _preact.h)(MatchedComponent, props);
};

exports.Question = Question;