"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.throttle = void 0;

const throttle = (callback, delay) => {
  let timeout = null;

  const fn = (...args) => {
    if (!timeout) {
      timeout = setTimeout(function () {
        callback(...args);
        clearTimeout(timeout);
        timeout = null;
      }, delay);
    }
  };

  fn();
  return fn;
};

exports.throttle = throttle;