// modules are defined as an array
// [ module function, map of requires ]
//
// map of requires is short require name -> numeric require
//
// anything defined in a previous bundle is accessed via the
// orig method which is the require for previous bundles
parcelRequire = (function (modules, cache, entry, globalName) {
  // Save the require from previous bundle to this closure if any
  var previousRequire = typeof parcelRequire === 'function' && parcelRequire;
  var nodeRequire = typeof require === 'function' && require;

  function newRequire(name, jumped) {
    if (!cache[name]) {
      if (!modules[name]) {
        // if we cannot find the module within our internal map or
        // cache jump to the current global require ie. the last bundle
        // that was added to the page.
        var currentRequire = typeof parcelRequire === 'function' && parcelRequire;
        if (!jumped && currentRequire) {
          return currentRequire(name, true);
        }

        // If there are other bundles on this page the require from the
        // previous one is saved to 'previousRequire'. Repeat this as
        // many times as there are bundles until the module is found or
        // we exhaust the require chain.
        if (previousRequire) {
          return previousRequire(name, true);
        }

        // Try the node require function if it exists.
        if (nodeRequire && typeof name === 'string') {
          return nodeRequire(name);
        }

        var err = new Error('Cannot find module \'' + name + '\'');
        err.code = 'MODULE_NOT_FOUND';
        throw err;
      }

      localRequire.resolve = resolve;
      localRequire.cache = {};

      var module = cache[name] = new newRequire.Module(name);

      modules[name][0].call(module.exports, localRequire, module, module.exports, this);
    }

    return cache[name].exports;

    function localRequire(x){
      return newRequire(localRequire.resolve(x));
    }

    function resolve(x){
      return modules[name][1][x] || x;
    }
  }

  function Module(moduleName) {
    this.id = moduleName;
    this.bundle = newRequire;
    this.exports = {};
  }

  newRequire.isParcelRequire = true;
  newRequire.Module = Module;
  newRequire.modules = modules;
  newRequire.cache = cache;
  newRequire.parent = previousRequire;
  newRequire.register = function (id, exports) {
    modules[id] = [function (require, module) {
      module.exports = exports;
    }, {}];
  };

  var error;
  for (var i = 0; i < entry.length; i++) {
    try {
      newRequire(entry[i]);
    } catch (e) {
      // Save first error but execute all entries
      if (!error) {
        error = e;
      }
    }
  }

  if (entry.length) {
    // Expose entry point to Node, AMD or browser globals
    // Based on https://github.com/ForbesLindesay/umd/blob/master/template.js
    var mainExports = newRequire(entry[entry.length - 1]);

    // CommonJS
    if (typeof exports === "object" && typeof module !== "undefined") {
      module.exports = mainExports;

    // RequireJS
    } else if (typeof define === "function" && define.amd) {
     define(function () {
       return mainExports;
     });

    // <script>
    } else if (globalName) {
      this[globalName] = mainExports;
    }
  }

  // Override the current require with this new one
  parcelRequire = newRequire;

  if (error) {
    // throw error from earlier, _after updating parcelRequire_
    throw error;
  }

  return newRequire;
})({"../../node_modules/preact/dist/preact.module.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.render = N;
exports.hydrate = O;
exports.h = exports.createElement = a;
exports.Fragment = y;
exports.createRef = h;
exports.Component = p;
exports.cloneElement = S;
exports.createContext = q;
exports.toChildArray = w;
exports.options = exports.isValidElement = void 0;
var n,
    l,
    u,
    i,
    t,
    r,
    o = {},
    f = [],
    e = /acit|ex(?:s|g|n|p|$)|rph|grid|ows|mnc|ntw|ine[ch]|zoo|^ord|itera/i;
exports.isValidElement = l;
exports.options = n;

function c(n, l) {
  for (var u in l) n[u] = l[u];

  return n;
}

function s(n) {
  var l = n.parentNode;
  l && l.removeChild(n);
}

function a(n, l, u) {
  var i,
      t,
      r,
      o = arguments,
      f = {};

  for (r in l) "key" == r ? i = l[r] : "ref" == r ? t = l[r] : f[r] = l[r];

  if (arguments.length > 3) for (u = [u], r = 3; r < arguments.length; r++) u.push(o[r]);
  if (null != u && (f.children = u), "function" == typeof n && null != n.defaultProps) for (r in n.defaultProps) void 0 === f[r] && (f[r] = n.defaultProps[r]);
  return v(n, f, i, t, null);
}

function v(l, u, i, t, r) {
  var o = {
    type: l,
    props: u,
    key: i,
    ref: t,
    __k: null,
    __: null,
    __b: 0,
    __e: null,
    __d: void 0,
    __c: null,
    __h: null,
    constructor: void 0,
    __v: null == r ? ++n.__v : r
  };
  return null != n.vnode && n.vnode(o), o;
}

function h() {
  return {
    current: null
  };
}

function y(n) {
  return n.children;
}

function p(n, l) {
  this.props = n, this.context = l;
}

function d(n, l) {
  if (null == l) return n.__ ? d(n.__, n.__.__k.indexOf(n) + 1) : null;

  for (var u; l < n.__k.length; l++) if (null != (u = n.__k[l]) && null != u.__e) return u.__e;

  return "function" == typeof n.type ? d(n) : null;
}

function _(n) {
  var l, u;

  if (null != (n = n.__) && null != n.__c) {
    for (n.__e = n.__c.base = null, l = 0; l < n.__k.length; l++) if (null != (u = n.__k[l]) && null != u.__e) {
      n.__e = n.__c.base = u.__e;
      break;
    }

    return _(n);
  }
}

function k(l) {
  (!l.__d && (l.__d = !0) && u.push(l) && !m.__r++ || t !== n.debounceRendering) && ((t = n.debounceRendering) || i)(m);
}

function m() {
  for (var n; m.__r = u.length;) n = u.sort(function (n, l) {
    return n.__v.__b - l.__v.__b;
  }), u = [], n.some(function (n) {
    var l, u, i, t, r, o;
    n.__d && (r = (t = (l = n).__v).__e, (o = l.__P) && (u = [], (i = c({}, t)).__v = t.__v + 1, T(o, t, i, l.__n, void 0 !== o.ownerSVGElement, null != t.__h ? [r] : null, u, null == r ? d(t) : r, t.__h), j(u, t), t.__e != r && _(t)));
  });
}

function b(n, l, u, i, t, r, e, c, s, a) {
  var h,
      p,
      _,
      k,
      m,
      b,
      w,
      A = i && i.__k || f,
      P = A.length;

  for (u.__k = [], h = 0; h < l.length; h++) if (null != (k = u.__k[h] = null == (k = l[h]) || "boolean" == typeof k ? null : "string" == typeof k || "number" == typeof k ? v(null, k, null, null, k) : Array.isArray(k) ? v(y, {
    children: k
  }, null, null, null) : k.__b > 0 ? v(k.type, k.props, k.key, null, k.__v) : k)) {
    if (k.__ = u, k.__b = u.__b + 1, null === (_ = A[h]) || _ && k.key == _.key && k.type === _.type) A[h] = void 0;else for (p = 0; p < P; p++) {
      if ((_ = A[p]) && k.key == _.key && k.type === _.type) {
        A[p] = void 0;
        break;
      }

      _ = null;
    }
    T(n, k, _ = _ || o, t, r, e, c, s, a), m = k.__e, (p = k.ref) && _.ref != p && (w || (w = []), _.ref && w.push(_.ref, null, k), w.push(p, k.__c || m, k)), null != m ? (null == b && (b = m), "function" == typeof k.type && null != k.__k && k.__k === _.__k ? k.__d = s = g(k, s, n) : s = x(n, k, _, A, m, s), a || "option" !== u.type ? "function" == typeof u.type && (u.__d = s) : n.value = "") : s && _.__e == s && s.parentNode != n && (s = d(_));
  }

  for (u.__e = b, h = P; h--;) null != A[h] && ("function" == typeof u.type && null != A[h].__e && A[h].__e == u.__d && (u.__d = d(i, h + 1)), L(A[h], A[h]));

  if (w) for (h = 0; h < w.length; h++) I(w[h], w[++h], w[++h]);
}

function g(n, l, u) {
  var i, t;

  for (i = 0; i < n.__k.length; i++) (t = n.__k[i]) && (t.__ = n, l = "function" == typeof t.type ? g(t, l, u) : x(u, t, t, n.__k, t.__e, l));

  return l;
}

function w(n, l) {
  return l = l || [], null == n || "boolean" == typeof n || (Array.isArray(n) ? n.some(function (n) {
    w(n, l);
  }) : l.push(n)), l;
}

function x(n, l, u, i, t, r) {
  var o, f, e;
  if (void 0 !== l.__d) o = l.__d, l.__d = void 0;else if (null == u || t != r || null == t.parentNode) n: if (null == r || r.parentNode !== n) n.appendChild(t), o = null;else {
    for (f = r, e = 0; (f = f.nextSibling) && e < i.length; e += 2) if (f == t) break n;

    n.insertBefore(t, r), o = r;
  }
  return void 0 !== o ? o : t.nextSibling;
}

function A(n, l, u, i, t) {
  var r;

  for (r in u) "children" === r || "key" === r || r in l || C(n, r, null, u[r], i);

  for (r in l) t && "function" != typeof l[r] || "children" === r || "key" === r || "value" === r || "checked" === r || u[r] === l[r] || C(n, r, l[r], u[r], i);
}

function P(n, l, u) {
  "-" === l[0] ? n.setProperty(l, u) : n[l] = null == u ? "" : "number" != typeof u || e.test(l) ? u : u + "px";
}

function C(n, l, u, i, t) {
  var r;

  n: if ("style" === l) {
    if ("string" == typeof u) n.style.cssText = u;else {
      if ("string" == typeof i && (n.style.cssText = i = ""), i) for (l in i) u && l in u || P(n.style, l, "");
      if (u) for (l in u) i && u[l] === i[l] || P(n.style, l, u[l]);
    }
  } else if ("o" === l[0] && "n" === l[1]) r = l !== (l = l.replace(/Capture$/, "")), l = l.toLowerCase() in n ? l.toLowerCase().slice(2) : l.slice(2), n.l || (n.l = {}), n.l[l + r] = u, u ? i || n.addEventListener(l, r ? H : $, r) : n.removeEventListener(l, r ? H : $, r);else if ("dangerouslySetInnerHTML" !== l) {
    if (t) l = l.replace(/xlink[H:h]/, "h").replace(/sName$/, "s");else if ("href" !== l && "list" !== l && "form" !== l && "download" !== l && l in n) try {
      n[l] = null == u ? "" : u;
      break n;
    } catch (n) {}
    "function" == typeof u || (null != u && (!1 !== u || "a" === l[0] && "r" === l[1]) ? n.setAttribute(l, u) : n.removeAttribute(l));
  }
}

function $(l) {
  this.l[l.type + !1](n.event ? n.event(l) : l);
}

function H(l) {
  this.l[l.type + !0](n.event ? n.event(l) : l);
}

function T(l, u, i, t, r, o, f, e, s) {
  var a,
      v,
      h,
      d,
      _,
      k,
      m,
      g,
      w,
      x,
      A,
      P = u.type;

  if (void 0 !== u.constructor) return null;
  null != i.__h && (s = i.__h, e = u.__e = i.__e, u.__h = null, o = [e]), (a = n.__b) && a(u);

  try {
    n: if ("function" == typeof P) {
      if (g = u.props, w = (a = P.contextType) && t[a.__c], x = a ? w ? w.props.value : a.__ : t, i.__c ? m = (v = u.__c = i.__c).__ = v.__E : ("prototype" in P && P.prototype.render ? u.__c = v = new P(g, x) : (u.__c = v = new p(g, x), v.constructor = P, v.render = M), w && w.sub(v), v.props = g, v.state || (v.state = {}), v.context = x, v.__n = t, h = v.__d = !0, v.__h = []), null == v.__s && (v.__s = v.state), null != P.getDerivedStateFromProps && (v.__s == v.state && (v.__s = c({}, v.__s)), c(v.__s, P.getDerivedStateFromProps(g, v.__s))), d = v.props, _ = v.state, h) null == P.getDerivedStateFromProps && null != v.componentWillMount && v.componentWillMount(), null != v.componentDidMount && v.__h.push(v.componentDidMount);else {
        if (null == P.getDerivedStateFromProps && g !== d && null != v.componentWillReceiveProps && v.componentWillReceiveProps(g, x), !v.__e && null != v.shouldComponentUpdate && !1 === v.shouldComponentUpdate(g, v.__s, x) || u.__v === i.__v) {
          v.props = g, v.state = v.__s, u.__v !== i.__v && (v.__d = !1), v.__v = u, u.__e = i.__e, u.__k = i.__k, v.__h.length && f.push(v);
          break n;
        }

        null != v.componentWillUpdate && v.componentWillUpdate(g, v.__s, x), null != v.componentDidUpdate && v.__h.push(function () {
          v.componentDidUpdate(d, _, k);
        });
      }
      v.context = x, v.props = g, v.state = v.__s, (a = n.__r) && a(u), v.__d = !1, v.__v = u, v.__P = l, a = v.render(v.props, v.state, v.context), v.state = v.__s, null != v.getChildContext && (t = c(c({}, t), v.getChildContext())), h || null == v.getSnapshotBeforeUpdate || (k = v.getSnapshotBeforeUpdate(d, _)), A = null != a && a.type === y && null == a.key ? a.props.children : a, b(l, Array.isArray(A) ? A : [A], u, i, t, r, o, f, e, s), v.base = u.__e, u.__h = null, v.__h.length && f.push(v), m && (v.__E = v.__ = null), v.__e = !1;
    } else null == o && u.__v === i.__v ? (u.__k = i.__k, u.__e = i.__e) : u.__e = z(i.__e, u, i, t, r, o, f, s);

    (a = n.diffed) && a(u);
  } catch (l) {
    u.__v = null, (s || null != o) && (u.__e = e, u.__h = !!s, o[o.indexOf(e)] = null), n.__e(l, u, i);
  }
}

function j(l, u) {
  n.__c && n.__c(u, l), l.some(function (u) {
    try {
      l = u.__h, u.__h = [], l.some(function (n) {
        n.call(u);
      });
    } catch (l) {
      n.__e(l, u.__v);
    }
  });
}

function z(n, l, u, i, t, r, e, c) {
  var a,
      v,
      h,
      y,
      p = u.props,
      d = l.props,
      _ = l.type,
      k = 0;
  if ("svg" === _ && (t = !0), null != r) for (; k < r.length; k++) if ((a = r[k]) && (a === n || (_ ? a.localName == _ : 3 == a.nodeType))) {
    n = a, r[k] = null;
    break;
  }

  if (null == n) {
    if (null === _) return document.createTextNode(d);
    n = t ? document.createElementNS("http://www.w3.org/2000/svg", _) : document.createElement(_, d.is && d), r = null, c = !1;
  }

  if (null === _) p === d || c && n.data === d || (n.data = d);else {
    if (r = r && f.slice.call(n.childNodes), v = (p = u.props || o).dangerouslySetInnerHTML, h = d.dangerouslySetInnerHTML, !c) {
      if (null != r) for (p = {}, y = 0; y < n.attributes.length; y++) p[n.attributes[y].name] = n.attributes[y].value;
      (h || v) && (h && (v && h.__html == v.__html || h.__html === n.innerHTML) || (n.innerHTML = h && h.__html || ""));
    }

    if (A(n, d, p, t, c), h) l.__k = [];else if (k = l.props.children, b(n, Array.isArray(k) ? k : [k], l, u, i, t && "foreignObject" !== _, r, e, n.firstChild, c), null != r) for (k = r.length; k--;) null != r[k] && s(r[k]);
    c || ("value" in d && void 0 !== (k = d.value) && (k !== n.value || "progress" === _ && !k) && C(n, "value", k, p.value, !1), "checked" in d && void 0 !== (k = d.checked) && k !== n.checked && C(n, "checked", k, p.checked, !1));
  }
  return n;
}

function I(l, u, i) {
  try {
    "function" == typeof l ? l(u) : l.current = u;
  } catch (l) {
    n.__e(l, i);
  }
}

function L(l, u, i) {
  var t, r, o;

  if (n.unmount && n.unmount(l), (t = l.ref) && (t.current && t.current !== l.__e || I(t, null, u)), i || "function" == typeof l.type || (i = null != (r = l.__e)), l.__e = l.__d = void 0, null != (t = l.__c)) {
    if (t.componentWillUnmount) try {
      t.componentWillUnmount();
    } catch (l) {
      n.__e(l, u);
    }
    t.base = t.__P = null;
  }

  if (t = l.__k) for (o = 0; o < t.length; o++) t[o] && L(t[o], u, i);
  null != r && s(r);
}

function M(n, l, u) {
  return this.constructor(n, u);
}

function N(l, u, i) {
  var t, r, e;
  n.__ && n.__(l, u), r = (t = "function" == typeof i) ? null : i && i.__k || u.__k, e = [], T(u, l = (!t && i || u).__k = a(y, null, [l]), r || o, o, void 0 !== u.ownerSVGElement, !t && i ? [i] : r ? null : u.firstChild ? f.slice.call(u.childNodes) : null, e, !t && i ? i : r ? r.__e : u.firstChild, t), j(e, l);
}

function O(n, l) {
  N(n, l, O);
}

function S(n, l, u) {
  var i,
      t,
      r,
      o = arguments,
      f = c({}, n.props);

  for (r in l) "key" == r ? i = l[r] : "ref" == r ? t = l[r] : f[r] = l[r];

  if (arguments.length > 3) for (u = [u], r = 3; r < arguments.length; r++) u.push(o[r]);
  return null != u && (f.children = u), v(n.type, f, i || n.key, t || n.ref, null);
}

function q(n, l) {
  var u = {
    __c: l = "__cC" + r++,
    __: n,
    Consumer: function (n, l) {
      return n.children(l);
    },
    Provider: function (n) {
      var u, i;
      return this.getChildContext || (u = [], (i = {})[l] = this, this.getChildContext = function () {
        return i;
      }, this.shouldComponentUpdate = function (n) {
        this.props.value !== n.value && u.some(k);
      }, this.sub = function (n) {
        u.push(n);
        var l = n.componentWillUnmount;

        n.componentWillUnmount = function () {
          u.splice(u.indexOf(n), 1), l && l.call(n);
        };
      }), n.children;
    }
  };
  return u.Provider.__ = u.Consumer.contextType = u;
}

exports.options = n = {
  __e: function (n, l) {
    for (var u, i, t; l = l.__;) if ((u = l.__c) && !u.__) try {
      if ((i = u.constructor) && null != i.getDerivedStateFromError && (u.setState(i.getDerivedStateFromError(n)), t = u.__d), null != u.componentDidCatch && (u.componentDidCatch(n), t = u.__d), t) return u.__E = u;
    } catch (l) {
      n = l;
    }

    throw n;
  },
  __v: 0
}, exports.isValidElement = l = function (n) {
  return null != n && void 0 === n.constructor;
}, p.prototype.setState = function (n, l) {
  var u;
  u = null != this.__s && this.__s !== this.state ? this.__s : this.__s = c({}, this.state), "function" == typeof n && (n = n(c({}, u), this.props)), n && c(u, n), null != n && this.__v && (l && this.__h.push(l), k(this));
}, p.prototype.forceUpdate = function (n) {
  this.__v && (this.__e = !0, n && this.__h.push(n), k(this));
}, p.prototype.render = y, u = [], i = "function" == typeof Promise ? Promise.prototype.then.bind(Promise.resolve()) : setTimeout, m.__r = 0, r = 0;
},{}],"../../node_modules/classnames/index.js":[function(require,module,exports) {
var define;
/*!
  Copyright (c) 2017 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(arg);
			} else if (Array.isArray(arg) && arg.length) {
				var inner = classNames.apply(null, arg);
				if (inner) {
					classes.push(inner);
				}
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		classNames.default = classNames;
		module.exports = classNames;
	} else if (typeof define === 'function' && typeof define.amd === 'object' && define.amd) {
		// register as 'classnames', consistent with npm package name
		define('classnames', [], function () {
			return classNames;
		});
	} else {
		window.classNames = classNames;
	}
}());

},{}],"../utils/omit.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = function _default(obj) {
  var keysToDelete = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var copy = Object.assign({}, obj);
  keysToDelete.forEach(function (key) {
    delete copy[key];
  });
  return copy;
};

exports.default = _default;
},{}],"../utils/get-styled-component.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _omit = _interopRequireDefault(require("./omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var alwaysPassThroughProps = ['disabled'];

var _default = function _default(args) {
  var _args$tagName = args.tagName,
      tagName = _args$tagName === void 0 ? 'div' : _args$tagName,
      _args$baseClasses = args.baseClasses,
      baseClasses = _args$baseClasses === void 0 ? '' : _args$baseClasses,
      _args$options = args.options,
      options = _args$options === void 0 ? {} : _args$options,
      style = args.style,
      fn = args.fn,
      _args$passThroughProp = args.passThroughProps,
      passThroughProps = _args$passThroughProp === void 0 ? [] : _args$passThroughProp,
      defaultProps = args.defaultProps,
      renderChildren = args.renderChildren;
  var defaults = Object.assign({}, defaultProps);
  var propsToRemove = ['className', 'tagName'];
  var allOptionValues = Object.keys(options).reduce(function (result, key) {
    var value = options[key];

    if (_typeof(value) !== 'object') {
      defaults[key] = value;
      propsToRemove.push(key);
      result.push(value);
    } else {
      result.push.apply(result, _toConsumableArray(value));
    }

    return result;
  }, []);
  propsToRemove.push.apply(propsToRemove, _toConsumableArray(allOptionValues.filter(function (key) {
    return !passThroughProps.includes(key) && !alwaysPassThroughProps.includes(key);
  })));

  var componentFn = function componentFn(incomingProps) {
    var props = Object.assign({}, defaults, incomingProps);
    var finalTagName = props.tagName || tagName;
    var passThroughProps = (0, _omit.default)(props, propsToRemove);
    var className = (0, _classnames.default)(baseClasses, fn && fn(props), props.className);
    var combinedStyle = Object.assign({}, style, props.style);
    var renderedChildren = renderChildren ? renderChildren(props) : props.children;
    return (0, _preact.h)(finalTagName, Object.assign({
      className: className,
      style: combinedStyle
    }, passThroughProps), renderedChildren);
  };

  componentFn.definition = args;
  return componentFn;
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js","./omit":"../utils/omit.js"}],"../pill-icon.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var _default = function _default(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 24 24"
  }, props), (0, _preact.h)("path", {
    d: "M20 12c0-2.2-2-4-4.5-4h-9C4 8 2 9.8 2 12s2 4 4.5 4h9c2.5 0 4.5-1.8 4.5-4zm-9.5 2.1V9.9h5.7c1.3.4 2 1 2 2.1 0 1-.7 1.7-2 2.1h-5.7z",
    "fill-rule": "nonzero"
  }));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js"}],"../icon.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _omit = _interopRequireDefault(require("./utils/omit"));

var _pillIcon = _interopRequireDefault(require("./pill-icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var customIcons = {
  pill: _pillIcon.default
};

var Icon = function Icon(props) {
  var icon = props.icon,
      size = props.size,
      className = props.className,
      style = props.style;
  var rest = (0, _omit.default)(props, ['icon', 'size', 'className']);
  var px = "".concat(size || 24, "px");
  var styles = Object.assign({}, style, {
    fontSize: px,
    width: px,
    height: px
  });
  var Custom = customIcons[icon];
  return (0, _preact.h)("i", _extends({}, rest, {
    style: styles,
    className: (0, _classnames.default)('dib', {
      'material-icons': !Custom
    }, className)
  }), Custom ? (0, _preact.h)(Custom, null) : icon);
};

exports.Icon = Icon;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js","./utils/omit":"../utils/omit.js","./pill-icon":"../pill-icon.js"}],"../button.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TapIconButton = exports.Button = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @jsx h */
var preventDefault = function preventDefault(e) {
  e.preventDefault();
};

var Button = (0, _getStyledComponent.default)({
  tagName: 'button',
  baseClasses: 'br2 ba',
  options: {
    size: ['tiny', 'large'],
    pressed: ['pressed'],
    variant: ['primary', 'stop', 'disabled']
  },
  defaultProps: {
    onContextMenu: preventDefault
  },
  fn: function fn(_ref) {
    var tiny = _ref.tiny,
        large = _ref.large,
        disabled = _ref.disabled,
        pressed = _ref.pressed,
        primary = _ref.primary,
        stop = _ref.stop;
    var classes = ['bn']; // handle sizes

    if (tiny) {
      classes.push('pa1');
    } else if (large) {
      classes.push('pa3 fw6');
    } else {
      classes.push('pa2');
    } // if disabled stop here


    if (disabled) {
      classes.push('mid-gray bg-light-gray not-allowed');
      return classes.join(' ');
    } // pointer class


    classes.push('pointer');

    if (pressed) {
      classes.push('shadow-3');
    } else {
      classes.push('shadow-2');
    }

    if (stop) {
      classes.push('white bg-red');
    }

    if (primary) {
      classes.push('dark-blue bg-light-blue');
    }

    if (!stop && !primary) {
      classes.push('dark-blue');

      if (pressed) {
        classes.push('bg-lightest-blue');
      } else {
        classes.push('bg-white');
      }
    }

    return classes.join(' ');
  }
});
exports.Button = Button;
var TapIconButton = (0, _getStyledComponent.default)({
  baseClasses: 'button-reset pointer pa0 ma0 bn bg-transparent flex items-center justify-center',
  style: {
    width: '40px',
    height: '40px'
  },
  options: {
    icon: ['icon'],
    color: ['color']
  },
  renderChildren: function renderChildren(_ref2) {
    var icon = _ref2.icon,
        color = _ref2.color;
    return [(0, _preact.h)(_icon.Icon, {
      icon: icon,
      color: color,
      size: "28"
    })];
  }
});
exports.TapIconButton = TapIconButton;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./utils/get-styled-component":"../utils/get-styled-component.js","./icon":"../icon.js"}],"../logo.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LogoLight = exports.LogoLightMark = exports.LogoTextOnly = exports.LogoDark = void 0;

var _preact = require("preact");

var _omit = _interopRequireDefault(require("./utils/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var LogoDark = function LogoDark(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 521 104",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, (0, _preact.h)("path", {
    d: "M143.234 40.272l-2.684 12.564h7.236l-2.685-12.564h-1.867zm-10.113 22.017l5.951-26.451h10.192l5.951 26.451h-5.368l-1.05-4.785h-9.258l-1.05 4.785h-5.368zm30.574 0h-5.213v-19.45h5.174v1.089c1.763-1.036 3.384-1.555 4.863-1.555 2.592 0 4.382.765 5.368 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.194-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.839 8.839 0 0 0-3.073.545l-.467.155v14.549m27.462-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.355-.915-2.586-.915-1.232 0-2.101.319-2.607.953-.505.636-.772 1.706-.797 3.209h6.729zm-5.738 6.555c.61.532 1.485.798 2.626.798 2.412 0 4.564-.079 6.458-.233l1.089-.118.078 3.851c-2.982.727-5.679 1.089-8.091 1.089-2.931 0-5.057-.777-6.38-2.333-1.322-1.556-1.984-4.085-1.984-7.586 0-6.975 2.866-10.463 8.597-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.436c.025 1.193.343 2.056.952 2.587zm28.767-9.666c-3.216-.414-5.466-.623-6.749-.623-1.284 0-2.114.117-2.49.35-.376.234-.564.604-.564 1.109s.253.856.759 1.05c.506.195 1.801.48 3.89.856 2.087.376 3.572.992 4.453 1.848.882.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.711 0-3.786-.233-6.223-.7l-1.245-.233.155-4.357c3.216.416 5.452.622 6.71.622s2.114-.122 2.568-.368c.453-.247.681-.617.681-1.109s-.24-.856-.72-1.089c-.48-.233-1.725-.519-3.734-.856-2.011-.337-3.508-.908-4.493-1.712-.986-.803-1.478-2.237-1.478-4.298 0-2.062.7-3.618 2.1-4.669 1.4-1.049 3.202-1.575 5.407-1.575 1.53 0 3.617.248 6.262.74l1.284.233-.077 4.318m15.364-.429h-4.784v7.975c0 .778.019 1.33.058 1.653.039.325.181.603.428.837.246.233.629.349 1.147.349l2.957-.077.234 4.162c-1.738.389-3.061.583-3.968.583-2.334 0-3.929-.525-4.785-1.575-.855-1.05-1.284-2.989-1.284-5.815v-8.092h-2.294v-4.434h2.294v-5.406h5.213v5.406h4.784v4.434m8.791 15.016h-5.212V35.06h5.212v8.712c1.789-.933 3.397-1.399 4.824-1.399 2.593 0 4.382.765 5.367 2.295.987 1.53 1.48 3.89 1.48 7.08v10.541h-5.213V51.864c0-1.634-.195-2.846-.584-3.637-.388-.79-1.167-1.187-2.334-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m27.463-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.355-.915-2.587-.915-1.231 0-2.1.319-2.607.953-.505.636-.771 1.706-.797 3.209h6.73zm-5.737 6.555c.608.532 1.483.798 2.625.798 2.413 0 4.564-.079 6.457-.233l1.089-.118.078 3.851c-2.982.727-5.678 1.089-8.091 1.089-2.931 0-5.056-.777-6.379-2.333-1.323-1.556-1.985-4.085-1.985-7.586 0-6.975 2.866-10.463 8.598-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.437c.026 1.193.344 2.056.954 2.587zm28.765-9.666c-3.216-.414-5.465-.623-6.749-.623-1.283 0-2.114.117-2.489.35-.377.234-.565.604-.565 1.109s.253.856.759 1.05c.506.195 1.802.48 3.89.856 2.087.376 3.572.992 4.454 1.848.881.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.712 0-3.786-.233-6.224-.7l-1.245-.233.156-4.357c3.215.416 5.452.622 6.71.622 1.257 0 2.113-.122 2.567-.368.454-.247.681-.617.681-1.109s-.24-.856-.719-1.089c-.481-.233-1.726-.519-3.735-.856-2.01-.337-3.508-.908-4.492-1.712-.986-.803-1.479-2.237-1.479-4.298 0-2.062.7-3.618 2.101-4.669 1.4-1.049 3.202-1.575 5.407-1.575 1.529 0 3.617.248 6.263.74l1.283.233-.078 4.318m4.589 14.587h5.213v-19.45h-5.213v19.45zm0-21.939h5.213v-5.29h-5.213v5.29zm16.377 13.692c-1.453.13-2.179.908-2.179 2.334 0 1.427.636 2.14 1.907 2.14.985 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.539.311zm8.752-5.134v8.091c.052.622.156 1.057.311 1.303.156.247.48.421.973.525l-.156 3.928c-1.322 0-2.379-.09-3.17-.272-.791-.181-1.589-.544-2.392-1.089-1.867.908-3.774 1.361-5.718 1.361-4.021 0-6.03-2.125-6.03-6.379 0-2.074.558-3.545 1.673-4.415 1.115-.869 2.826-1.381 5.135-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.543-1.654-.364-.297-.948-.447-1.751-.447l-7.313.312-.156-3.619c2.775-.751 5.413-1.127 7.916-1.127 2.502 0 4.304.519 5.408 1.555 1.101 1.038 1.652 2.698 1.652 4.98zm22.406 12.953c-2.749.596-5.226.894-7.429.894-2.205 0-3.968-.272-5.291-.816-1.322-.545-2.36-1.413-3.112-2.606-.753-1.193-1.271-2.594-1.556-4.202-.285-1.607-.428-3.63-.428-6.068 0-5.108.719-8.667 2.159-10.678 1.44-2.009 4.091-3.015 7.955-3.015 2.229 0 4.81.351 7.741 1.051l-.156 4.279c-2.567-.389-4.7-.584-6.399-.584-1.698 0-2.911.228-3.637.681-.726.454-1.264 1.316-1.614 2.587-.35 1.271-.524 3.436-.524 6.496 0 3.061.355 5.18 1.068 6.36.713 1.18 2.14 1.77 4.279 1.77 2.14 0 4.416-.181 6.827-.545l.117 4.396m9.296.428h-5.212V35.06h5.212v8.712c1.79-.933 3.397-1.399 4.824-1.399 2.593 0 4.383.765 5.368 2.295.986 1.53 1.479 3.89 1.479 7.08v10.541h-5.213V51.864c0-1.634-.194-2.846-.583-3.637-.389-.79-1.167-1.187-2.335-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m22.639-8.247c-1.452.13-2.178.908-2.178 2.334 0 1.427.636 2.14 1.907 2.14.985 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.54.311zm8.753-5.134v8.091c.052.622.156 1.057.312 1.303.154.247.479.421.972.525l-.155 3.928c-1.323 0-2.38-.09-3.171-.272-.791-.181-1.589-.544-2.392-1.089-1.868.908-3.774 1.361-5.719 1.361-4.02 0-6.029-2.125-6.029-6.379 0-2.074.558-3.545 1.672-4.415 1.115-.869 2.827-1.381 5.136-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.544-1.654-.363-.297-.947-.447-1.751-.447l-7.312.312-.156-3.619c2.775-.751 5.413-1.127 7.917-1.127 2.501 0 4.304.519 5.406 1.555 1.102 1.038 1.653 2.698 1.653 4.98zm5.173 13.381v-19.45h5.173v2.062c2.179-1.297 4.254-2.139 6.224-2.528v5.251c-2.1.441-3.902.895-5.406 1.361l-.779.272v13.032h-5.212m25.44-15.016h-4.785v7.975c0 .778.02 1.33.059 1.653.039.325.181.603.428.837.246.233.628.349 1.148.349l2.957-.077.232 4.162c-1.737.389-3.06.583-3.968.583-2.333 0-3.929-.525-4.784-1.575-.856-1.05-1.284-2.989-1.284-5.815v-8.092h-2.295v-4.434h2.295v-5.406h5.212v5.406h4.785v4.434m3.579 15.016h5.212v-19.45h-5.212v19.45zm0-21.939h5.212v-5.29h-5.212v5.29zm15.443 21.939h-5.213v-19.45h5.174v1.089c1.763-1.036 3.383-1.555 4.863-1.555 2.592 0 4.381.765 5.367 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.193-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.833 8.833 0 0 0-3.072.545l-.467.155v14.549m20.966-12.934c0 1.906.992 2.859 2.975 2.859 1.985 0 2.976-.953 2.976-2.859 0-1.906-.991-2.859-2.976-2.859-1.983 0-2.975.953-2.975 2.859zm-.312 15.929c0 1.115 1.368 1.673 4.104 1.673 2.736 0 4.105-.648 4.105-1.945 0-.7-.234-1.148-.701-1.343-.467-.193-1.452-.304-2.956-.33l-3.501-.272c-.7.7-1.051 1.439-1.051 2.217zm13.46-.564c0 2.217-.856 3.858-2.567 4.921-1.712 1.063-4.026 1.595-6.944 1.595s-5.161-.389-6.73-1.168c-1.569-.777-2.353-2.191-2.353-4.239 0-1.634.934-3.178 2.801-4.629-.96-.648-1.439-1.634-1.439-2.956 0-.519.389-1.375 1.167-2.568l.349-.545c-1.763-1.27-2.645-3.144-2.645-5.621 0-2.476.746-4.271 2.238-5.387 1.49-1.115 3.467-1.673 5.932-1.673 1.114 0 2.217.13 3.305.389l.623.117 6.263-.194v4.162l-2.918-.234c.57.882.856 1.764.856 2.646 0 2.593-.661 4.382-1.983 5.368-1.323.986-3.398 1.478-6.224 1.478a7.363 7.363 0 0 1-1.595-.156c-.26.675-.389 1.225-.389 1.653 0 .428.219.72.661.875.441.156 1.478.248 3.113.273 3.266.026 5.496.461 6.69 1.303 1.192.843 1.789 2.373 1.789 4.59z",
    fill: "#FFF"
  }), (0, _preact.h)("path", {
    d: "M520.01 50.187a3.51 3.51 0 0 1-3.5 3.5h-39.956a3.51 3.51 0 0 1-3.5-3.5V38.571a3.51 3.51 0 0 1 3.5-3.5h39.956a3.51 3.51 0 0 1 3.5 3.5v11.616",
    fill: "#6CC4CA"
  }), (0, _preact.h)("path", {
    fill: "#173140",
    d: "M477.476 49.241h2.801v-3.228h-2.801zm8.734-9.958c.673 0 1.536.104 2.586.312l.525.116-.078 2.061c-1.024-.103-1.782-.155-2.275-.155-.894 0-1.488.192-1.779.574-.292.382-.437 1.105-.437 2.168 0 1.064.145 1.793.437 2.189.291.395.891.593 1.798.593l2.256-.156.078 2.081c-1.387.273-2.444.409-3.17.409-1.439 0-2.473-.405-3.102-1.216-.63-.81-.943-2.11-.943-3.9 0-1.789.323-3.082.972-3.88.649-.797 1.692-1.196 3.132-1.196m7.497 7.274c.266.467.743.7 1.43.7.686 0 1.164-.233 1.429-.7.266-.467.399-1.199.399-2.198 0-.998-.133-1.724-.399-2.178-.265-.453-.743-.681-1.429-.681-.687 0-1.164.228-1.43.681-.265.454-.398 1.18-.398 2.178 0 .999.133 1.731.398 2.198zm-2.013-5.941c.687-.889 1.835-1.333 3.443-1.333s2.755.444 3.443 1.333c.687.888 1.03 2.135 1.03 3.743 0 3.411-1.491 5.116-4.473 5.116-2.982 0-4.473-1.705-4.473-5.116 0-1.608.343-2.855 1.03-3.743zm12.428 8.625h-2.606v-9.724h2.587v.545c.895-.519 1.659-.779 2.295-.779 1.05 0 1.861.305 2.431.914 1.193-.609 2.282-.914 3.268-.914 1.283 0 2.175.373 2.674 1.119.499.745.749 1.935.749 3.568v5.271h-2.607v-5.193c0-.829-.09-1.442-.271-1.838-.182-.395-.545-.593-1.09-.593-.415 0-.921.091-1.516.273l-.293.096c.052.973.078 1.712.078 2.218v5.037h-2.606v-4.998c0-.96-.085-1.637-.253-2.033-.168-.395-.538-.593-1.108-.593a4.29 4.29 0 0 0-1.498.273l-.234.077v7.274"
  }), (0, _preact.h)("path", {
    d: "M36.159 103.665c-.72 0-1.448-.14-2.143-.433C14.026 94.818-.01 75.049-.01 52S14.026 9.182 34.016.768a5.508 5.508 0 0 1 2.143-.433c1.74 0 3.433.821 4.504 2.298l9.633 13.287C32.674 18.476 19.093 33.681 19.093 52s13.581 33.524 31.203 36.081l-9.633 13.286a5.565 5.565 0 0 1-4.504 2.298m38.791 0a5.563 5.563 0 0 1-4.504-2.298l-9.633-13.286C78.435 85.524 92.016 70.319 92.016 52c0-18.319-13.581-33.524-31.203-36.08l9.633-13.287A5.563 5.563 0 0 1 74.95.335c.719 0 1.448.14 2.143.433C97.083 9.182 111.119 28.951 111.119 52s-14.036 42.818-34.026 51.232a5.511 5.511 0 0 1-2.143.433",
    fill: "#4486A0"
  }), (0, _preact.h)("path", {
    d: "M58.348 19.319L70.446 2.633a5.56 5.56 0 0 1 6.659-1.86 55.435 55.435 0 0 1 11.57 6.61L65.124 40.479c-5.264 7.396-13.876 7.396-19.139 0L22.434 7.383A55.453 55.453 0 0 1 34.003.773a5.562 5.562 0 0 1 6.66 1.86L52.76 19.319c1.378 1.9 4.21 1.9 5.588 0m0 65.362l12.098 16.686a5.56 5.56 0 0 0 6.659 1.86 55.435 55.435 0 0 0 11.57-6.61L65.124 63.521c-5.264-7.396-13.876-7.396-19.139 0L22.434 96.617a55.453 55.453 0 0 0 11.569 6.61 5.562 5.562 0 0 0 6.66-1.86L52.76 84.681c1.378-1.9 4.21-1.9 5.588 0",
    fill: "#6CC4CA"
  })));
};

exports.LogoDark = LogoDark;

var LogoTextOnly = function LogoTextOnly(props) {
  var fill = props.fill;

  if (!fill) {
    fill = '#fff';
  }

  return (0, _preact.h)("svg", _extends({
    width: "333",
    height: "37",
    viewBox: "0 0 333 37",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, (0, _omit.default)(props, ['fill'])), (0, _preact.h)("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M10.2 5.3L7.6 17.8h7.2L12 5.3h-1.9.1zm-10 22L6.1.8h10.2l6 26.5h-5.5l-1-4.8H6.5l-1 4.8H0h.2zm30.5 0h-5.2V7.8h5.2V9c1.7-1 3.3-1.5 4.8-1.5 2.6 0 4.4.7 5.4 2.3a13 13 0 0 1 1.5 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.6-3.7-.4-.8-1.2-1.2-2.4-1.2-1 0-2 .2-3 .6l-.5.1v14.6zm27.5-11.5c0-1.5-.3-2.6-.8-3.2-.5-.6-1.3-1-2.6-1-1.2 0-2 .4-2.6 1-.5.6-.7 1.7-.8 3.2h6.8zm-5.8 6.6a4 4 0 0 0 2.6.8c2.5 0 4.6-.1 6.5-.3h1l.2 3.8c-3 .7-5.7 1-8.1 1-3 0-5-.7-6.4-2.3-1.3-1.5-2-4-2-7.6 0-7 2.9-10.4 8.6-10.4 5.7 0 8.5 2.9 8.5 8.8l-.4 3.6H51.5c0 1.2.3 2 1 2.6h-.1zm28.8-9.7c-3.2-.4-5.5-.6-6.8-.6-1.2 0-2 .1-2.5.3-.3.3-.5.6-.5 1.1 0 .5.2.9.7 1 .5.3 1.8.6 4 1 2 .3 3.5 1 4.4 1.8.9.8 1.3 2.2 1.3 4.2 0 4.2-2.6 6.3-7.8 6.3-2 0-4.2-.3-6.2-.7l-1.3-.3.2-4.3c3.2.4 5.4.6 6.7.6 1.3 0 2.1-.1 2.6-.4.4-.2.6-.6.6-1s-.2-1-.7-1.2a20 20 0 0 0-3.7-.8c-2-.4-3.5-1-4.5-1.7-1-.9-1.5-2.3-1.5-4.3 0-2.1.7-3.7 2.1-4.7 1.4-1 3.2-1.6 5.4-1.6 1.5 0 3.6.3 6.3.8l1.3.2-.1 4.3zm15.4-.4h-4.8v9.6c0 .3.2.6.5.8.2.3.6.4 1.1.4h3l.2 4c-1.7.5-3 .7-4 .7-2.3 0-4-.6-4.8-1.6-.8-1-1.2-3-1.2-5.8v-8.1h-2.3V7.8h2.3V2.4h5.2v5.4h4.8v4.5zm8.7 15h-5.2V0h5.2v8.7a10 10 0 0 1 4.9-1.4c2.6 0 4.3.7 5.3 2.3a13 13 0 0 1 1.5 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.6-3.7-.4-.8-1.2-1.2-2.3-1.2-1 0-2 .2-3 .5l-.6.2v14.6zm27.5-11.5c0-1.5-.2-2.6-.7-3.2-.5-.6-1.4-1-2.6-1-1.3 0-2.1.4-2.6 1s-.8 1.7-.8 3.2h6.7zm-5.7 6.6c.6.5 1.4.8 2.6.8 2.4 0 4.6-.1 6.4-.3h1.1l.1 3.8c-3 .7-5.7 1-8 1-3 0-5.1-.7-6.5-2.3-1.3-1.5-2-4-2-7.6 0-7 3-10.4 8.7-10.4 5.6 0 8.4 2.9 8.4 8.8l-.4 3.6h-11.4c0 1.2.4 2 1 2.6zm28.7-9.7c-3.2-.4-5.4-.6-6.7-.6-1.3 0-2.1.1-2.5.3-.4.3-.6.6-.6 1.1 0 .5.3.9.8 1 .5.3 1.8.6 3.9 1 2 .3 3.6 1 4.4 1.8 1 .8 1.4 2.2 1.4 4.2 0 4.2-2.7 6.3-7.9 6.3-2 0-4.2-.3-6.2-.7l-1.2-.3.1-4.3c3.2.4 5.5.6 6.7.6a6 6 0 0 0 2.6-.4c.5-.2.7-.6.7-1s-.3-1-.7-1.2c-.5-.2-1.8-.5-3.8-.8-2-.4-3.5-1-4.5-1.7-1-.9-1.4-2.3-1.4-4.3 0-2.1.7-3.7 2-4.7 1.5-1 3.3-1.6 5.5-1.6 1.5 0 3.6.3 6.2.8l1.3.2v4.3h-.1zm4.6 14.6h5.2V7.8h-5.2v19.5zm0-22h5.2V.1h-5.2v5.2zM176.8 19c-1.5.2-2.2 1-2.2 2.4s.7 2.1 2 2.1c1 0 2-.1 3.2-.5l.5-.1v-4.2l-3.5.3zm8.7-5v8c.1.6.2 1 .4 1.3.1.2.4.4 1 .5l-.2 4c-1.3 0-2.4-.1-3.2-.3-.8-.2-1.6-.6-2.4-1.1a13 13 0 0 1-5.7 1.4c-4 0-6-2.2-6-6.4 0-2.1.5-3.6 1.6-4.4 1.5-1 3.3-1.6 5.2-1.6l4.1-.3V14c0-.8-.1-1.3-.5-1.6a3 3 0 0 0-1.8-.5l-7.3.3-.1-3.6c2.7-.8 5.4-1.1 7.9-1.1s4.3.5 5.4 1.5c1.1 1 1.6 2.7 1.6 5zM208 26.8c-2.8.6-5.3.9-7.5.9s-4-.3-5.3-.9a6.5 6.5 0 0 1-3-2.6c-.8-1.2-1.3-2.6-1.6-4.2-.3-1.6-.5-3.6-.5-6 0-5.1.8-8.7 2.2-10.7 1.4-2 4-3 8-3 2.2 0 4.8.3 7.7 1l-.2 4.3c-2.5-.4-4.7-.6-6.4-.6-1.7 0-2.9.2-3.6.7-.7.5-1.3 1.3-1.6 2.6-.4 1.3-.5 3.4-.5 6.5 0 3 .3 5.2 1 6.3.7 1.2 2.2 1.8 4.3 1.8 2.2 0 4.4-.2 6.8-.5l.2 4.4zm9.3.4H212V0h5.3v8.7c1.7-1 3.3-1.4 4.8-1.4 2.6 0 4.4.7 5.3 2.3a13 13 0 0 1 1.5 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.6-3.7-.4-.8-1.1-1.2-2.3-1.2-1 0-2 .2-3 .5l-.5.2v14.6-.1zm22.6-8.2c-1.5.2-2.2 1-2.2 2.4s.6 2.1 2 2.1c.9 0 2-.1 3.1-.5l.6-.1v-4.2l-3.5.3zm8.7-5v8c.1.6.2 1 .4 1.3.1.2.4.4 1 .5l-.2 4c-1.4 0-2.4-.1-3.2-.3-.8-.2-1.6-.6-2.4-1.1a13 13 0 0 1-5.7 1.4c-4 0-6-2.2-6-6.4 0-2.1.5-3.6 1.6-4.4 1.5-1 3.3-1.6 5.2-1.6l4.1-.3V14c0-.8-.1-1.3-.5-1.6a3 3 0 0 0-1.8-.5l-7.3.3-.1-3.6c2.7-.8 5.4-1.1 7.9-1.1s4.3.5 5.4 1.5c1 1 1.6 2.7 1.6 5zm5.2 13.3V7.8h5.2V10c2.2-1.3 4.2-2.1 6.2-2.5v5.2l-5.4 1.4-.8.3v13h-5.2v-.1zm25.5-14.9h-4.8V22c0 .3.2.6.5.8.2.3.6.4 1.1.4h3l.2 4c-1.7.5-3 .7-4 .7-2.3 0-3.9-.6-4.8-1.6-.8-1-1.2-3-1.2-5.8v-8.1H267V7.9h2.3V2.5h5.2v5.4h4.8v4.5zm3.5 15h5.2V7.8h-5.2v19.6zm0-22h5.2V.2h-5.2v5.2zm15.5 22H293V7.8h5.1V9c1.8-1 3.4-1.5 4.9-1.5 2.6 0 4.4.7 5.4 2.3 1 1.5 1.4 3.9 1.4 7v10.6h-5.2V16.9c0-1.7-.2-2.9-.5-3.7-.4-.8-1.2-1.2-2.4-1.2-1 0-2 .2-3 .6l-.5.1v14.6l.1.1zm20.9-13.1c0 2 1 3 3 3 1.9 0 2.9-1 2.9-3 0-1.9-1-2.8-3-2.8s-3 1-3 2.9l.1-.1zm-.4 16c0 1.1 1.4 1.7 4.1 1.7 2.8 0 4.1-.7 4.1-2 0-.7-.2-1.1-.7-1.3-.4-.2-1.4-.3-3-.4l-3.4-.2a3 3 0 0 0-1 2.2h-.1zm13.5-.6c0 2.2-.9 3.9-2.6 5-1.7 1-4 1.5-7 1.5s-5-.4-6.6-1.1c-1.6-.8-2.4-2.2-2.4-4.3 0-1.6 1-3.1 2.8-4.6-1-.6-1.4-1.6-1.4-3 0-.5.3-1.3 1.1-2.5l.4-.6a6.5 6.5 0 0 1-2.7-5.6c0-2.5.8-4.3 2.3-5.4a9.7 9.7 0 0 1 5.9-1.6c1.1 0 2.2 0 3.3.3l.6.2 6.3-.2v4.1l-3-.2a5 5 0 0 1 1 2.6c0 2.6-.7 4.4-2 5.4a10.8 10.8 0 0 1-7.9 1.3l-.4 1.7c0 .4.3.7.7.9.4.1 1.5.2 3.1.2 3.3 0 5.5.5 6.7 1.3 1.2.9 1.8 2.4 1.8 4.6z",
    fill: "#fff"
  }));
};

exports.LogoTextOnly = LogoTextOnly;

var LogoLightMark = function LogoLightMark(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 112 104",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M19.103 51.6638C19.103 33.3448 32.684 18.1398 50.305 15.5828L40.673 2.29676C39.9378 1.28176 38.881 0.545149 37.6743 0.206577C36.4676 -0.131995 35.1819 -0.0526371 34.026 0.431761C14.035 8.84576 0 28.6148 0 51.6638C0 74.7128 14.035 94.4818 34.026 102.896C36.403 103.896 39.158 103.119 40.673 101.031L50.305 87.7448C32.684 85.1878 19.103 69.9828 19.103 51.6638ZM70.456 2.29676L60.823 15.5828C78.445 18.1398 92.026 33.3448 92.026 51.6638C92.026 69.9828 78.445 85.1878 60.823 87.7448L70.456 101.031C71.1912 102.046 72.248 102.782 73.4547 103.121C74.6614 103.46 75.9471 103.38 77.103 102.896C97.093 94.4818 111.129 74.7128 111.129 51.6638C111.129 28.6148 97.093 8.84576 77.103 0.431761C75.9471 -0.0526371 74.6614 -0.131995 73.4547 0.206577C72.248 0.545149 71.1912 1.28176 70.456 2.29676",
    fill: "#173140"
  }), (0, _preact.h)("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M58.358 18.9828L70.456 2.29676C71.193 1.28052 72.2522 0.543581 73.4612 0.205864C74.6703 -0.131853 75.9581 -0.0504734 77.115 0.436761C81.2234 2.16687 85.1081 4.38624 88.685 7.04676L65.134 40.1428C59.87 47.5388 51.258 47.5388 45.995 40.1428L22.444 7.04676C26.0206 4.38645 29.905 2.1671 34.013 0.436761C35.1701 -0.0503619 36.458 -0.131685 37.6672 0.206017C38.8764 0.543718 39.9357 1.28058 40.673 2.29676L52.77 18.9828C54.148 20.8828 56.98 20.8828 58.358 18.9828ZM58.358 84.3448L70.456 101.031C71.193 102.047 72.2522 102.784 73.4612 103.122C74.6703 103.459 75.9581 103.378 77.115 102.891C81.2234 101.161 85.1081 98.9413 88.685 96.2808L65.134 63.1848C59.87 55.7888 51.258 55.7888 45.995 63.1848L22.444 96.2808C26.0206 98.9411 29.905 101.16 34.013 102.891C35.1701 103.378 36.458 103.459 37.6672 103.121C38.8764 102.784 39.9357 102.047 40.673 101.031L52.77 84.3448C54.148 82.4448 56.98 82.4448 58.358 84.3448Z",
    fill: "#6CC4CA"
  }));
};

exports.LogoLightMark = LogoLightMark;

var LogoLight = function LogoLight(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 521 104",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, (0, _preact.h)("path", {
    d: "M143.234 40.272l-2.684 12.564h7.236l-2.685-12.564h-1.867zm-10.113 22.017l5.951-26.451h10.192l5.951 26.451h-5.368l-1.05-4.785h-9.258l-1.05 4.785h-5.368zm30.574 0h-5.213v-19.45h5.174v1.089c1.763-1.036 3.384-1.555 4.863-1.555 2.592 0 4.382.765 5.368 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.194-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.839 8.839 0 0 0-3.073.545l-.467.155v14.549m27.462-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.355-.915-2.586-.915-1.232 0-2.101.319-2.607.953-.505.636-.772 1.706-.797 3.209h6.729zm-5.738 6.555c.61.532 1.485.798 2.626.798 2.412 0 4.564-.079 6.457-.233l1.09-.118.078 3.851c-2.982.727-5.679 1.089-8.091 1.089-2.931 0-5.057-.777-6.38-2.333-1.323-1.556-1.984-4.085-1.984-7.586 0-6.975 2.866-10.463 8.597-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.436c.025 1.193.343 2.056.952 2.587zm28.767-9.666c-3.216-.414-5.466-.623-6.749-.623-1.284 0-2.114.117-2.49.35-.376.234-.564.604-.564 1.109s.253.856.759 1.05c.505.195 1.801.48 3.89.856 2.087.376 3.572.992 4.453 1.848.882.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.711 0-3.786-.233-6.223-.7l-1.245-.233.155-4.357c3.216.416 5.452.622 6.71.622s2.114-.122 2.568-.368c.453-.247.681-.617.681-1.109s-.24-.856-.72-1.089c-.48-.233-1.725-.519-3.734-.856-2.011-.337-3.508-.908-4.493-1.712-.986-.803-1.479-2.237-1.479-4.298 0-2.062.701-3.618 2.101-4.669 1.4-1.049 3.202-1.575 5.407-1.575 1.53 0 3.617.248 6.262.74l1.284.233-.077 4.318m15.364-.429h-4.784v7.975c0 .778.019 1.33.058 1.653.039.325.181.603.427.837.247.233.63.349 1.148.349l2.956-.077.235 4.162c-1.738.389-3.061.583-3.968.583-2.334 0-3.929-.525-4.785-1.575-.856-1.05-1.284-2.989-1.284-5.815v-8.092h-2.294v-4.434h2.294v-5.406h5.213v5.406h4.784v4.434m8.791 15.016h-5.212V35.06h5.212v8.712c1.789-.933 3.397-1.399 4.824-1.399 2.593 0 4.382.765 5.367 2.295.987 1.53 1.48 3.89 1.48 7.08v10.541h-5.213V51.864c0-1.634-.195-2.846-.584-3.637-.388-.79-1.167-1.187-2.334-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m27.463-11.476c0-1.556-.247-2.638-.739-3.247-.493-.609-1.356-.915-2.587-.915s-2.101.319-2.607.953c-.505.636-.771 1.706-.797 3.209h6.73zm-5.737 6.555c.608.532 1.483.798 2.625.798 2.412 0 4.564-.079 6.457-.233l1.089-.118.078 3.851c-2.982.727-5.678 1.089-8.091 1.089-2.931 0-5.056-.777-6.379-2.333-1.323-1.556-1.985-4.085-1.985-7.586 0-6.975 2.866-10.463 8.598-10.463 5.653 0 8.48 2.931 8.48 8.791l-.389 3.617h-11.437c.026 1.193.344 2.056.954 2.587zm28.765-9.666c-3.216-.414-5.465-.623-6.749-.623-1.283 0-2.114.117-2.489.35-.377.234-.565.604-.565 1.109s.253.856.759 1.05c.506.195 1.802.48 3.89.856 2.087.376 3.572.992 4.454 1.848.881.855 1.323 2.244 1.323 4.162 0 4.201-2.606 6.301-7.819 6.301-1.712 0-3.786-.233-6.224-.7l-1.245-.233.156-4.357c3.215.416 5.452.622 6.71.622 1.257 0 2.113-.122 2.567-.368.454-.247.681-.617.681-1.109s-.24-.856-.719-1.089c-.481-.233-1.726-.519-3.735-.856-2.01-.337-3.508-.908-4.493-1.712-.985-.803-1.478-2.237-1.478-4.298 0-2.062.7-3.618 2.101-4.669 1.399-1.049 3.202-1.575 5.407-1.575 1.529 0 3.617.248 6.262.74l1.284.233-.078 4.318m4.589 14.587h5.213v-19.45h-5.213v19.45zm0-21.939h5.213v-5.29h-5.213v5.29zm16.377 13.692c-1.453.13-2.179.908-2.179 2.334 0 1.427.636 2.14 1.907 2.14.985 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.539.311zm8.752-5.134v8.091c.052.622.156 1.057.311 1.303.156.247.48.421.973.525l-.156 3.928c-1.322 0-2.379-.09-3.17-.272-.791-.181-1.589-.544-2.392-1.089-1.867.908-3.774 1.361-5.719 1.361-4.02 0-6.029-2.125-6.029-6.379 0-2.074.558-3.545 1.673-4.415 1.115-.869 2.826-1.381 5.135-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.544-1.654-.363-.297-.947-.447-1.75-.447l-7.313.312-.156-3.619c2.775-.751 5.413-1.127 7.916-1.127 2.502 0 4.304.519 5.407 1.555 1.102 1.038 1.653 2.698 1.653 4.98zm22.406 12.953c-2.749.596-5.226.894-7.429.894-2.205 0-3.968-.272-5.291-.816-1.322-.545-2.36-1.413-3.112-2.606-.753-1.193-1.271-2.594-1.556-4.202-.285-1.607-.428-3.63-.428-6.068 0-5.108.719-8.667 2.159-10.678 1.44-2.009 4.091-3.015 7.955-3.015 2.229 0 4.809.351 7.741 1.051l-.156 4.279c-2.568-.389-4.7-.584-6.399-.584-1.698 0-2.911.228-3.637.681-.726.454-1.264 1.316-1.615 2.587-.349 1.271-.523 3.436-.523 6.496 0 3.061.355 5.18 1.068 6.36.713 1.18 2.14 1.77 4.279 1.77 2.14 0 4.416-.181 6.827-.545l.117 4.396m9.296.428h-5.212V35.06h5.212v8.712c1.79-.933 3.397-1.399 4.824-1.399 2.593 0 4.382.765 5.368 2.295.986 1.53 1.479 3.89 1.479 7.08v10.541h-5.213V51.864c0-1.634-.194-2.846-.584-3.637-.388-.79-1.167-1.187-2.334-1.187a10.28 10.28 0 0 0-3.034.467l-.506.156v14.626m22.639-8.247c-1.452.13-2.178.908-2.178 2.334 0 1.427.636 2.14 1.907 2.14.984 0 2.061-.156 3.228-.467l.583-.156v-4.162l-3.54.311zm8.753-5.134v8.091c.052.622.156 1.057.312 1.303.154.247.479.421.972.525l-.156 3.928c-1.322 0-2.379-.09-3.17-.272-.791-.181-1.589-.544-2.393-1.089-1.867.908-3.773 1.361-5.718 1.361-4.02 0-6.029-2.125-6.029-6.379 0-2.074.558-3.545 1.672-4.415 1.115-.869 2.827-1.381 5.136-1.536l4.161-.312v-1.205c0-.804-.181-1.355-.544-1.654-.363-.297-.947-.447-1.751-.447l-7.312.312-.157-3.619c2.776-.751 5.414-1.127 7.917-1.127 2.502 0 4.305.519 5.407 1.555 1.102 1.038 1.653 2.698 1.653 4.98zm5.173 13.381v-19.45h5.173v2.062c2.179-1.297 4.254-2.139 6.224-2.528v5.251c-2.1.441-3.902.895-5.406 1.361l-.779.272v13.032h-5.212m25.44-15.016h-4.785v7.975c0 .778.02 1.33.059 1.653.039.325.181.603.428.837.246.233.628.349 1.147.349l2.957-.077.233 4.162c-1.737.389-3.06.583-3.968.583-2.333 0-3.929-.525-4.785-1.575-.855-1.05-1.283-2.989-1.283-5.815v-8.092h-2.295v-4.434h2.295v-5.406h5.212v5.406h4.785v4.434m3.578 15.016h5.213v-19.45h-5.213v19.45zm0-21.939h5.213v-5.29h-5.213v5.29zm15.444 21.939h-5.213v-19.45h5.174v1.089c1.763-1.036 3.383-1.555 4.863-1.555 2.592 0 4.381.765 5.367 2.295.985 1.53 1.478 3.89 1.478 7.08v10.541h-5.213V51.903c0-1.659-.193-2.885-.583-3.676-.389-.79-1.167-1.187-2.334-1.187a8.833 8.833 0 0 0-3.072.545l-.467.155v14.549m20.966-12.934c0 1.906.992 2.859 2.975 2.859 1.985 0 2.976-.953 2.976-2.859 0-1.906-.991-2.859-2.976-2.859-1.983 0-2.975.953-2.975 2.859zm-.312 15.929c0 1.115 1.368 1.673 4.104 1.673 2.736 0 4.105-.648 4.105-1.945 0-.7-.234-1.148-.701-1.343-.467-.193-1.452-.304-2.956-.33l-3.501-.272c-.7.7-1.051 1.439-1.051 2.217zm13.46-.564c0 2.217-.856 3.858-2.567 4.921-1.712 1.063-4.026 1.595-6.944 1.595s-5.161-.389-6.73-1.168c-1.569-.777-2.353-2.191-2.353-4.239 0-1.634.934-3.178 2.801-4.629-.96-.648-1.439-1.634-1.439-2.956 0-.519.389-1.375 1.167-2.568l.349-.545c-1.763-1.27-2.645-3.144-2.645-5.621 0-2.476.746-4.271 2.238-5.387 1.49-1.115 3.467-1.673 5.932-1.673 1.114 0 2.217.13 3.305.389l.623.117 6.263-.194v4.162l-2.918-.234c.57.882.856 1.764.856 2.646 0 2.593-.661 4.382-1.983 5.368-1.323.986-3.398 1.478-6.224 1.478a7.363 7.363 0 0 1-1.595-.156c-.26.675-.389 1.225-.389 1.653 0 .428.219.72.661.875.441.156 1.478.248 3.113.273 3.266.026 5.496.461 6.69 1.303 1.192.843 1.789 2.373 1.789 4.59zm54.617-14.533a3.51 3.51 0 0 1-3.5 3.5h-39.956a3.51 3.51 0 0 1-3.5-3.5V38.571a3.51 3.51 0 0 1 3.5-3.5h39.956a3.51 3.51 0 0 1 3.5 3.5v11.616",
    fill: "#162E3E"
  }), (0, _preact.h)("path", {
    fill: "#FFF",
    d: "M477.476 49.241h2.801v-3.228h-2.801zm8.733-9.958c.674 0 1.537.104 2.587.312l.525.116-.078 2.061c-1.024-.103-1.782-.155-2.275-.155-.894 0-1.488.192-1.78.574-.291.382-.437 1.105-.437 2.168 0 1.064.146 1.793.437 2.189.292.395.892.593 1.799.593l2.256-.156.078 2.081c-1.387.273-2.444.409-3.17.409-1.439 0-2.473-.405-3.102-1.216-.63-.81-.943-2.11-.943-3.9 0-1.789.323-3.082.972-3.88.649-.797 1.692-1.196 3.131-1.196m7.498 7.274c.266.467.743.7 1.43.7.686 0 1.164-.233 1.429-.7.266-.467.399-1.199.399-2.198 0-.998-.133-1.724-.399-2.178-.265-.453-.743-.681-1.429-.681-.687 0-1.164.228-1.43.681-.265.454-.398 1.18-.398 2.178 0 .999.133 1.731.398 2.198zm-2.013-5.941c.687-.889 1.835-1.333 3.443-1.333s2.755.444 3.443 1.333c.687.888 1.03 2.135 1.03 3.743 0 3.411-1.491 5.116-4.473 5.116-2.982 0-4.473-1.705-4.473-5.116 0-1.608.343-2.855 1.03-3.743zm12.428 8.625h-2.606v-9.724h2.587v.545c.895-.519 1.659-.779 2.295-.779 1.05 0 1.861.305 2.431.914 1.192-.609 2.282-.914 3.268-.914 1.283 0 2.174.373 2.674 1.119.499.745.749 1.935.749 3.568v5.271h-2.607v-5.193c0-.829-.09-1.442-.271-1.838-.183-.395-.545-.593-1.09-.593-.415 0-.921.091-1.516.273l-.293.096c.052.973.078 1.712.078 2.218v5.037h-2.606v-4.998c0-.96-.085-1.637-.253-2.033-.169-.395-.538-.593-1.108-.593a4.29 4.29 0 0 0-1.498.273l-.234.077v7.274"
  }), (0, _preact.h)("path", {
    d: "M19.093 52c0-18.319 13.581-33.524 31.202-36.081L40.663 2.633A5.556 5.556 0 0 0 34.016.768C14.025 9.182-.01 28.951-.01 52s14.035 42.818 34.026 51.232c2.377 1 5.132.223 6.647-1.865l9.632-13.286C32.674 85.524 19.093 70.319 19.093 52M70.446 2.633l-9.633 13.286C78.435 18.476 92.016 33.681 92.016 52c0 18.319-13.581 33.524-31.203 36.081l9.633 13.286a5.556 5.556 0 0 0 6.647 1.865c19.99-8.414 34.026-28.183 34.026-51.232S97.083 9.182 77.093.768a5.556 5.556 0 0 0-6.647 1.865",
    fill: "#173140"
  }), (0, _preact.h)("path", {
    d: "M58.348 19.319L70.446 2.633a5.56 5.56 0 0 1 6.659-1.86 55.435 55.435 0 0 1 11.57 6.61L65.124 40.479c-5.264 7.396-13.876 7.396-19.139 0L22.434 7.383A55.453 55.453 0 0 1 34.003.773a5.562 5.562 0 0 1 6.66 1.86L52.76 19.319c1.378 1.9 4.21 1.9 5.588 0m0 65.362l12.098 16.686a5.56 5.56 0 0 0 6.659 1.86 55.435 55.435 0 0 0 11.57-6.61L65.124 63.521c-5.264-7.396-13.876-7.396-19.139 0L22.434 96.617a55.453 55.453 0 0 0 11.569 6.61 5.562 5.562 0 0 0 6.66-1.86L52.76 84.681c1.378-1.9 4.21-1.9 5.588 0",
    fill: "#6CC4CA"
  })));
};

exports.LogoLight = LogoLight;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./utils/omit":"../utils/omit.js"}],"../transition-in.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transitionIn = void 0;

var _preact = require("preact");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var transitionIn = function transitionIn(Wrapped) {
  var TransitionIn = /*#__PURE__*/function (_Component) {
    _inherits(TransitionIn, _Component);

    var _super = _createSuper(TransitionIn);

    function TransitionIn(props) {
      var _this;

      _classCallCheck(this, TransitionIn);

      _this = _super.call(this, props);
      _this.state = {
        firstRender: true
      };
      return _this;
    }

    _createClass(TransitionIn, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        var _this2 = this;

        setTimeout(function () {
          _this2.setState({
            firstRender: false
          });
        }, 0);
      }
    }, {
      key: "render",
      value: function render() {
        return (0, _preact.h)(Wrapped, Object.assign({
          firstRender: this.state.firstRender
        }, this.props));
      }
    }]);

    return TransitionIn;
  }(_preact.Component);

  return TransitionIn;
};

exports.transitionIn = transitionIn;
},{"preact":"../../node_modules/preact/dist/preact.module.js"}],"../crate.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MessagePageCrate = exports.PageCrate = exports.PageCrateHeading = exports.Page = exports.LogoCrate = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _logo = require("./logo");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _transitionIn = require("./transition-in");

var _omit = _interopRequireDefault(require("./utils/omit"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var LogoCrate = function LogoCrate() {
  return (0, _preact.h)("div", {
    className: "mw6 mv3 ph3 pt2 pb3 center br2"
  }, (0, _preact.h)("div", {
    className: "w-60"
  }, (0, _preact.h)("a", {
    href: "/"
  }, (0, _preact.h)(_logo.LogoLight, null))));
};

exports.LogoCrate = LogoCrate;
var Page = (0, _transitionIn.transitionIn)((0, _getStyledComponent.default)({
  baseClasses: 'transition',
  options: {
    transitions: ['firstRender']
  },
  fn: function fn(_ref) {
    var firstRender = _ref.firstRender;
    return firstRender ? 'o-0 translate-y' : 'o-100';
  }
}));
exports.Page = Page;
var PageCrateHeading = (0, _getStyledComponent.default)({
  baseClasses: 'mt1 mb3',
  tagName: 'h3'
});
exports.PageCrateHeading = PageCrateHeading;
var PageCrate = (0, _getStyledComponent.default)({
  baseClasses: 'no-print-padding mv3 pa3 center br2',
  options: {
    title: '',
    backgroundColor: 'white',
    width: ['wide'],
    shadowExists: ['noShadow']
  },
  fn: function fn(_ref2) {
    var wide = _ref2.wide,
        backgroundColor = _ref2.backgroundColor,
        noShadow = _ref2.noShadow;
    return (0, _classnames.default)(wide ? 'mw7' : 'mw6', "bg-".concat(backgroundColor), {
      'shadow-1': !noShadow
    });
  },
  renderChildren: function renderChildren(_ref3) {
    var title = _ref3.title,
        children = _ref3.children;
    var res = [children];

    if (title) {
      res.unshift((0, _preact.h)(PageCrateHeading, null, title));
    }

    return res;
  }
});
exports.PageCrate = PageCrate;

var MessagePageCrate = function MessagePageCrate(props) {
  var loading = props.loading,
      error = props.error,
      warning = props.warning,
      success = props.success,
      children = props.children;
  var rest = (0, _omit.default)(props, ['loading', 'error', 'warning', 'success', 'children']);
  var icon = null;
  var iconClasses = null;
  var backgroundColor = 'white';
  var colorClasses = null;

  if (loading) {
    icon = 'autorenew';
    iconClasses = 'spin-animation';
  }

  if (error) {
    icon = 'error';
    backgroundColor = 'red';
    colorClasses = 'black';
  }

  if (warning) {
    icon = 'warning';
    backgroundColor = 'orange';
    colorClasses = 'black';
  }

  if (success) {
    icon = 'check';
    backgroundColor = 'light-blue';
    colorClasses = 'black';
  }

  var iconComp = (loading || error || warning || success) && (0, _preact.h)(_icon.Icon, {
    className: (0, _classnames.default)('f3 mr3', iconClasses),
    size: "40",
    icon: icon
  });
  return (0, _preact.h)(PageCrate, _extends({
    backgroundColor: backgroundColor
  }, rest), (0, _preact.h)("div", {
    className: (0, _classnames.default)('flex items-center min-h3 f4', colorClasses)
  }, iconComp, children));
};

exports.MessagePageCrate = MessagePageCrate;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js","./logo":"../logo.js","./utils/get-styled-component":"../utils/get-styled-component.js","./transition-in":"../transition-in.js","./utils/omit":"../utils/omit.js","./icon":"../icon.js"}],"../full-screen-overlay.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FullScreenOverlay = exports.FullScreenOverlayWrapper = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _omit = _interopRequireDefault(require("./utils/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FullScreenOverlayWrapper = (0, _getStyledComponent.default)({
  baseClasses: 'fixed top-0 left-0 z-999 w-100 h-100 bg-gray flex items-center dark-blue'
});
exports.FullScreenOverlayWrapper = FullScreenOverlayWrapper;

var FullScreenOverlay = function FullScreenOverlay(props) {
  return (0, _preact.h)(FullScreenOverlayWrapper, (0, _omit.default)(props, ['children']), (0, _preact.h)("div", {
    className: "center ph2 ph4-m"
  }, props.children));
};

exports.FullScreenOverlay = FullScreenOverlay;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./utils/get-styled-component":"../utils/get-styled-component.js","./utils/omit":"../utils/omit.js"}],"../inputs.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Textarea = exports.Select = exports.Input = exports.inputClasses = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var inputClasses = 'pa2 input-reset bg-white ba b--gray br2';
exports.inputClasses = inputClasses;
var Input = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'input'
});
exports.Input = Input;
var Select = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'select'
});
exports.Select = Select;
var Textarea = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'textarea'
});
exports.Textarea = Textarea;
},{"./utils/get-styled-component":"../utils/get-styled-component.js"}],"../drug-box.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DrugBox = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DrugBox = (0, _getStyledComponent.default)({
  baseClasses: 'pv2 ph2 br2 ba b--light-gray bg-near-white',
  options: {
    highlight: ['highlighted']
  },
  fn: function fn(_ref) {
    var highlighted = _ref.highlighted;
    return highlighted ? 'bg-lightest-blue' : 'bg-near-white';
  }
});
exports.DrugBox = DrugBox;
},{"./utils/get-styled-component":"../utils/get-styled-component.js"}],"../links.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SupportLink = exports.Link = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var supportEmail = 'support@anesthesiacharting.com';
var Link = (0, _getStyledComponent.default)({
  baseClasses: 'link dark-blue underline hover-light-blue',
  tagName: 'a'
});
exports.Link = Link;

var SupportLink = function SupportLink(props) {
  return (0, _preact.h)(Link, _extends({
    href: "mailto:".concat(supportEmail)
  }, props), supportEmail);
};

exports.SupportLink = SupportLink;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./utils/get-styled-component":"../utils/get-styled-component.js"}],"../check-mark.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckMark = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CheckMark = function CheckMark(_ref) {
  var className = _ref.className,
      name = _ref.name,
      label = _ref.label,
      isComplete = _ref.isComplete,
      _onClick = _ref.onClick;
  return (0, _preact.h)("label", {
    htmlFor: name,
    className: (0, _classnames.default)('flex items-center mb2', className),
    "data-e2e": "checkMark"
  }, (0, _preact.h)("input", {
    onClick: function onClick() {
      return _onClick(name);
    },
    className: "checkbox o-0",
    id: name,
    checked: isComplete,
    type: "checkbox"
  }), isComplete && (0, _preact.h)(_icon.Icon, {
    className: "light-blue",
    size: "40",
    icon: "check_box"
  }), !isComplete && (0, _preact.h)(_icon.Icon, {
    size: "40",
    icon: "check_box_outline_blank"
  }), (0, _preact.h)("span", {
    className: "ml2"
  }, label || name));
};

exports.CheckMark = CheckMark;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./icon":"../icon.js","classnames":"../../node_modules/classnames/index.js"}],"../drawer.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Drawer = exports.DrawerLinkContainer = exports.DrawerLink = exports.FlipIcon = exports.FlipContainer = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var cardStyles = {
  backfaceVisibility: 'hidden',
  webkitBackfaceVisibility: 'hidden',
  top: '0',
  left: '0'
};

var FlipContainer = function FlipContainer(_ref) {
  var front = _ref.front,
      back = _ref.back,
      flipped = _ref.flipped,
      height = _ref.height,
      width = _ref.width,
      className = _ref.className,
      style = _ref.style,
      _ref$direction = _ref.direction,
      direction = _ref$direction === void 0 ? 'vertical' : _ref$direction,
      _ref$perspective = _ref.perspective,
      perspective = _ref$perspective === void 0 ? '100px' : _ref$perspective,
      rest = _objectWithoutProperties(_ref, ["front", "back", "flipped", "height", "width", "className", "style", "direction", "perspective"]);

  var axis = direction === 'vertical' ? 'X' : 'Y';
  var rotateZero = "rotate".concat(axis, "(0deg)");
  var rotateFlipped = "rotate".concat(axis, "(180deg)");
  return (0, _preact.h)("div", _extends({}, rest, {
    className: className,
    style: Object.assign({
      position: 'relative',
      perspective: perspective,
      width: width,
      height: height
    }, style)
  }), (0, _preact.h)("div", {
    style: {
      transition: '0.6s',
      transformStyle: 'preserve-3d',
      webkitTransformStyle: 'preserve-3d',
      position: 'relative',
      transformOrigin: 'center',
      webkitTransformOrigin: 'center',
      width: '100%',
      height: '100%',
      transform: !flipped ? rotateFlipped : '',
      webkitTransform: !flipped ? rotateFlipped : ''
    }
  }, (0, _preact.h)("div", {
    style: Object.assign({}, cardStyles, {
      transform: rotateFlipped,
      webkitTransform: rotateFlipped,
      width: '100%',
      height: '100%',
      position: 'relative'
    })
  }, front), (0, _preact.h)("div", {
    style: Object.assign({}, cardStyles, {
      zIndex: 2,
      transform: rotateZero,
      webkitTransform: rotateZero,
      width: '100%',
      height: '100%',
      position: 'absolute'
    })
  }, back)));
};

exports.FlipContainer = FlipContainer;
var FlipIcon = (0, _getStyledComponent.default)({
  options: {
    complete: ['complete'],
    icon: ['icon']
  },
  renderChildren: function renderChildren(_ref2) {
    var icon = _ref2.icon,
        complete = _ref2.complete;
    return [(0, _preact.h)(FlipContainer, {
      width: "20px",
      height: "20px",
      flipped: complete,
      front: (0, _preact.h)(_icon.Icon, {
        size: "20",
        icon: icon
      }),
      back: (0, _preact.h)(_icon.Icon, {
        className: "light-blue",
        size: "20",
        icon: "check_circle"
      })
    })];
  }
});
exports.FlipIcon = FlipIcon;
var DrawerLink = (0, _getStyledComponent.default)({
  tagName: 'a',
  baseClasses: 'link pv1 mt1 f5 fw3 flex items-center',
  options: {
    active: ['active'],
    disabled: ['disabled'],
    completeness: ['complete']
  },
  fn: function fn(_ref3) {
    var active = _ref3.active,
        disabled = _ref3.disabled;
    return (0, _classnames.default)({
      'light-blue': active,
      'mid-gray not-allowed': disabled,
      'white hover-moon-gray': !active && !disabled
    });
  },
  renderChildren: function renderChildren(_ref4) {
    var icon = _ref4.icon,
        title = _ref4.title,
        complete = _ref4.complete;
    return [(0, _preact.h)(FlipIcon, {
      icon: icon,
      complete: complete
    }), (0, _preact.h)("span", {
      "data-e2e": "".concat(title, "Nav"),
      className: icon ? 'pl2' : null
    }, title)];
  }
});
exports.DrawerLink = DrawerLink;
var DrawerLinkContainer = (0, _getStyledComponent.default)({
  baseClasses: 'link db pt2 pl3 f4',
  options: {
    completeness: ['complete'],
    title: ['title']
  },
  renderChildren: function renderChildren(_ref5) {
    var complete = _ref5.complete,
        title = _ref5.title,
        children = _ref5.children;
    return [(0, _preact.h)("div", {
      className: "flex items-center"
    }, (0, _preact.h)(_icon.Icon, {
      className: (0, _classnames.default)('light-blue pr2', {
        hidden: !complete
      }),
      size: "20",
      icon: "check_circle"
    }), (0, _preact.h)("h3", {
      className: "fw3 f6 ma0 ttu mid-gray bb b--mid-gray pb2 pt1 relative flex-grow-1"
    }, title)), (0, _preact.h)("div", null, children)];
  }
});
exports.DrawerLinkContainer = DrawerLinkContainer;
var Drawer = (0, _getStyledComponent.default)({
  baseClasses: 'bg-dark-blue white fixed top-0 vh-100 overflow-x-hidden'
});
exports.Drawer = Drawer;
},{"./utils/get-styled-component":"../utils/get-styled-component.js","preact":"../../node_modules/preact/dist/preact.module.js","./icon":"../icon.js","classnames":"../../node_modules/classnames/index.js"}],"../../node_modules/preact/hooks/dist/hooks.module.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useState = l;
exports.useReducer = p;
exports.useEffect = y;
exports.useLayoutEffect = h;
exports.useRef = s;
exports.useImperativeHandle = _;
exports.useMemo = d;
exports.useCallback = A;
exports.useContext = F;
exports.useDebugValue = T;
exports.useErrorBoundary = q;

var _preact = require("preact");

var t,
    u,
    r,
    o = 0,
    i = [],
    c = _preact.options.__b,
    f = _preact.options.__r,
    e = _preact.options.diffed,
    a = _preact.options.__c,
    v = _preact.options.unmount;

function m(t, r) {
  _preact.options.__h && _preact.options.__h(u, t, o || r), o = 0;
  var i = u.__H || (u.__H = {
    __: [],
    __h: []
  });
  return t >= i.__.length && i.__.push({}), i.__[t];
}

function l(n) {
  return o = 1, p(w, n);
}

function p(n, r, o) {
  var i = m(t++, 2);
  return i.t = n, i.__c || (i.__ = [o ? o(r) : w(void 0, r), function (n) {
    var t = i.t(i.__[0], n);
    i.__[0] !== t && (i.__ = [t, i.__[1]], i.__c.setState({}));
  }], i.__c = u), i.__;
}

function y(r, o) {
  var i = m(t++, 3);
  !_preact.options.__s && k(i.__H, o) && (i.__ = r, i.__H = o, u.__H.__h.push(i));
}

function h(r, o) {
  var i = m(t++, 4);
  !_preact.options.__s && k(i.__H, o) && (i.__ = r, i.__H = o, u.__h.push(i));
}

function s(n) {
  return o = 5, d(function () {
    return {
      current: n
    };
  }, []);
}

function _(n, t, u) {
  o = 6, h(function () {
    "function" == typeof n ? n(t()) : n && (n.current = t());
  }, null == u ? u : u.concat(n));
}

function d(n, u) {
  var r = m(t++, 7);
  return k(r.__H, u) && (r.__ = n(), r.__H = u, r.__h = n), r.__;
}

function A(n, t) {
  return o = 8, d(function () {
    return n;
  }, t);
}

function F(n) {
  var r = u.context[n.__c],
      o = m(t++, 9);
  return o.__c = n, r ? (null == o.__ && (o.__ = !0, r.sub(u)), r.props.value) : n.__;
}

function T(t, u) {
  _preact.options.useDebugValue && _preact.options.useDebugValue(u ? u(t) : t);
}

function q(n) {
  var r = m(t++, 10),
      o = l();
  return r.__ = n, u.componentDidCatch || (u.componentDidCatch = function (n) {
    r.__ && r.__(n), o[1](n);
  }), [o[0], function () {
    o[1](void 0);
  }];
}

function x() {
  i.forEach(function (t) {
    if (t.__P) try {
      t.__H.__h.forEach(g), t.__H.__h.forEach(j), t.__H.__h = [];
    } catch (u) {
      t.__H.__h = [], _preact.options.__e(u, t.__v);
    }
  }), i = [];
}

_preact.options.__b = function (n) {
  u = null, c && c(n);
}, _preact.options.__r = function (n) {
  f && f(n), t = 0;
  var r = (u = n.__c).__H;
  r && (r.__h.forEach(g), r.__h.forEach(j), r.__h = []);
}, _preact.options.diffed = function (t) {
  e && e(t);
  var o = t.__c;
  o && o.__H && o.__H.__h.length && (1 !== i.push(o) && r === _preact.options.requestAnimationFrame || ((r = _preact.options.requestAnimationFrame) || function (n) {
    var t,
        u = function () {
      clearTimeout(r), b && cancelAnimationFrame(t), setTimeout(n);
    },
        r = setTimeout(u, 100);

    b && (t = requestAnimationFrame(u));
  })(x)), u = void 0;
}, _preact.options.__c = function (t, u) {
  u.some(function (t) {
    try {
      t.__h.forEach(g), t.__h = t.__h.filter(function (n) {
        return !n.__ || j(n);
      });
    } catch (r) {
      u.some(function (n) {
        n.__h && (n.__h = []);
      }), u = [], _preact.options.__e(r, t.__v);
    }
  }), a && a(t, u);
}, _preact.options.unmount = function (t) {
  v && v(t);
  var u = t.__c;
  if (u && u.__H) try {
    u.__H.__.forEach(g);
  } catch (t) {
    _preact.options.__e(t, u.__v);
  }
};
var b = "function" == typeof requestAnimationFrame;

function g(n) {
  var t = u;
  "function" == typeof n.__c && n.__c(), u = t;
}

function j(n) {
  var t = u;
  n.__c = n.__(), u = t;
}

function k(n, t) {
  return !n || n.length !== t.length || t.some(function (t, u) {
    return t !== n[u];
  });
}

function w(n, t) {
  return "function" == typeof t ? t(n) : t;
}
},{"preact":"../../node_modules/preact/dist/preact.module.js"}],"../../node_modules/preact/compat/dist/compat.module.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  version: true,
  Children: true,
  render: true,
  hydrate: true,
  unmountComponentAtNode: true,
  createPortal: true,
  createFactory: true,
  cloneElement: true,
  isValidElement: true,
  findDOMNode: true,
  PureComponent: true,
  memo: true,
  forwardRef: true,
  unstable_batchedUpdates: true,
  StrictMode: true,
  Suspense: true,
  SuspenseList: true,
  lazy: true,
  __SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED: true,
  unstable_ImmediatePriority: true,
  unstable_UserBlockingPriority: true,
  unstable_NormalPriority: true,
  unstable_LowPriority: true,
  unstable_IdlePriority: true,
  unstable_runWithPriority: true,
  unstable_now: true,
  createElement: true,
  createContext: true,
  createRef: true,
  Fragment: true,
  Component: true
};
exports.render = V;
exports.hydrate = z;
exports.unmountComponentAtNode = an;
exports.createPortal = j;
exports.createFactory = ln;
exports.cloneElement = cn;
exports.isValidElement = fn;
exports.findDOMNode = sn;
exports.PureComponent = E;
exports.memo = g;
exports.forwardRef = x;
exports.Suspense = O;
exports.SuspenseList = D;
exports.lazy = U;
exports.unstable_runWithPriority = rn;
Object.defineProperty(exports, "createElement", {
  enumerable: true,
  get: function () {
    return _preact.createElement;
  }
});
Object.defineProperty(exports, "createContext", {
  enumerable: true,
  get: function () {
    return _preact.createContext;
  }
});
Object.defineProperty(exports, "createRef", {
  enumerable: true,
  get: function () {
    return _preact.createRef;
  }
});
Object.defineProperty(exports, "Fragment", {
  enumerable: true,
  get: function () {
    return _preact.Fragment;
  }
});
Object.defineProperty(exports, "Component", {
  enumerable: true,
  get: function () {
    return _preact.Component;
  }
});
exports.unstable_now = exports.unstable_IdlePriority = exports.unstable_LowPriority = exports.unstable_NormalPriority = exports.unstable_UserBlockingPriority = exports.unstable_ImmediatePriority = exports.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = exports.StrictMode = exports.unstable_batchedUpdates = exports.Children = exports.version = exports.default = void 0;

var _hooks = require("preact/hooks");

Object.keys(_hooks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _hooks[key];
    }
  });
});

var _preact = require("preact");

function C(n, t) {
  for (var e in t) n[e] = t[e];

  return n;
}

function S(n, t) {
  for (var e in n) if ("__source" !== e && !(e in t)) return !0;

  for (var r in t) if ("__source" !== r && n[r] !== t[r]) return !0;

  return !1;
}

function E(n) {
  this.props = n;
}

function g(n, t) {
  function e(n) {
    var e = this.props.ref,
        r = e == n.ref;
    return !r && e && (e.call ? e(null) : e.current = null), t ? !t(this.props, n) || !r : S(this.props, n);
  }

  function r(t) {
    return this.shouldComponentUpdate = e, (0, _preact.createElement)(n, t);
  }

  return r.displayName = "Memo(" + (n.displayName || n.name) + ")", r.prototype.isReactComponent = !0, r.__f = !0, r;
}

(E.prototype = new _preact.Component()).isPureReactComponent = !0, E.prototype.shouldComponentUpdate = function (n, t) {
  return S(this.props, n) || S(this.state, t);
};
var w = _preact.options.__b;

_preact.options.__b = function (n) {
  n.type && n.type.__f && n.ref && (n.props.ref = n.ref, n.ref = null), w && w(n);
};

var R = "undefined" != typeof Symbol && Symbol.for && Symbol.for("react.forward_ref") || 3911;

function x(n) {
  function t(t, e) {
    var r = C({}, t);
    return delete r.ref, n(r, (e = t.ref || e) && ("object" != typeof e || "current" in e) ? e : null);
  }

  return t.$$typeof = R, t.render = t, t.prototype.isReactComponent = t.__f = !0, t.displayName = "ForwardRef(" + (n.displayName || n.name) + ")", t;
}

var N = function (n, t) {
  return null == n ? null : (0, _preact.toChildArray)((0, _preact.toChildArray)(n).map(t));
},
    k = {
  map: N,
  forEach: N,
  count: function (n) {
    return n ? (0, _preact.toChildArray)(n).length : 0;
  },
  only: function (n) {
    var t = (0, _preact.toChildArray)(n);
    if (1 !== t.length) throw "Children.only";
    return t[0];
  },
  toArray: _preact.toChildArray
},
    A = _preact.options.__e;

exports.Children = k;

function O() {
  this.__u = 0, this.t = null, this.__b = null;
}

function L(n) {
  var t = n.__.__c;
  return t && t.__e && t.__e(n);
}

function U(n) {
  var t, e, r;

  function u(u) {
    if (t || (t = n()).then(function (n) {
      e = n.default || n;
    }, function (n) {
      r = n;
    }), r) throw r;
    if (!e) throw t;
    return (0, _preact.createElement)(e, u);
  }

  return u.displayName = "Lazy", u.__f = !0, u;
}

function D() {
  this.u = null, this.o = null;
}

_preact.options.__e = function (n, t, e) {
  if (n.then) for (var r, u = t; u = u.__;) if ((r = u.__c) && r.__c) return null == t.__e && (t.__e = e.__e, t.__k = e.__k), r.__c(n, t);
  A(n, t, e);
}, (O.prototype = new _preact.Component()).__c = function (n, t) {
  var e = t.__c,
      r = this;
  null == r.t && (r.t = []), r.t.push(e);

  var u = L(r.__v),
      o = !1,
      i = function () {
    o || (o = !0, e.componentWillUnmount = e.__c, u ? u(l) : l());
  };

  e.__c = e.componentWillUnmount, e.componentWillUnmount = function () {
    i(), e.__c && e.__c();
  };

  var l = function () {
    if (! --r.__u) {
      if (r.state.__e) {
        var n = r.state.__e;

        r.__v.__k[0] = function n(t, e, r) {
          return t && (t.__v = null, t.__k = t.__k && t.__k.map(function (t) {
            return n(t, e, r);
          }), t.__c && t.__c.__P === e && (t.__e && r.insertBefore(t.__e, t.__d), t.__c.__e = !0, t.__c.__P = r)), t;
        }(n, n.__c.__P, n.__c.__O);
      }

      var t;

      for (r.setState({
        __e: r.__b = null
      }); t = r.t.pop();) t.forceUpdate();
    }
  },
      f = !0 === t.__h;

  r.__u++ || f || r.setState({
    __e: r.__b = r.__v.__k[0]
  }), n.then(i, i);
}, O.prototype.componentWillUnmount = function () {
  this.t = [];
}, O.prototype.render = function (n, t) {
  if (this.__b) {
    if (this.__v.__k) {
      var e = document.createElement("div"),
          r = this.__v.__k[0].__c;

      this.__v.__k[0] = function n(t, e, r) {
        return t && (t.__c && t.__c.__H && (t.__c.__H.__.forEach(function (n) {
          "function" == typeof n.__c && n.__c();
        }), t.__c.__H = null), null != (t = C({}, t)).__c && (t.__c.__P === r && (t.__c.__P = e), t.__c = null), t.__k = t.__k && t.__k.map(function (t) {
          return n(t, e, r);
        })), t;
      }(this.__b, e, r.__O = r.__P);
    }

    this.__b = null;
  }

  var u = t.__e && (0, _preact.createElement)(_preact.Fragment, null, n.fallback);
  return u && (u.__h = null), [(0, _preact.createElement)(_preact.Fragment, null, t.__e ? null : n.children), u];
};

var F = function (n, t, e) {
  if (++e[1] === e[0] && n.o.delete(t), n.props.revealOrder && ("t" !== n.props.revealOrder[0] || !n.o.size)) for (e = n.u; e;) {
    for (; e.length > 3;) e.pop()();

    if (e[1] < e[0]) break;
    n.u = e = e[2];
  }
};

function M(n) {
  return this.getChildContext = function () {
    return n.context;
  }, n.children;
}

function T(n) {
  var t = this,
      e = n.i;
  t.componentWillUnmount = function () {
    (0, _preact.render)(null, t.l), t.l = null, t.i = null;
  }, t.i && t.i !== e && t.componentWillUnmount(), n.__v ? (t.l || (t.i = e, t.l = {
    nodeType: 1,
    parentNode: e,
    childNodes: [],
    appendChild: function (n) {
      this.childNodes.push(n), t.i.appendChild(n);
    },
    insertBefore: function (n, e) {
      this.childNodes.push(n), t.i.appendChild(n);
    },
    removeChild: function (n) {
      this.childNodes.splice(this.childNodes.indexOf(n) >>> 1, 1), t.i.removeChild(n);
    }
  }), (0, _preact.render)((0, _preact.createElement)(M, {
    context: t.context
  }, n.__v), t.l)) : t.l && t.componentWillUnmount();
}

function j(n, t) {
  return (0, _preact.createElement)(T, {
    __v: n,
    i: t
  });
}

(D.prototype = new _preact.Component()).__e = function (n) {
  var t = this,
      e = L(t.__v),
      r = t.o.get(n);
  return r[0]++, function (u) {
    var o = function () {
      t.props.revealOrder ? (r.push(u), F(t, n, r)) : u();
    };

    e ? e(o) : o();
  };
}, D.prototype.render = function (n) {
  this.u = null, this.o = new Map();
  var t = (0, _preact.toChildArray)(n.children);
  n.revealOrder && "b" === n.revealOrder[0] && t.reverse();

  for (var e = t.length; e--;) this.o.set(t[e], this.u = [1, 0, this.u]);

  return n.children;
}, D.prototype.componentDidUpdate = D.prototype.componentDidMount = function () {
  var n = this;
  this.o.forEach(function (t, e) {
    F(n, e, t);
  });
};

var I = "undefined" != typeof Symbol && Symbol.for && Symbol.for("react.element") || 60103,
    W = /^(?:accent|alignment|arabic|baseline|cap|clip(?!PathU)|color|fill|flood|font|glyph(?!R)|horiz|marker(?!H|W|U)|overline|paint|stop|strikethrough|stroke|text(?!L)|underline|unicode|units|v|vector|vert|word|writing|x(?!C))[A-Z]/,
    P = function (n) {
  return ("undefined" != typeof Symbol && "symbol" == typeof Symbol() ? /fil|che|rad/i : /fil|che|ra/i).test(n);
};

function V(n, t, e) {
  return null == t.__k && (t.textContent = ""), (0, _preact.render)(n, t), "function" == typeof e && e(), n ? n.__c : null;
}

function z(n, t, e) {
  return (0, _preact.hydrate)(n, t), "function" == typeof e && e(), n ? n.__c : null;
}

_preact.Component.prototype.isReactComponent = {}, ["componentWillMount", "componentWillReceiveProps", "componentWillUpdate"].forEach(function (n) {
  Object.defineProperty(_preact.Component.prototype, n, {
    configurable: !0,
    get: function () {
      return this["UNSAFE_" + n];
    },
    set: function (t) {
      Object.defineProperty(this, n, {
        configurable: !0,
        writable: !0,
        value: t
      });
    }
  });
});
var B = _preact.options.event;

function H() {}

function Z() {
  return this.cancelBubble;
}

function Y() {
  return this.defaultPrevented;
}

_preact.options.event = function (n) {
  return B && (n = B(n)), n.persist = H, n.isPropagationStopped = Z, n.isDefaultPrevented = Y, n.nativeEvent = n;
};

var $,
    q = {
  configurable: !0,
  get: function () {
    return this.class;
  }
},
    G = _preact.options.vnode;

_preact.options.vnode = function (n) {
  var t = n.type,
      e = n.props,
      r = e;

  if ("string" == typeof t) {
    for (var u in r = {}, e) {
      var o = e[u];
      "value" === u && "defaultValue" in e && null == o || ("defaultValue" === u && "value" in e && null == e.value ? u = "value" : "download" === u && !0 === o ? o = "" : /ondoubleclick/i.test(u) ? u = "ondblclick" : /^onchange(textarea|input)/i.test(u + t) && !P(e.type) ? u = "oninput" : /^on(Ani|Tra|Tou|BeforeInp)/.test(u) ? u = u.toLowerCase() : W.test(u) ? u = u.replace(/[A-Z0-9]/, "-$&").toLowerCase() : null === o && (o = void 0), r[u] = o);
    }

    "select" == t && r.multiple && Array.isArray(r.value) && (r.value = (0, _preact.toChildArray)(e.children).forEach(function (n) {
      n.props.selected = -1 != r.value.indexOf(n.props.value);
    })), "select" == t && null != r.defaultValue && (r.value = (0, _preact.toChildArray)(e.children).forEach(function (n) {
      n.props.selected = r.multiple ? -1 != r.defaultValue.indexOf(n.props.value) : r.defaultValue == n.props.value;
    })), n.props = r;
  }

  t && e.class != e.className && (q.enumerable = "className" in e, null != e.className && (r.class = e.className), Object.defineProperty(r, "className", q)), n.$$typeof = I, G && G(n);
};

var J = _preact.options.__r;

_preact.options.__r = function (n) {
  J && J(n), $ = n.__c;
};

var K = {
  ReactCurrentDispatcher: {
    current: {
      readContext: function (n) {
        return $.__n[n.__c].props.value;
      }
    }
  }
},
    Q = 1,
    X = 2,
    nn = 3,
    tn = 4,
    en = 5;
exports.unstable_IdlePriority = en;
exports.unstable_LowPriority = tn;
exports.unstable_NormalPriority = nn;
exports.unstable_UserBlockingPriority = X;
exports.unstable_ImmediatePriority = Q;
exports.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = K;

function rn(n, t) {
  return t();
}

var un = "object" == typeof performance && "function" == typeof performance.now ? performance.now.bind(performance) : function () {
  return Date.now();
},
    on = "16.8.0";
exports.version = on;
exports.unstable_now = un;

function ln(n) {
  return _preact.createElement.bind(null, n);
}

function fn(n) {
  return !!n && n.$$typeof === I;
}

function cn(n) {
  return fn(n) ? _preact.cloneElement.apply(null, arguments) : n;
}

function an(n) {
  return !!n.__k && ((0, _preact.render)(null, n), !0);
}

function sn(n) {
  return n && (n.base || 1 === n.nodeType && n) || null;
}

var hn = function (n, t) {
  return n(t);
},
    pn = _preact.Fragment;

exports.StrictMode = pn;
exports.unstable_batchedUpdates = hn;
var _default = {
  useState: _hooks.useState,
  useReducer: _hooks.useReducer,
  useEffect: _hooks.useEffect,
  useLayoutEffect: _hooks.useLayoutEffect,
  useRef: _hooks.useRef,
  useImperativeHandle: _hooks.useImperativeHandle,
  useMemo: _hooks.useMemo,
  useCallback: _hooks.useCallback,
  useContext: _hooks.useContext,
  useDebugValue: _hooks.useDebugValue,
  version: "16.8.0",
  Children: k,
  render: V,
  hydrate: z,
  unmountComponentAtNode: an,
  createPortal: j,
  createElement: _preact.createElement,
  createContext: _preact.createContext,
  createFactory: ln,
  cloneElement: cn,
  createRef: _preact.createRef,
  Fragment: _preact.Fragment,
  isValidElement: fn,
  findDOMNode: sn,
  Component: _preact.Component,
  PureComponent: E,
  memo: g,
  forwardRef: x,
  unstable_batchedUpdates: hn,
  StrictMode: _preact.Fragment,
  Suspense: O,
  SuspenseList: D,
  lazy: U,
  __SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED: K
};
exports.default = _default;
},{"preact/hooks":"../../node_modules/preact/hooks/dist/hooks.module.js","preact":"../../node_modules/preact/dist/preact.module.js"}],"../portal.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Portal = void 0;

var _compat = require("preact/compat");

var Portal = function Portal(_ref) {
  var into = _ref.into,
      children = _ref.children;
  var container = document.querySelector(into);
  return (0, _compat.createPortal)(children, container);
};

exports.Portal = Portal;
},{"preact/compat":"../../node_modules/preact/compat/dist/compat.module.js"}],"../shield.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Shield = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _transitionIn = require("./transition-in");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @jsx h */
var Shield = (0, _transitionIn.transitionIn)((0, _getStyledComponent.default)({
  baseClasses: 'fixed transition w-100 h-100 top-0 left-0 bg-blue o-50',
  options: {
    transitions: ['firstRender']
  },
  fn: function fn(_ref) {
    var firstRender = _ref.firstRender;
    return firstRender ? 'o-0' : '';
  }
}));
exports.Shield = Shield;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./utils/get-styled-component":"../utils/get-styled-component.js","./transition-in":"../transition-in.js"}],"../dialog.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dialog = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

var _omit = _interopRequireDefault(require("./utils/omit"));

var _portal = require("./portal");

var _shield = require("./shield");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Dialog = function Dialog(incomingProps) {
  var className = incomingProps.className,
      title = incomingProps.title,
      doClose = incomingProps.doClose,
      forceChoice = incomingProps.forceChoice,
      style = incomingProps.style,
      bottom = incomingProps.bottom,
      children = incomingProps.children;
  var props = (0, _omit.default)(incomingProps, ['className', 'title', 'doClose', 'forceChoice', 'style', 'children', 'bottom']);
  return (0, _preact.h)(_portal.Portal, {
    into: "body"
  }, (0, _preact.h)("div", {
    className: "fixed z-999 vh-100 w-100 top-0 left-0 flex items-center justify-center"
  }, (0, _preact.h)(_shield.Shield, {
    onClick: forceChoice ? null : doClose
  }), (0, _preact.h)("dialog", _extends({
    open: true,
    style: Object.assign({
      minHeight: '150px',
      minWidth: '300px',
      width: '600px',
      // this is important for iOS
      maxHeight: 'calc(100vh - 120px)'
    }, style),
    className: (0, _classnames.default)('ph2 pt2 pb1 bg-white bn br3 shadow-2 z-999 relative flex flex-column', className)
  }, props), (0, _preact.h)("div", {
    className: "w-100 pt1 ph1"
  }, !forceChoice && // this is just a spacer
  (0, _preact.h)("div", {
    className: "fr",
    style: {
      width: '44px',
      height: '10px'
    }
  }, (0, _preact.h)("button", {
    onClick: doClose,
    style: {
      top: '-16px',
      right: '-4px'
    },
    className: "button-reset bn bg-transparent relative pa3"
  }, (0, _preact.h)(_icon.Icon, {
    icon: "close"
  }))), title && (0, _preact.h)("h3", {
    className: "mt0 mb2"
  }, title)), (0, _preact.h)("div", {
    className: "pa1 prevent-overscroll overflow-y-scroll w-100 overflow-x-hidden"
  }, children), (0, _preact.h)("div", {
    className: "ph1 pv2"
  }, bottom))));
};

exports.Dialog = Dialog;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js","./icon":"../icon.js","./utils/omit":"../utils/omit.js","./portal":"../portal.js","./shield":"../shield.js"}],"../../node_modules/milliseconds/milliseconds.js":[function(require,module,exports) {
function calc(m) {
    return function(n) { return Math.round(n * m); };
};
module.exports = {
    seconds: calc(1e3),
    minutes: calc(6e4),
    hours: calc(36e5),
    days: calc(864e5),
    weeks: calc(6048e5),
    months: calc(26298e5),
    years: calc(315576e5)
};

},{}],"../footer.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Footer = void 0;

var _preact = require("preact");

var _milliseconds = _interopRequireDefault(require("milliseconds"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var currentYear = new Date().getFullYear();

var getUpdatedText = function getUpdatedText(updatedDate) {
  if (Date.now() - updatedDate < _milliseconds.default.weeks(2)) {
    var date = new Date(updatedDate);
    return "".concat(date.getMonth() + 1, "/").concat(date.getDate(), "/").concat((date.getFullYear() + '').slice(2));
  }
};

var linkClasses = 'link f6 gray no-underline underline-hover';

var Footer = function Footer(_ref) {
  var _ref$privacyUrl = _ref.privacyUrl,
      privacyUrl = _ref$privacyUrl === void 0 ? 'https://legal.anesthesiacharting.com/privacy' : _ref$privacyUrl,
      _ref$termsUrl = _ref.termsUrl,
      termsUrl = _ref$termsUrl === void 0 ? 'https://legal.anesthesiacharting.com/terms' : _ref$termsUrl,
      version = _ref.version,
      privacyUpdatedDate = _ref.privacyUpdatedDate,
      hideLinks = _ref.hideLinks,
      extra = _ref.extra;
  var updateText = privacyUpdatedDate && getUpdatedText(privacyUpdatedDate);
  return (0, _preact.h)("footer", {
    className: "pt2 pb3 tc f6 gray mb7"
  }, "\xA9 ", currentYear, " I.V. Enterprises LLC ", version && "v".concat(version), ' ', !hideLinks && (0, _preact.h)("div", {
    className: "mt1 no-print"
  }, (0, _preact.h)("a", {
    className: linkClasses,
    href: termsUrl,
    rel: "noopener"
  }, "terms"), ' | ', (0, _preact.h)("a", {
    className: linkClasses,
    href: privacyUrl,
    rel: "noopener"
  }, "privacy"), updateText && " (updated ".concat(updateText, ")")), extra);
};

exports.Footer = Footer;
},{"preact":"../../node_modules/preact/dist/preact.module.js","milliseconds":"../../node_modules/milliseconds/milliseconds.js"}],"../utils/throttle.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.throttle = void 0;

var throttle = function throttle(callback, delay) {
  var timeout = null;

  var fn = function fn() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    if (!timeout) {
      timeout = setTimeout(function () {
        callback.apply(void 0, args);
        clearTimeout(timeout);
        timeout = null;
      }, delay);
    }
  };

  fn();
  return fn;
};

exports.throttle = throttle;
},{}],"../env-tag.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var classMap = {
  dev: 'bg-yellow black',
  stage: 'bg-green black'
};
var fallback = 'bg-red white';

var _default = function _default(_ref) {
  var env = _ref.env;

  if (!env || env === 'prod') {
    return null;
  }

  return (0, _preact.h)("div", {
    style: {
      right: '0px',
      top: '0px',
      padding: '4px',
      fontSize: '10px',
      borderBottomLeftRadius: '4px'
    },
    className: (0, _classnames.default)('absolute z-999 br--bottom-left fw6', classMap[env] || fallback)
  }, env.toUpperCase());
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js"}],"../app-layout.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppLayout = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var _preact = require("preact");

var _logo = require("./logo");

var _drawer = require("./drawer");

var _shield = require("./shield");

var _footer = require("./footer");

var _button = require("./button");

var _omit = _interopRequireDefault(require("./utils/omit"));

var _throttle = require("./utils/throttle");

var _envTag = _interopRequireDefault(require("./env-tag"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var DrawerContentWrapper = /*#__PURE__*/function (_Component) {
  _inherits(DrawerContentWrapper, _Component);

  var _super = _createSuper(DrawerContentWrapper);

  function DrawerContentWrapper(props) {
    var _this;

    _classCallCheck(this, DrawerContentWrapper);

    _this = _super.call(this, props);
    _this.handleScroll = (0, _throttle.throttle)(_this.handleScroll.bind(_assertThisInitialized(_this)), 200);
    return _this;
  }

  _createClass(DrawerContentWrapper, [{
    key: "handleScroll",
    value: function handleScroll() {
      if (!this.base) {
        return;
      }

      var _this$props = this.props,
          updateScrolledDown = _this$props.updateScrolledDown,
          scrolledDown = _this$props.scrolledDown;
      var scrollTop = this.base.scrollTop;

      if (scrollTop === 0 && scrolledDown) {
        updateScrolledDown(false);
      }

      if (!scrolledDown && scrollTop > 0) {
        updateScrolledDown(true);
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.base.addEventListener('scroll', this.handleScroll, {
        passive: true
      });
    }
  }, {
    key: "componentWillUnMount",
    value: function componentWillUnMount() {
      this.base.removeEventListener('scroll', this.handleScroll, {
        passive: true
      });
    }
  }, {
    key: "render",
    value: function render(_ref) {
      var style = _ref.style,
          children = _ref.children;
      return (0, _preact.h)("div", {
        className: "v-scroll h-100 w-100",
        style: style
      }, children);
    }
  }]);

  return DrawerContentWrapper;
}(_preact.Component);

var AppLayout = /*#__PURE__*/function (_Component2) {
  _inherits(AppLayout, _Component2);

  var _super2 = _createSuper(AppLayout);

  function AppLayout(props) {
    var _this2;

    _classCallCheck(this, AppLayout);

    _this2 = _super2.call(this, props);
    _this2.state = {
      drawerScrolledDown: false
    };
    _this2.updateScrolledDown = _this2.updateScrolledDown.bind(_assertThisInitialized(_this2));
    return _this2;
  }

  _createClass(AppLayout, [{
    key: "updateScrolledDown",
    value: function updateScrolledDown(scrolledDown) {
      this.setState({
        drawerScrolledDown: scrolledDown
      });
    }
  }, {
    key: "render",
    value: function render(props, _ref2) {
      var drawerScrolledDown = _ref2.drawerScrolledDown;
      var drawerOpen = props.drawerOpen,
          screenIsWide = props.screenIsWide,
          drawerEnabled = props.drawerEnabled,
          drawerContent = props.drawerContent,
          statusBarContent = props.statusBarContent,
          extraContent = props.extraContent,
          extraFooterContent = props.extraFooterContent,
          _props$drawerWidth = props.drawerWidth,
          drawerWidth = _props$drawerWidth === void 0 ? 256 : _props$drawerWidth,
          mainContent = props.mainContent,
          doCloseDrawer = props.doCloseDrawer,
          hideFooter = props.hideFooter,
          version = props.version,
          logoHref = props.logoHref,
          logoOnClick = props.logoOnClick,
          preventScroll = props.preventScroll,
          env = props.env;
      var rest = (0, _omit.default)(props, ['drawerOpen', 'screenIsWide', 'drawerEnabled', 'drawerContent', 'statusBarContent', 'extraContent', 'drawerWidth', 'mainContent', 'doCloseDrawer', 'hideFooter', 'version', 'logoHref', 'logoOnClick', 'preventScroll', 'extraFooterContent']);
      var drawerAlwaysVisible = drawerEnabled && screenIsWide;
      var useFloatingDrawer = drawerEnabled && !screenIsWide;
      var showShield = useFloatingDrawer && drawerOpen;
      var floatingDrawerHidden = useFloatingDrawer && !drawerOpen;
      var leftMarginStyles = drawerAlwaysVisible ? {
        width: "calc(100% - ".concat(drawerWidth, "px)"),
        marginLeft: "".concat(drawerWidth, "px")
      } : {
        width: '100%'
      };

      if (showShield || preventScroll) {
        document.body.classList.add('overflow-hidden');
      } else {
        document.body.classList.remove('overflow-hidden');
      }

      var drawerHeaderHeightPx = (drawerAlwaysVisible ? 80 : 60) + 'px';
      var logoClasses = (0, _classnames.default)({
        pointer: logoHref || logoOnClick
      });
      return (0, _preact.h)("div", _extends({
        className: "bg-near-white dark-blue sans-serif min-vh-100"
      }, rest), statusBarContent && (0, _preact.h)("div", {
        className: "sticky no-print top-0 bg-light-gray z-1 shadow-1",
        style: leftMarginStyles
      }, statusBarContent), drawerEnabled && (0, _preact.h)(_drawer.Drawer, {
        "aria-hidden": floatingDrawerHidden,
        className: useFloatingDrawer ? 'z-4 transition' : '',
        style: {
          width: "".concat(drawerWidth, "px"),
          transform: floatingDrawerHidden ? "translateX(".concat(-drawerWidth, "px)") : null
        }
      }, (0, _preact.h)("div", {
        className: (0, _classnames.default)('absolute left-0 bg-dark-blue z-1 top-0 pa2 pa3-l', {
          'shadow-1': drawerScrolledDown
        }),
        style: {
          width: "".concat(drawerWidth, "px"),
          height: drawerHeaderHeightPx
        }
      }, (0, _preact.h)(_envTag.default, {
        env: env
      }), screenIsWide && (0, _preact.h)("a", {
        className: (0, _classnames.default)('db link white', logoClasses),
        href: logoHref,
        onClick: logoOnClick
      }, (0, _preact.h)(_logo.LogoDark, null)), !screenIsWide && (0, _preact.h)("div", {
        className: "flex items-center justify-between"
      }, (0, _preact.h)(_button.TapIconButton, {
        icon: "close",
        color: "white",
        className: "flex-shrink-0",
        onClick: function onClick(e) {
          e.preventDefault();
          doCloseDrawer();
        }
      }), (0, _preact.h)("a", {
        className: logoClasses,
        href: logoHref,
        onClick: logoOnClick
      }, (0, _preact.h)(_logo.LogoTextOnly, {
        className: "mh3",
        style: {
          paddingTop: '6px',
          width: '168px'
        }
      })))), (0, _preact.h)(DrawerContentWrapper, {
        scrolledDown: drawerScrolledDown,
        updateScrolledDown: this.updateScrolledDown,
        style: {
          paddingTop: drawerHeaderHeightPx,
          paddingBottom: '120px'
        }
      }, drawerContent)), showShield && (0, _preact.h)(_shield.Shield, {
        className: "z-3 dn-l",
        onClick: function onClick() {
          return doCloseDrawer && doCloseDrawer();
        }
      }), (0, _preact.h)("main", {
        style: leftMarginStyles,
        className: "bg-nearly-white overflow-x-hidden"
      }, mainContent, hideFooter !== true && (0, _preact.h)(_footer.Footer, {
        version: version,
        extra: extraFooterContent
      })), extraContent);
    }
  }]);

  return AppLayout;
}(_preact.Component);

exports.AppLayout = AppLayout;
},{"classnames":"../../node_modules/classnames/index.js","preact":"../../node_modules/preact/dist/preact.module.js","./logo":"../logo.js","./drawer":"../drawer.js","./shield":"../shield.js","./footer":"../footer.js","./button":"../button.js","./utils/omit":"../utils/omit.js","./utils/throttle":"../utils/throttle.js","./env-tag":"../env-tag.js"}],"../../node_modules/tryit/tryit.js":[function(require,module,exports) {
// tryit
// Simple, re-usuable try-catch, this is a performance optimization
// and provides a cleaner API.
module.exports = function (fn, cb) {
    var err;

    try {
        fn();
    } catch (e) {
        err = e;
    }

    if (cb) cb(err || null);
};

},{}],"../utils/ls.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearLocalStorage = exports.deleteLocalStorageItem = exports.getLocalStorageItem = exports.setLocalStorageItem = void 0;

var _tryit = _interopRequireDefault(require("tryit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var setLocalStorageItem = function setLocalStorageItem(item, value) {
  return (0, _tryit.default)(function () {
    return localStorage.setItem(item, value);
  });
};

exports.setLocalStorageItem = setLocalStorageItem;

var getLocalStorageItem = function getLocalStorageItem(item) {
  var result;
  (0, _tryit.default)(function () {
    result = localStorage.getItem(item);
  });
  return result;
};

exports.getLocalStorageItem = getLocalStorageItem;

var deleteLocalStorageItem = function deleteLocalStorageItem(item) {
  return (0, _tryit.default)(function () {
    return delete localStorage[item];
  });
};

exports.deleteLocalStorageItem = deleteLocalStorageItem;

var clearLocalStorage = function clearLocalStorage() {
  return (0, _tryit.default)(function () {
    var debug = localStorage.debug;
    localStorage.clear();

    if (debug) {
      localStorage.debug = debug;
    }
  });
};

exports.clearLocalStorage = clearLocalStorage;
},{"tryit":"../../node_modules/tryit/tryit.js"}],"../utils/cookie.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteCookie = exports.readCookie = exports.writeCookie = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var writeCookie = function writeCookie(item, value) {
  var _cookieData;

  var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
      maxAge = _ref.maxAge,
      expires = _ref.expires,
      _ref$secure = _ref.secure,
      secure = _ref$secure === void 0 ? false : _ref$secure,
      domain = _ref.domain;

  var cookieData = (_cookieData = {}, _defineProperty(_cookieData, item, value), _defineProperty(_cookieData, "domain", domain || location.hostname), _defineProperty(_cookieData, "path", '/'), _defineProperty(_cookieData, "secure", secure), _cookieData);

  if (location.hostname === 'localhost') {
    cookieData.secure = false;
  }

  if (maxAge) {
    cookieData['max-age'] = Math.floor(maxAge / 1000); // convert to seconds
  } else if (expires) {
    cookieData.expires = expires.toGMTString();
  }

  var cookieString = Object.keys(cookieData).reduce(function (result, key) {
    var value = cookieData[key];

    if (typeof value === 'boolean') {
      if (value === true) {
        result.push(key);
      }
    } else {
      result.push("".concat(key, "=").concat(value));
    }

    return result;
  }, []).join(';');
  document.cookie = cookieString;
};

exports.writeCookie = writeCookie;

var readCookie = function readCookie(name) {
  var value = null;
  document.cookie.split(';').find(function (item) {
    var parts = item.split('=');
    var key = parts[0].trim();

    if (key === name) {
      value = parts[1].trim();
      return true;
    }
  });
  return value;
};

exports.readCookie = readCookie;

var deleteCookie = function deleteCookie(item, domain) {
  return writeCookie(item, '', {
    expires: new Date(0),
    domain: domain
  });
};

exports.deleteCookie = deleteCookie;
},{}],"../utils/token-writer.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTokenWriter = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _cookie = require("./cookie");

var _ls = require("./ls");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createTokenWriter = function createTokenWriter(_ref) {
  var _ref$name = _ref.name,
      name = _ref$name === void 0 ? 'token' : _ref$name,
      domain = _ref.domain;

  var writeToken = function writeToken(token) {
    (0, _cookie.writeCookie)(name, token, {
      maxAge: _milliseconds.default.days(180),
      secure: true,
      domain: domain
    });
  };

  var readToken = function readToken() {
    var valueFromLS = (0, _ls.getLocalStorageItem)('token');
    var valueFromCookie = (0, _cookie.readCookie)(name);

    if (valueFromLS && valueFromLS !== valueFromCookie) {
      writeToken(valueFromLS);
      (0, _ls.deleteLocalStorageItem)('token');
    }

    return valueFromCookie || valueFromLS;
  };

  var clearToken = function clearToken() {
    return (0, _cookie.deleteCookie)(name, domain);
  };

  return {
    writeToken: writeToken,
    readToken: readToken,
    clearToken: clearToken
  };
};

exports.createTokenWriter = createTokenWriter;
},{"milliseconds":"../../node_modules/milliseconds/milliseconds.js","./cookie":"../utils/cookie.js","./ls":"../utils/ls.js"}],"../bundles/token.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTokenBundle = void 0;

var _tokenWriter = require("../utils/token-writer");

var _ls = require("../utils/ls");

var UPDATED = 'TOKEN_UPDATED';
var CLEARED = 'TOKEN_CLEARED';

var createTokenBundle = function createTokenBundle(opts) {
  var _createTokenWriter = (0, _tokenWriter.createTokenWriter)(opts),
      readToken = _createTokenWriter.readToken,
      writeToken = _createTokenWriter.writeToken,
      clearToken = _createTokenWriter.clearToken;

  return {
    name: 'token',
    getReducer: function getReducer() {
      var initial = {
        token: readToken()
      };
      return function () {
        var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initial;

        var _ref = arguments.length > 1 ? arguments[1] : undefined,
            type = _ref.type,
            payload = _ref.payload;

        if (type === UPDATED) {
          return Object.assign({}, state, {
            token: payload
          });
        }

        if (type === CLEARED) {
          return Object.assign({}, state, {
            token: null
          });
        }

        return state;
      };
    },
    selectAuthToken: function selectAuthToken(state) {
      return state.token.token;
    },
    selectIsSignedIn: function selectIsSignedIn(state) {
      return !!state.token.token;
    },
    doReceiveToken: function doReceiveToken(token) {
      return function (_ref2) {
        var dispatch = _ref2.dispatch;
        writeToken(token);
        dispatch({
          type: UPDATED,
          payload: token
        });
      };
    },
    doClearToken: function doClearToken() {
      return function (_ref3) {
        var dispatch = _ref3.dispatch;
        clearToken();
        (0, _ls.clearLocalStorage)();
        dispatch({
          type: CLEARED
        });
      };
    }
  };
};

exports.createTokenBundle = createTokenBundle;
},{"../utils/token-writer":"../utils/token-writer.js","../utils/ls":"../utils/ls.js"}],"../bundles/layout-ui.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.layoutUiBundle = void 0;
var DRAWER_OPENED = 'DRAWER_OPENED';
var DRAWER_CLOSED = 'DRAWER_CLOSED';
var layoutUiBundle = {
  name: 'layoutUi',
  reducer: function reducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
      drawerOpen: false,
      beeping: null
    };

    var _ref = arguments.length > 1 ? arguments[1] : undefined,
        type = _ref.type;

    if (type === DRAWER_OPENED) {
      return Object.assign({}, state, {
        drawerOpen: true
      });
    }

    if (type === DRAWER_CLOSED) {
      return Object.assign({}, state, {
        drawerOpen: false
      });
    }

    return state;
  },
  selectDrawerIsOpen: function selectDrawerIsOpen(state) {
    return state.layoutUi.drawerOpen;
  },
  doOpenDrawer: function doOpenDrawer() {
    return {
      type: DRAWER_OPENED
    };
  },
  doCloseDrawer: function doCloseDrawer() {
    return {
      type: DRAWER_CLOSED
    };
  }
};
exports.layoutUiBundle = layoutUiBundle;
},{}],"../utils/decimals.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanDecimalInput = exports.ensureDecimals = exports.roundToPrecision = exports.roundToDecimal = exports.getNumberOfDecimals = void 0;

var getNumberOfDecimals = function getNumberOfDecimals(num) {
  var postDecimalString = (num + '').split('.')[1];
  return postDecimalString ? postDecimalString.length : 0;
};

exports.getNumberOfDecimals = getNumberOfDecimals;

var roundToDecimal = function roundToDecimal(number, precision) {
  var factor = Math.pow(10, precision);
  return Math.round(number * factor) / factor;
};

exports.roundToDecimal = roundToDecimal;

var roundToPrecision = function roundToPrecision(number, precision) {
  var decimalString = roundToDecimal(number, precision).toString();
  var numberOfDigitsBeforePeriod = decimalString.split('.')[0].length;
  var actualPrecision = Math.max(precision - numberOfDigitsBeforePeriod, 0);
  return roundToDecimal(number, actualPrecision);
};

exports.roundToPrecision = roundToPrecision;

var ensureDecimals = function ensureDecimals(number) {
  var targetDecimals = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  var numberOfDecimals = getNumberOfDecimals(number);
  var numberToAdd = targetDecimals - numberOfDecimals;

  if (!numberToAdd) {
    return number;
  }

  var result = number + (numberOfDecimals === 0 ? '.' : '');

  while (numberToAdd--) {
    result += '0';
  }

  return result;
};

exports.ensureDecimals = ensureDecimals;
var floatInputRE = /[^0-9.]/g;
var leadingZerosWithDecimalRE = /^0{2,}\./g;
var leadingZerosNoDecimalRE = /^0{1,}[1-9]/g;
var periodRE = /\./g;

var cleanDecimalInput = function cleanDecimalInput(str) {
  var matches = 0;
  return str // removes invalid characters anywhere
  .replace(floatInputRE, '') // removes leading zeros if there's more than one before a decimal '00.123'
  .replace(leadingZerosWithDecimalRE, '0.') // removes leading zeros if there's no decimal
  .replace(leadingZerosNoDecimalRE, function (match) {
    return match.slice(-1);
  }) // removes all but first decimal
  .replace(periodRE, function () {
    return matches++ > 0 ? '' : '.';
  });
};

exports.cleanDecimalInput = cleanDecimalInput;
},{}],"../plus-minus.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IncrementorButtons = exports.MinusButton = exports.PlusButton = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _ = require("./");

var _decimals = require("./utils/decimals");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var HOLD_DELAY = 180;
var ITERATION_DELAY = 90;

var getPlusMinusButton = function getPlusMinusButton(icon) {
  return (/*#__PURE__*/function (_Component) {
      _inherits(_class, _Component);

      var _super = _createSuper(_class);

      function _class(props) {
        var _this;

        _classCallCheck(this, _class);

        _this = _super.call(this, props);
        _this.runIt = _this.runIt.bind(_assertThisInitialized(_this));
        _this.onClick = _this.onClick.bind(_assertThisInitialized(_this));
        _this.onPress = _this.onPress.bind(_assertThisInitialized(_this));
        _this.clear = _this.clear.bind(_assertThisInitialized(_this));
        _this.holdStart = false;
        return _this;
      }

      _createClass(_class, [{
        key: "runIt",
        value: function runIt() {
          var _this$props = this.props,
              onClick = _this$props.onClick,
              disabled = _this$props.disabled;

          if (onClick && !disabled) {
            onClick();
          }
        }
      }, {
        key: "componentDidMount",
        value: function componentDidMount() {
          if (this.base && this.base.addEventListener) {
            this.base.addEventListener('touchstart', this.onPress);
            this.base.addEventListener('touchend', this.clear);
            this.base.addEventListener('touchcancel', this.clear);
          }
        }
      }, {
        key: "componentWillUnmount",
        value: function componentWillUnmount() {
          if (this.base && this.base.removeEventListener) {
            this.base.removeEventListener('touchstart', this.onPress);
            this.base.removeEventListener('touchend', this.clear);
            this.base.removeEventListener('touchcancel', this.clear);
          }
        }
      }, {
        key: "onClick",
        value: function onClick(e) {
          e.preventDefault();
          e.stopImmediatePropagation();
          this.clear();
          this.runIt();
        }
      }, {
        key: "onPress",
        value: function onPress() {
          var _this2 = this;

          var iterate = function iterate() {
            clearTimeout(_this2.iterationTimer);
            var delay = _this2.props.iterationDelay || ITERATION_DELAY;

            var holdDuration = Date.now() - _this2.holdStart;

            if (holdDuration > 4000) {
              delay = delay * 0.4;
            } else if (holdDuration > 2000) {
              delay = delay * 0.5;
            }

            _this2.iterationTimer = setTimeout(function () {
              if (_this2.holdStart && !_this2.props.disabled) {
                _this2.runIt();

                iterate();
              }
            }, delay);
          };

          this.holdTimer = setTimeout(function () {
            _this2.holdStart = Date.now();
            iterate();
          }, this.props.holdDelay || HOLD_DELAY);
        }
      }, {
        key: "clear",
        value: function clear() {
          clearTimeout(this.holdTimer);
          clearTimeout(this.iterationTimer);
          this.holdStart = false;
        }
      }, {
        key: "render",
        value: function render() {
          var _this$props2 = this.props,
              className = _this$props2.className,
              disabled = _this$props2.disabled,
              name = _this$props2.name;
          return (0, _preact.h)(_.Button, {
            "data-e2e": "".concat(name || '').concat(icon.charAt(0).toUpperCase()).concat(icon.slice(1), "Button"),
            type: "button",
            onContextMenu: function onContextMenu(e) {
              e.preventDefault();
              e.stopImmediatePropagation();
              return false;
            },
            onClick: this.onClick,
            onMouseUp: this.clear,
            onMouseLeave: this.clear,
            onMouseDown: this.onPress,
            disabled: disabled,
            className: (0, _classnames.default)('ba br2 pa2 mv1', {
              mr2: icon === 'add'
            }, className)
          }, (0, _preact.h)("div", {
            className: "flex items-center"
          }, (0, _preact.h)(_.Icon, {
            size: "18",
            icon: icon
          }), this.props.children));
        }
      }]);

      return _class;
    }(_preact.Component)
  );
};

var PlusButton = getPlusMinusButton('add');
exports.PlusButton = PlusButton;
var MinusButton = getPlusMinusButton('remove');
exports.MinusButton = MinusButton;

var IncrementorButtons = function IncrementorButtons(_ref) {
  var displayValue = _ref.displayValue,
      updateValue = _ref.updateValue,
      _ref$step = _ref.step,
      step = _ref$step === void 0 ? 1 : _ref$step,
      _ref$max = _ref.max,
      max = _ref$max === void 0 ? Infinity : _ref$max,
      _ref$min = _ref.min,
      min = _ref$min === void 0 ? 0 : _ref$min,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? '200px' : _ref$width,
      _ref$showStep = _ref.showStep,
      showStep = _ref$showStep === void 0 ? true : _ref$showStep,
      _ref$unit = _ref.unit,
      unit = _ref$unit === void 0 ? '' : _ref$unit,
      _ref$displayValueClas = _ref.displayValueClasses,
      displayValueClasses = _ref$displayValueClas === void 0 ? 'f4' : _ref$displayValueClas,
      value = _ref.value,
      startingValue = _ref.startingValue,
      formatter = _ref.formatter,
      name = _ref.name,
      style = _ref.style;
  var targetNumberOfDecimals = (0, _decimals.getNumberOfDecimals)(step);
  var valueToShow = displayValue != null ? displayValue : value;

  if (!valueToShow) {
    valueToShow = targetNumberOfDecimals === 0 ? value : (0, _decimals.ensureDecimals)(value, targetNumberOfDecimals);
  }

  if (formatter) {
    valueToShow = formatter(valueToShow);
  }

  var stepDown = step;
  var stepUp = step;
  var effectiveValue = value != null ? value : startingValue;
  return (0, _preact.h)("div", {
    className: "flex items-center justify-between ".concat(className),
    style: _objectSpread({
      width: width
    }, style)
  }, (0, _preact.h)("div", {
    "data-e2e": "".concat(name, "Value"),
    className: "dib ".concat(displayValueClasses)
  }, valueToShow, unit && " ".concat(unit)), (0, _preact.h)("div", null, (0, _preact.h)(PlusButton, {
    name: name,
    disabled: effectiveValue + stepUp > max,
    onClick: function onClick() {
      return updateValue((0, _decimals.roundToDecimal)(effectiveValue + stepUp, targetNumberOfDecimals));
    }
  }, showStep ? step : null), (0, _preact.h)(MinusButton, {
    name: name,
    disabled: effectiveValue - stepDown < min,
    onClick: function onClick() {
      return updateValue((0, _decimals.roundToDecimal)(effectiveValue - stepDown, targetNumberOfDecimals));
    }
  }, showStep ? step : null)));
};

exports.IncrementorButtons = IncrementorButtons;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js","./":"../index.js","./utils/decimals":"../utils/decimals.js"}],"../signature.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var AnimatedPath = /*#__PURE__*/function (_Component) {
  _inherits(AnimatedPath, _Component);

  var _super = _createSuper(AnimatedPath);

  function AnimatedPath(props) {
    var _this;

    _classCallCheck(this, AnimatedPath);

    _this = _super.call(this, props);
    _this.state = {
      firstRender: true,
      length: 0
    };
    return _this;
  }

  _createClass(AnimatedPath, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      setTimeout(function () {
        var length = Math.round(_this2.base.getTotalLength());

        _this2.setState({
          length: length
        });

        setTimeout(function () {
          _this2.setState({
            firstRender: false
          });
        }, 100);
      }, 100);
    }
  }, {
    key: "render",
    value: function render(_ref, _ref2) {
      var path = _ref.path,
          animate = _ref.animate;
      var firstRender = _ref2.firstRender,
          length = _ref2.length;

      if (!animate) {
        return (0, _preact.h)("path", {
          d: path,
          fill: "none",
          stroke: "black",
          "stroke-width": "5"
        });
      }

      return (0, _preact.h)("path", {
        key: length ? 'real' : 'fake',
        d: path,
        fill: "none",
        stroke: length ? 'black' : 'none',
        "stroke-width": "5",
        style: {
          transitionDuration: '1s',
          transitionDelay: '.25s',
          transitionProperty: 'stroke-dashoffset',
          strokeDashoffset: firstRender ? length : 0,
          strokeDasharray: length
        }
      });
    }
  }]);

  return AnimatedPath;
}(_preact.Component);

var _default = function _default(_ref3) {
  var path = _ref3.path,
      _ref3$width = _ref3.width,
      width = _ref3$width === void 0 ? '100' : _ref3$width,
      animate = _ref3.animate,
      rest = _objectWithoutProperties(_ref3, ["path", "width", "animate"]);

  return (0, _preact.h)("svg", _extends({
    width: width,
    height: width / 2,
    viewBox: "0 0 800 400"
  }, rest), (0, _preact.h)(AnimatedPath, {
    key: path.slice(0, 10),
    path: path,
    animate: animate
  }));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js"}],"../signature-box.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _ = require("./");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var height = 300;

var SignatureInput = /*#__PURE__*/function (_Component) {
  _inherits(SignatureInput, _Component);

  var _super = _createSuper(SignatureInput);

  function SignatureInput(props) {
    var _this;

    _classCallCheck(this, SignatureInput);

    _this = _super.call(this, props);
    _this.mouseMove = _this.mouseMove.bind(_assertThisInitialized(_this));
    _this.mouseEnd = _this.mouseEnd.bind(_assertThisInitialized(_this));
    _this.mouseDown = _this.mouseDown.bind(_assertThisInitialized(_this));
    _this.mouseUp = _this.mouseUp.bind(_assertThisInitialized(_this));
    _this.mouseLeave = _this.mouseLeave.bind(_assertThisInitialized(_this));
    _this.touchStart = _this.touchStart.bind(_assertThisInitialized(_this));
    _this.touchMove = _this.touchMove.bind(_assertThisInitialized(_this));
    _this.touchEnd = _this.touchEnd.bind(_assertThisInitialized(_this));
    _this.calculateCanvasInfo = _this.calculateCanvasInfo.bind(_assertThisInitialized(_this));
    _this.renderCanvas = _this.renderCanvas.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(SignatureInput, [{
    key: "reset",
    value: function reset() {
      this.path = '';
      this.break = true;
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.reset();
      this.canvas = this.base.querySelector('canvas');
      this.ctx = this.canvas.getContext('2d');
      window.addEventListener('resize', this.calculateCanvasInfo, {
        passive: true
      });
      window.addEventListener('scroll', this.calculateCanvasInfo, {
        passive: true
      });
      document.addEventListener('mouseup', this.mouseUp);
      document.addEventListener('touchmove', this.touchMove);
      document.addEventListener('touchend', this.touchEnd);
      document.addEventListener('touchcancel', this.touchEnd);
      this.canvas.addEventListener('touchstart', this.touchStart);
      this.calculateCanvasInfo();
      this.renderCanvas();
    }
  }, {
    key: "calculateCanvasInfo",
    value: function calculateCanvasInfo() {
      var _this$canvas$getBound = this.canvas.getBoundingClientRect(),
          top = _this$canvas$getBound.top,
          left = _this$canvas$getBound.left,
          width = _this$canvas$getBound.width,
          height = _this$canvas$getBound.height;

      this.canvasInfo = {
        left: left,
        top: top,
        height: height,
        width: width
      };
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.calculateCanvasInfo, {
        passive: true
      });
      window.removeEventListener('scroll', this.calculateCanvasInfo, {
        passive: true
      });
      document.removeEventListener('mouseup', this.mouseUp);
      document.removeEventListener('touchmove', this.touchMove);
      document.removeEventListener('touchend', this.touchEnd);
      document.removeEventListener('touchcancel', this.touchEnd);
      this.canvas && this.canvas.removeEventListener('touchstart', this.touchStart);
    }
  }, {
    key: "adjustCoord",
    value: function adjustCoord(clientX, clientY) {
      var _this$canvasInfo = this.canvasInfo,
          left = _this$canvasInfo.left,
          top = _this$canvasInfo.top,
          height = _this$canvasInfo.height,
          width = _this$canvasInfo.width;
      var x = clientX - left;
      var y = clientY - top;

      if (x < 0 || x > width) {
        return null;
      }

      if (y < 0 || y > height) {
        return null;
      }

      return {
        x: x,
        y: y
      };
    }
  }, {
    key: "appendCoord",
    value: function appendCoord(x, y) {
      this.path += " ".concat(x, ",").concat(y);
      requestAnimationFrame(this.renderCanvas);
    }
  }, {
    key: "mouseDown",
    value: function mouseDown(e) {
      e.preventDefault();
      e.stopImmediatePropagation();
    }
  }, {
    key: "mouseLeave",
    value: function mouseLeave(e) {
      if (e.buttons === 1) {
        this.appendCoord(e.layerX, e.layerY);
        this.break = true;
      }
    }
  }, {
    key: "mouseUp",
    value: function mouseUp() {
      this.break = true;
    }
  }, {
    key: "mouseEnd",
    value: function mouseEnd(e) {
      e.preventDefault();
      e.stopImmediatePropagation();
      this.break = true;
    }
  }, {
    key: "mouseMove",
    value: function mouseMove(e) {
      e.preventDefault();
      e.stopImmediatePropagation();

      if (e.buttons === 1) {
        if (this.break) {
          this.break = false;
          this.path += ' M';
        }

        var adjusted = this.adjustCoord(e.clientX, e.clientY);

        if (adjusted) {
          this.appendCoord(adjusted.x, adjusted.y);
        } else {
          this.break = true;
        }
      }
    }
  }, {
    key: "touchStart",
    value: function touchStart(e) {
      this.drawing = true;
      this.path += ' M'; // this prevents to "M"s next to each other if
      // there's a touch start without a touch move

      this.touchMove(e);
      e.preventDefault();
    }
  }, {
    key: "touchMove",
    value: function touchMove(e) {
      if (this.drawing) {
        var touch = e.touches[0];
        var isStylus = touch.touchType === 'stylus';
        var adjusted = this.adjustCoord(touch.clientX + (isStylus ? 0 : -20), touch.clientY + (isStylus ? 0 : -10));

        if (adjusted) {
          this.appendCoord(adjusted.x, adjusted.y);
        } else {
          this.break = true;
        }
      }
    }
  }, {
    key: "touchEnd",
    value: function touchEnd() {
      this.break = true;
    }
  }, {
    key: "renderCanvas",
    value: function renderCanvas() {
      var ctx = this.ctx;
      var _this$canvas = this.canvas,
          width = _this$canvas.width,
          height = _this$canvas.height;
      ctx.clearRect(0, 0, width, height);
      var marginFromEdge = width * 0.1;
      var marginFromBottom = 80; // signature line

      ctx.beginPath();
      ctx.moveTo(marginFromEdge, height - marginFromBottom);
      ctx.lineTo(width - marginFromEdge, height - marginFromBottom);
      ctx.strokeStyle = '#ddd';
      ctx.lineWidth = 2;
      ctx.stroke();
      ctx.strokeStyle = '#000';
      ctx.lineWidth = 1;
      ctx.fillStyle = '#000';

      if (this.path) {
        ctx.stroke(new Path2D(this.path));
      }

      if (this.props.name) {
        ctx.font = '18px sans-serif';
        ctx.fillText(this.props.name, marginFromEdge, height - (marginFromBottom - 25));
      }
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate() {
      return false;
    }
  }, {
    key: "render",
    value: function render(_ref) {
      var _this2 = this;

      var updateValue = _ref.updateValue,
          close = _ref.close;
      return (0, _preact.h)("div", {
        className: "top-0 left-0 fixed bg-gray w-100 h-100 z-9999 flex items-center justify-center"
      }, (0, _preact.h)("div", {
        "data-e2e": "signatureBox"
      }, (0, _preact.h)("canvas", {
        "data-e2e": "signaturePad",
        className: "bg-white ba",
        width: Math.min(window.innerWidth - 10, 660),
        height: height,
        onMouseMove: this.mouseMove,
        onMouseDown: this.mouseDown,
        onMouseCancel: this.mouseCancel,
        onMouseLeave: this.mouseLeave
      }), (0, _preact.h)("div", {
        className: "flex items-center justify-between mt2"
      }, (0, _preact.h)(_.Button, {
        primary: true,
        large: true,
        "data-e2e": "signatureSaveButton",
        onClick: function onClick() {
          updateValue(_this2.path.trim());
        },
        type: "button"
      }, "Save"), (0, _preact.h)("div", null, (0, _preact.h)(_.Button, {
        large: true,
        onClick: function onClick() {
          _this2.reset();

          _this2.renderCanvas();
        },
        className: "mr2",
        type: "button"
      }, "Clear"), (0, _preact.h)(_.Button, {
        large: true,
        onClick: function onClick() {
          _this2.reset();

          _this2.renderCanvas();

          close();
        },
        "data-e2e": "cancelSignatureButton",
        type: "button"
      }, "Cancel")))));
    }
  }]);

  return SignatureInput;
}(_preact.Component);

var _default = SignatureInput;
exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./":"../index.js"}],"../utils/question.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.decorateFormItem = exports.choice = void 0;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var choice = function choice(name, val, qs) {
  if (Array.isArray(val) && !qs) {
    qs = val;
    val = name;
  }

  var result = {
    name: name,
    val: typeof val !== 'undefined' ? val : name
  };

  if (qs) {
    result.questions = qs;
  }

  return result;
};

exports.choice = choice;

var testComplete = function testComplete(value) {
  return typeof value === 'string' ? !!value : value != null;
};

var decorateFormItem = function decorateFormItem(item, value) {
  var test = item.test,
      required = item.required,
      completenessTest = item.completenessTest;
  var isRequired = required !== false;
  var errorMessage = test && test(value);
  var isComplete = !isRequired || !errorMessage && (completenessTest ? completenessTest(value) : testComplete(value));
  return _objectSpread(_objectSpread({}, item), {}, {
    value: value,
    errorMessage: errorMessage,
    isComplete: isComplete,
    isRequired: isRequired
  });
};

exports.decorateFormItem = decorateFormItem;
},{}],"../utils/smart-suggestion-utils.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildQuestionList = exports.buildSuggestionList = exports.getAutoPopulatedValue = exports.removeCommaSeparatedItem = exports.addCommaSeparatedItem = exports.withoutText = exports.textAppended = void 0;

var _question = require("./question");

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var textAppended = function textAppended(existing, newPhrase) {
  if (!existing) {
    return newPhrase;
  }

  var cleaned = existing.trim();

  if (cleaned.slice(-1)[0] !== '.') {
    cleaned = cleaned + '.';
  }

  return "".concat(cleaned, " ").concat(newPhrase);
};

exports.textAppended = textAppended;

var withoutText = function withoutText() {
  var existing = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var phraseToRemove = arguments.length > 1 ? arguments[1] : undefined;
  return existing.replace(phraseToRemove, '').replace('  ', ' ').trim();
};

exports.withoutText = withoutText;

var getAsArray = function getAsArray() {
  var existing = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  return existing.split(',').map(function (item) {
    return item.trim();
  }).filter(Boolean);
};

var addCommaSeparatedItem = function addCommaSeparatedItem(existing, newItem) {
  return [].concat(_toConsumableArray(getAsArray(existing)), [newItem]).join(', ');
};

exports.addCommaSeparatedItem = addCommaSeparatedItem;

var removeCommaSeparatedItem = function removeCommaSeparatedItem(existing, toRemove) {
  return getAsArray(existing).filter(function (item) {
    return item !== toRemove;
  }).join(', ');
};

exports.removeCommaSeparatedItem = removeCommaSeparatedItem;

var getAutoPopulatedValue = function getAutoPopulatedValue(suggestions) {
  var totalSuggestions = suggestions.length;

  if (!totalSuggestions) {
    return '';
  }

  var firstSuggestionEntry = suggestions[0];
  var firstScore = firstSuggestionEntry.score;

  if (firstScore < 3) {
    return '';
  }

  var secondScore = suggestions[1] && suggestions[1].score || 0;
  var scoreDiff = firstScore - secondScore;
  var confidenceValue = scoreDiff / (firstScore + secondScore);
  return confidenceValue > 0.7 ? firstSuggestionEntry.phrase : '';
};

exports.getAutoPopulatedValue = getAutoPopulatedValue;

var buildSuggestionList = function buildSuggestionList(matchingSuggestion, value, autoSuggestType) {
  return matchingSuggestion && autoSuggestType ? matchingSuggestion.slice(0, 5).map(function (_ref) {
    var phrase = _ref.phrase;
    var pressed;

    if (autoSuggestType === 'single') {
      pressed = value && value.trim() === phrase;
    } else {
      pressed = value && value.includes(phrase);
    }

    return {
      phrase: phrase,
      pressed: pressed
    };
  }) : null;
};

exports.buildSuggestionList = buildSuggestionList;

var buildQuestionList = function buildQuestionList(config, data, suggestionsByField) {
  var result = [];

  var addQuestion = function addQuestion(item) {
    var _ref2 = suggestionsByField[item.name] || {},
        suggestions = _ref2.suggestions,
        deleting = _ref2.deleting;

    var value;

    if (data.hasOwnProperty(item.name)) {
      value = data[item.name];
    } else if (item.autoSuggestType && suggestions) {
      value = getAutoPopulatedValue(suggestions);
    }

    var question = Object.assign({}, (0, _question.decorateFormItem)(item, value), {
      value: value,
      suggestions: buildSuggestionList(suggestions, value, item.autoSuggestType),
      suggestionsDeleting: !!deleting
    });
    result.push(question);

    if (question.choices) {
      question.choices.forEach(function (_ref3) {
        var val = _ref3.val,
            questions = _ref3.questions;

        if (question.value === val && questions) {
          questions.forEach(addQuestion);
        }
      });
    }
  };

  config.forEach(addQuestion);
  return result;
};

exports.buildQuestionList = buildQuestionList;
},{"./question":"../utils/question.js"}],"../suggestions-box.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _ = require("./");

var _classnames = _interopRequireDefault(require("classnames"));

var _smartSuggestionUtils = require("./utils/smart-suggestion-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var _default = /*#__PURE__*/function (_Component) {
  _inherits(_default, _Component);

  var _super = _createSuper(_default);

  function _default(props) {
    var _this;

    _classCallCheck(this, _default);

    _this = _super.call(this, props);
    _this.toggleExpand = _this.toggleExpand.bind(_assertThisInitialized(_this));
    _this.state = {
      expanded: true
    };
    return _this;
  }

  _createClass(_default, [{
    key: "toggleExpand",
    value: function toggleExpand() {
      this.setState({
        expanded: !this.state.expanded
      });
    }
  }, {
    key: "render",
    value: function render(_ref, _ref2) {
      var autoSuggestType = _ref.autoSuggestType,
          name = _ref.name,
          value = _ref.value,
          suggestions = _ref.suggestions,
          suggestionsDeleting = _ref.suggestionsDeleting,
          updateValue = _ref.updateValue,
          removeSuggestion = _ref.removeSuggestion;
      var expanded = _ref2.expanded;
      return (0, _preact.h)("div", {
        className: "fw3 pa2 bg-near-white br2 shadow-inset",
        "data-e2e": "smartSuggestions:".concat(name)
      }, (0, _preact.h)("div", {
        className: "f6"
      }, "SmartSuggestions\u2122"), (0, _preact.h)("div", {
        className: (0, _classnames.default)('overflow-y-scroll', {
          dn: !expanded
        })
      }, suggestionsDeleting && (0, _preact.h)("div", {
        className: "flex items-center pv2",
        "data-e2e": "smartSuggestionsUpdating"
      }, (0, _preact.h)(_.Icon, {
        icon: "autorenew",
        className: "spin mr2",
        size: 16
      }), "Updating..."), !suggestionsDeleting && suggestions.map(function (suggestion) {
        var pressed = suggestion.pressed,
            phrase = suggestion.phrase;
        return (0, _preact.h)("label", {
          "data-e2e": "suggestionPhrase",
          key: phrase,
          className: (0, _classnames.default)('flex items-center ph1 pv2', {
            fw6: pressed
          })
        }, (0, _preact.h)("input", {
          onChange: function onChange(e) {
            e.preventDefault();

            if (autoSuggestType === 'sentence') {
              updateValue(pressed ? (0, _smartSuggestionUtils.withoutText)(value, phrase) : (0, _smartSuggestionUtils.textAppended)(value, phrase));
            } else if (autoSuggestType === 'multiple') {
              updateValue(pressed ? (0, _smartSuggestionUtils.removeCommaSeparatedItem)(value, phrase) : (0, _smartSuggestionUtils.addCommaSeparatedItem)(value, phrase));
            } else if (autoSuggestType === 'single') {
              updateValue(pressed ? '' : phrase);
            }
          },
          type: "checkbox",
          checked: suggestion.pressed,
          className: "mr2 flex-shrink-0",
          style: {
            width: '15px',
            height: '15px'
          }
        }), (0, _preact.h)("span", {
          className: "lh-solid"
        }, suggestion.phrase), (0, _preact.h)(_.Button, {
          tiny: true,
          className: "flex ml2",
          onClick: function onClick(e) {
            e.preventDefault();
            e.stopImmediatePropagation();
            removeSuggestion(name, suggestion.phrase);
          },
          type: "button"
        }, (0, _preact.h)(_.Icon, {
          icon: "close",
          size: 12
        })));
      })));
    }
  }]);

  return _default;
}(_preact.Component);

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./":"../index.js","classnames":"../../node_modules/classnames/index.js","./utils/smart-suggestion-utils":"../utils/smart-suggestion-utils.js"}],"../utils/env.js":[function(require,module,exports) {
var global = arguments[3];
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IS_CHROME = exports.IS_IOS = void 0;

if (typeof window === 'undefined') {
  // eslint-disable-next-line
  global.window = global;
}

var navigator = window && window.navigator || {};
var ua = navigator && navigator.ua || '';
var IS_IOS = /iPad|iPhone|iPod/.test(ua);
exports.IS_IOS = IS_IOS;
var IS_CHROME = /Chrome/.test(ua) && /Google Inc/.test(navigator.vendor);
exports.IS_CHROME = IS_CHROME;
},{}],"../form-fields.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SignatureField = exports.IncrementButtonField = exports.TextareaField = exports.DecimalInputField = exports.InputField = exports.SelectButtons = exports.Label = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _plusMinus = require("./plus-minus");

var _signature = _interopRequireDefault(require("./signature"));

var _signatureBox = _interopRequireDefault(require("./signature-box"));

var _ = require(".");

var _suggestionsBox = _interopRequireDefault(require("./suggestions-box"));

var _question = require("./utils/question");

var _env = require("./utils/env");

var _decimals = require("./utils/decimals");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var noOp = function noOp() {};

var Label = function Label(_ref) {
  var item = _ref.item,
      updateValue = _ref.updateValue,
      removeSuggestion = _ref.removeSuggestion;
  var isRequired = item.required !== false;
  return (0, _preact.h)("label", {
    className: "db fw6 lh-copy f5 mb1",
    htmlFor: item.name
  }, (0, _preact.h)("div", {
    className: "flex-shrink-0"
  }, (0, _preact.h)("div", {
    className: "flex items-center"
  }, item.label, isRequired && item.isComplete && (0, _preact.h)(_.Icon, {
    className: "ml2 light-blue",
    icon: "check",
    size: "18"
  }), isRequired && !item.isComplete && (0, _preact.h)("span", {
    className: "fw3 red ml2"
  }, "(required)"), !isRequired && item.explicitOptional && (0, _preact.h)("span", {
    className: "fw3 gray ml2"
  }, "(optional)")), item.subLabel && (0, _preact.h)("div", {
    className: (0, _classnames.default)('fw3 f6', {
      orange: item.subLabelWarning,
      red: item.subLabelError
    })
  }, item.subLabel instanceof Function ? item.subLabel(item) : item.subLabel)), item.buttons && (0, _preact.h)("div", null, item.buttons.map(function (val) {
    return (0, _preact.h)(_.Button, {
      key: val,
      type: "button",
      "data-e2e": "".concat(item.name, "InputButton:").concat(val),
      className: "mr2 ml0 mt2",
      pressed: item.value === val,
      onClick: function onClick(e) {
        e.preventDefault();
        updateValue(val);
      }
    }, val);
  })), item.suggestions && (0, _preact.h)(_suggestionsBox.default, {
    removeSuggestion: removeSuggestion,
    name: item.name,
    value: item.value,
    autoSuggestType: item.autoSuggestType,
    updateValue: updateValue,
    suggestions: item.suggestions,
    suggestionsDeleting: item.suggestionsDeleting
  }));
};

exports.Label = Label;
var separator = ', ';

var stringToArray = function stringToArray(str) {
  return str ? str.toString().split(separator) : [];
};

var arrayToString = function arrayToString(arr) {
  return arr.filter(Boolean).join(separator);
};

var SelectButtons = /*#__PURE__*/function (_Component) {
  _inherits(SelectButtons, _Component);

  var _super = _createSuper(SelectButtons);

  function SelectButtons(props) {
    var _this;

    _classCallCheck(this, SelectButtons);

    _this = _super.call(this, props);
    _this.state = {
      open: false
    };
    _this.handleButtonPress = _this.handleButtonPress.bind(_assertThisInitialized(_this));
    _this.handleOtherPress = _this.handleOtherPress.bind(_assertThisInitialized(_this));

    _this.open = function () {
      if (!_this.state.open) {
        _this.setState({
          open: true
        });
      }

      setTimeout(function () {
        _this.base.querySelector('input').focus();
      }, 200);
    };

    _this.close = function () {
      return _this.setState({
        open: false
      });
    };

    _this.choiceValues = props.item.choices.reduce(function (res, choice) {
      res[choice.val] = true;
      return res;
    }, {});
    return _this;
  }

  _createClass(SelectButtons, [{
    key: "handleButtonPress",
    value: function handleButtonPress(val, isPressed) {
      var _this$props = this.props,
          item = _this$props.item,
          allowDeselect = _this$props.allowDeselect,
          updateValue = _this$props.updateValue;
      var isMultiButton = item.type === 'multiButton';
      var value = item.value;

      if (!isMultiButton) {
        this.close();

        if (isPressed && allowDeselect === false) {
          return;
        }

        updateValue(isPressed ? null : val);
      } else {
        var values = stringToArray(value);
        var index = values.indexOf(val);

        if (index === -1) {
          values.push(val);
        } else {
          values.splice(index, 1);
        }

        this.UpdateValue(arrayToString(values));
      }
    }
  }, {
    key: "handleOtherPress",
    value: function handleOtherPress(isPressed) {
      var _this2 = this;

      var _this$props2 = this.props,
          item = _this$props2.item,
          updateValue = _this$props2.updateValue;
      var isMultiButton = item.type === 'multiButton';

      if (!isMultiButton) {
        if (isPressed) {
          this.close();
          updateValue(null);
        } else {
          this.open();
          updateValue('');
        }
      } else {
        var values = stringToArray(this.props.item.value);

        if (isPressed) {
          this.close();
          var unknownRemoved = values.reduce(function (res, val) {
            if (_this2.choiceValues[val]) {
              res.push(val);
            }

            return res;
          }, []);
          updateValue(arrayToString(unknownRemoved));
        } else {
          values.push('');
          updateValue(arrayToString(values));
          this.open();
        }
      }
    }
  }, {
    key: "getPressed",
    value: function getPressed(val) {
      var _this$props$item = this.props.item,
          value = _this$props$item.value,
          type = _this$props$item.type;
      var isMultiButton = type === 'multiButton'; // if there are no unusual circumstances, we just want an exact match

      if (!isMultiButton) {
        return value === val;
      }

      return value != null && value.toString().includes(val);
    }
  }, {
    key: "getOtherInputVisible",
    value: function getOtherInputVisible() {
      var _this3 = this;

      return (// either its explicitly open
        this.state.open || // or it contains something outside of known options
        // this is important for first load (since we may not have state yet)
        !stringToArray(this.props.item.value).every(function (val) {
          return _this3.choiceValues[val];
        })
      );
    }
  }, {
    key: "render",
    value: function render(_ref2) {
      var _this4 = this;

      var item = _ref2.item,
          updateValue = _ref2.updateValue,
          rest = _objectWithoutProperties(_ref2, ["item", "updateValue"]);

      var showOtherInput = this.getOtherInputVisible();
      var value = item.value;
      return (0, _preact.h)("div", rest, item.label && (0, _preact.h)(Label, {
        item: item,
        updateValue: updateValue
      }), (0, _preact.h)("div", {
        "data-e2e": "".concat(item.name, "InputButtons")
      }, item.choices.map(function (choice) {
        var name = choice.name,
            val = choice.val;

        var pressed = _this4.getPressed(val);

        return (0, _preact.h)(_.Button, {
          key: val,
          pressed: pressed,
          className: "mr2 mv1 items-base",
          "data-e2e": "".concat(item.name, "InputButton:").concat(val),
          "data-state": pressed ? 'pressed' : 'unpressed',
          type: "button",
          onClick: function onClick() {
            return _this4.handleButtonPress(val, pressed);
          }
        }, name);
      }), item.showOther && (0, _preact.h)(_.Button, {
        key: "other",
        pressed: showOtherInput,
        "data-state": showOtherInput ? 'pressed' : 'unpressed',
        className: "mr2 mv1 items-base",
        type: "button",
        onClick: function onClick() {
          return _this4.handleOtherPress(showOtherInput);
        },
        "data-e2e": "".concat(item.name, "InputButton:other")
      }, "Other"), item.showOther && showOtherInput && (0, _preact.h)(_.Input, {
        className: "mv1 w-100 border-box",
        name: "".concat(item.name, "Other"),
        value: value,
        onInput: function onInput(e) {
          return updateValue(e.target.value);
        }
      })));
    }
  }]);

  return SelectButtons;
}(_preact.Component);

exports.SelectButtons = SelectButtons;

var identity = function identity(res) {
  return res;
};

var autoCompleteFallback = _env.IS_CHROME ? 'new-password' : 'none';

var InputField = function InputField(_ref3) {
  var item = _ref3.item,
      updateValue = _ref3.updateValue,
      _ref3$autocomplete = _ref3.autocomplete,
      autocomplete = _ref3$autocomplete === void 0 ? autoCompleteFallback : _ref3$autocomplete,
      autofocus = _ref3.autofocus,
      _ref3$className = _ref3.className,
      className = _ref3$className === void 0 ? '' : _ref3$className,
      _ref3$inputClassName = _ref3.inputClassName,
      inputClassName = _ref3$inputClassName === void 0 ? 'w-100' : _ref3$inputClassName,
      removeSuggestion = _ref3.removeSuggestion,
      rest = _objectWithoutProperties(_ref3, ["item", "updateValue", "autocomplete", "autofocus", "className", "inputClassName", "removeSuggestion"]);

  var type = item.type || 'text';
  var clean = item.clean;
  var value = item.value,
      cleanRe = item.cleanRe;

  if (!clean && cleanRe) {
    clean = function clean(val) {
      return val.replace(cleanRe, '');
    };
  }

  if (!clean) {
    clean = identity;
  }

  var update = function update(e) {
    return updateValue(clean(e.target.value));
  };

  var hasError = !!item.errorMessage;
  return (0, _preact.h)("div", _extends({
    className: "w-100 ".concat(className)
  }, rest), item.label && (0, _preact.h)(Label, {
    item: item,
    updateValue: updateValue,
    removeSuggestion: removeSuggestion
  }), (0, _preact.h)(_.Input, {
    className: (0, _classnames.default)('mv1', {
      'bg-washed-red': hasError
    }, inputClassName),
    name: item.name,
    onChange: item.onInput ? noOp : update,
    onInput: item.onInput ? update : noOp,
    id: item.name,
    placeholder: item.placeholder,
    type: type,
    value: value,
    autocomplete: autocomplete,
    autofocus: autofocus,
    inputmode: item.inputmode || null,
    'data-e2e': "".concat(item.name, "Input"),
    'data-has-error': hasError ? true : null,
    style: item.inputWidth ? {
      width: item.inputWidth
    } : null
  }));
};

exports.InputField = InputField;

var DecimalInputField = function DecimalInputField(_ref4) {
  var item = _ref4.item,
      updateValue = _ref4.updateValue,
      rest = _objectWithoutProperties(_ref4, ["item", "updateValue"]);

  var modifiedItem = _objectSpread({
    type: 'number',
    onInput: true,
    inputmode: 'decimal',
    clean: _decimals.cleanDecimalInput,
    required: false
  }, item);

  return (0, _preact.h)(InputField, _extends({
    updateValue: updateValue,
    item: modifiedItem
  }, rest));
};

exports.DecimalInputField = DecimalInputField;

var TextareaField = function TextareaField(_ref5) {
  var item = _ref5.item,
      updateValue = _ref5.updateValue,
      removeSuggestion = _ref5.removeSuggestion;
  return (0, _preact.h)("div", {
    className: "mb2"
  }, (0, _preact.h)(Label, {
    item: item,
    updateValue: updateValue,
    removeSuggestion: removeSuggestion
  }), (0, _preact.h)(_.Textarea, {
    className: (0, _classnames.default)('w-100', item.size === 'large' ? 'h5' : 'h4'),
    name: item.name,
    onChange: item.onInput ? noOp : function (e) {
      return updateValue(e.target.value);
    },
    onInput: item.onInput ? function (e) {
      return updateValue(e.target.value);
    } : noOp,
    value: item.value,
    id: item.name,
    'data-e2e': "".concat(item.name, "Input")
  }));
};

exports.TextareaField = TextareaField;

var IncrementButtonField = function IncrementButtonField(_ref6) {
  var item = _ref6.item,
      displayValue = _ref6.displayValue,
      updateValue = _ref6.updateValue,
      _ref6$step = _ref6.step,
      step = _ref6$step === void 0 ? 1 : _ref6$step,
      _ref6$max = _ref6.max,
      max = _ref6$max === void 0 ? Infinity : _ref6$max,
      _ref6$min = _ref6.min,
      min = _ref6$min === void 0 ? 0 : _ref6$min,
      width = _ref6.width,
      _ref6$unit = _ref6.unit,
      unit = _ref6$unit === void 0 ? '' : _ref6$unit,
      _ref6$showStep = _ref6.showStep,
      showStep = _ref6$showStep === void 0 ? true : _ref6$showStep,
      formatter = _ref6.formatter,
      className = _ref6.className;
  var name = item.name,
      value = item.value,
      fieldSpecificProps = item.fieldSpecificProps;

  var passOn = _objectSpread({
    formatter: formatter,
    width: width,
    updateValue: updateValue,
    displayValue: displayValue,
    step: step,
    showStep: showStep,
    max: max,
    min: min,
    unit: unit,
    name: name,
    value: value != null ? value : fieldSpecificProps.startingValue
  }, fieldSpecificProps || {});

  return (0, _preact.h)("div", {
    className: (0, _classnames.default)(className)
  }, (0, _preact.h)(Label, {
    item: item
  }), (0, _preact.h)("div", null, (0, _preact.h)(_plusMinus.IncrementorButtons, passOn)));
};

exports.IncrementButtonField = IncrementButtonField;

var SignatureField = /*#__PURE__*/function (_Component2) {
  _inherits(SignatureField, _Component2);

  var _super2 = _createSuper(SignatureField);

  function SignatureField(props) {
    var _this5;

    _classCallCheck(this, SignatureField);

    _this5 = _super2.call(this, props);
    _this5.state = {
      editing: false
    };
    return _this5;
  }

  _createClass(SignatureField, [{
    key: "render",
    value: function render(_ref7, _ref8) {
      var _this6 = this;

      var item = _ref7.item,
          _updateValue = _ref7.updateValue;
      var editing = _ref8.editing;
      var value = item.value;
      return (0, _preact.h)("div", null, item.label && (0, _preact.h)(Label, {
        item: item
      }), (0, _preact.h)("div", null, !editing && value && (0, _preact.h)(_signature.default, {
        width: "200",
        path: value,
        className: _.inputClasses
      }), !editing && (0, _preact.h)(_.Button, {
        type: "button",
        className: "db mv2",
        onClick: function onClick() {
          return _this6.setState({
            editing: true
          });
        }
      }, value ? 'Change' : 'Add Signature'), editing && (0, _preact.h)(_signatureBox.default, {
        name: item.signatureLineName,
        close: function close() {
          return _this6.setState({
            editing: false
          });
        },
        updateValue: function updateValue(val) {
          _updateValue(val);

          _this6.setState({
            editing: false
          });
        }
      })));
    }
  }]);

  return SignatureField;
}(_preact.Component);

exports.SignatureField = SignatureField;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js","./plus-minus":"../plus-minus.js","./signature":"../signature.js","./signature-box":"../signature-box.js",".":"../index.js","./suggestions-box":"../suggestions-box.js","./utils/question":"../utils/question.js","./utils/env":"../utils/env.js","./utils/decimals":"../utils/decimals.js"}],"../../node_modules/money-clip/dist/money-clip.m.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getConfiguredCache = exports.getAll = exports.set = exports.get = exports.keyValLib = void 0;

var Store = function Store(dbName, storeName) {
  if (dbName === void 0) dbName = 'keyval-store';
  if (storeName === void 0) storeName = 'keyval';
  this.storeName = storeName;
  this._dbp = new Promise(function (resolve, reject) {
    var openreq = indexedDB.open(dbName, 1);

    openreq.onerror = function () {
      return reject(openreq.error);
    };

    openreq.onsuccess = function () {
      return resolve(openreq.result);
    };

    openreq.onupgradeneeded = function () {
      openreq.result.createObjectStore(storeName);
    };
  });
};

Store.prototype._withIDBStore = function _withIDBStore(type, callback) {
  var this$1 = this;
  return this._dbp.then(function (db) {
    return new Promise(function (resolve, reject) {
      var transaction = db.transaction(this$1.storeName, type);

      transaction.oncomplete = function () {
        return resolve();
      };

      transaction.onabort = transaction.onerror = function () {
        return reject(transaction.error);
      };

      callback(transaction.objectStore(this$1.storeName));
    });
  });
};

var store;

function getDefaultStore() {
  if (!store) {
    store = new Store();
  }

  return store;
}

function get(key, store) {
  if (store === void 0) store = getDefaultStore();
  var req;
  return store._withIDBStore('readonly', function (store) {
    req = store.get(key);
  }).then(function () {
    return req.result;
  });
}

function set(key, value, store) {
  if (store === void 0) store = getDefaultStore();
  return store._withIDBStore('readwrite', function (store) {
    store.put(value, key);
  });
}

function del(key, store) {
  if (store === void 0) store = getDefaultStore();
  return store._withIDBStore('readwrite', function (store) {
    store.delete(key);
  });
}

function clear(store) {
  if (store === void 0) store = getDefaultStore();
  return store._withIDBStore('readwrite', function (store) {
    store.clear();
  });
}

function keys(store) {
  if (store === void 0) store = getDefaultStore();
  var keys = [];
  return store._withIDBStore('readonly', function (store) {
    (store.openKeyCursor || store.openCursor).call(store).onsuccess = function () {
      if (!this.result) {
        return;
      }

      keys.push(this.result.key);
      this.result.continue();
    };
  }).then(function () {
    return keys;
  });
}

var idbKeyVal = {
  Store: Store,
  get: get,
  set: set,
  del: del,
  clear: clear,
  keys: keys
};
var defaultOpts = {
  maxAge: Infinity,
  version: 0,
  lib: idbKeyVal
};

var getOpts = function (passedOptions) {
  return Object.assign({}, defaultOpts, passedOptions);
};

var keyValLib = idbKeyVal;
exports.keyValLib = keyValLib;

var get$1 = function (key, opts, store) {
  var ref = getOpts(opts);
  var maxAge = ref.maxAge;
  var version = ref.version;
  var lib = ref.lib;
  return lib.get(key, store).then(JSON.parse).then(function (parsed) {
    var age = Date.now() - parsed.time;

    if (age > maxAge || version !== parsed.version) {
      lib.del(key, store);
      return null;
    }

    return parsed.data;
  }).catch(function () {
    return null;
  });
};

exports.get = get$1;

var set$1 = function (key, data, spec, store) {
  var ref = getOpts(spec);
  var lib = ref.lib;
  var version = ref.version;
  return lib.set(key, JSON.stringify({
    version: version,
    time: Date.now(),
    data: data
  }), store).catch(function () {
    return null;
  });
};

exports.set = set$1;

var getAll = function (spec, store) {
  var opts = getOpts(spec);
  var keys$$1;
  return opts.lib.keys(store).then(function (retrievedKeys) {
    keys$$1 = retrievedKeys;
    return Promise.all(keys$$1.map(function (key) {
      return get$1(key, opts, store);
    }));
  }).then(function (data) {
    return data.reduce(function (acc, bundleData, index) {
      if (bundleData) {
        acc[keys$$1[index]] = bundleData;
      }

      return acc;
    }, {});
  }).catch(function () {});
};

exports.getAll = getAll;

var getConfiguredCache = function (spec) {
  var opts = getOpts(spec);
  var store;

  if (opts.name) {
    store = new Store(opts.name, opts.name);
  }

  return {
    get: function (key) {
      return get$1(key, opts, store);
    },
    set: function (key, val) {
      return set$1(key, val, opts, store);
    },
    getAll: function () {
      return getAll(opts, store);
    },
    del: function (key) {
      return opts.lib.del(key, store);
    },
    clear: function () {
      return opts.lib.clear(store);
    },
    keys: function () {
      return opts.lib.keys(store);
    }
  };
};

exports.getConfiguredCache = getConfiguredCache;
},{}],"../utils/drug-cache.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDrugName = void 0;

var _moneyClip = require("money-clip");

var _getConfiguredCache = (0, _moneyClip.getConfiguredCache)({
  maxAge: Infinity,
  version: 1,
  name: 'drug-name-cache'
}),
    set = _getConfiguredCache.set,
    get = _getConfiguredCache.get,
    getAll = _getConfiguredCache.getAll;

var drugData = {};
getAll().then(function (dbValues) {
  Object.assign(drugData, dbValues);
});

var fetchDrug = function fetchDrug(id) {
  return fetch("https://rxnav.nlm.nih.gov/REST/rxcui/".concat(id, ".json")).then(function (res) {
    return res.json();
  }).then(function (drugData) {
    return drugData.idGroup.name;
  });
};

var getDrugName = function getDrugName(id) {
  var found = drugData[id];

  if (found) {
    return Promise.resolve(found);
  }

  return get(id).then(function (res) {
    if (res) {
      drugData[id] = res;
      return res;
    }

    return fetchDrug(id).then(function (res) {
      if (res) {
        drugData[id] = res;
        set(id, res);
        return res;
      }
    });
  });
};

exports.getDrugName = getDrugName;
},{"money-clip":"../../node_modules/money-clip/dist/money-clip.m.js"}],"../utils/fetch-drug-autocomplete.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchDrugAutocomplete = void 0;

var _drugCache = require("./drug-cache");

var fetchDrugAutocomplete = function fetchDrugAutocomplete(term) {
  return fetch("https://rxnav.nlm.nih.gov/REST/approximateTerm.json?maxEntries=4&term=".concat(encodeURIComponent(term))).then(function (res) {
    return res.json();
  }).then(function (parsed) {
    var resultsById = (parsed.approximateGroup.candidate || []).reduce(function (result, item) {
      var id = item.rxcui;

      if (!result[id]) {
        result[id] = {
          id: id,
          score: item.score
        };
      }

      return result;
    }, {});
    return Object.keys(resultsById);
  }).then(function (ids) {
    return Promise.all(ids.map(_drugCache.getDrugName)).then(function (names) {
      return names.map(function (name, index) {
        return {
          id: ids[index],
          name: name
        };
      });
    }).then(function (matches) {
      return matches.filter(function (item) {
        return !!item.name;
      });
    });
  });
};

exports.fetchDrugAutocomplete = fetchDrugAutocomplete;
},{"./drug-cache":"../utils/drug-cache.js"}],"../drug-lookup-ui.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _ = require("./");

var _default = function _default(_ref) {
  var status = _ref.status,
      term = _ref.term;

  if (status === 'noResults') {
    return (0, _preact.h)("span", {
      className: "flex items-center mv1"
    }, (0, _preact.h)(_.Icon, {
      className: "f3 mr2",
      size: "18",
      icon: "warning"
    }), (0, _preact.h)("span", null, "No results for \"", term, "\""));
  }

  if (status === 'searching') {
    return (0, _preact.h)("span", {
      className: "flex items-center mv1"
    }, (0, _preact.h)(_.Icon, {
      className: "f3 spin-animation mr2",
      size: "18",
      icon: "autorenew"
    }), (0, _preact.h)("span", null, "Searching"));
  }

  if (status === 'ready') {
    return (0, _preact.h)("span", {
      className: "flex items-center mv1"
    }, (0, _preact.h)(_.Icon, {
      className: "f3 mr2",
      size: "18",
      icon: "info"
    }), (0, _preact.h)("span", null, "Suggestions will appear here"));
  }

  return null;
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./":"../index.js"}],"../medication-field.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _tryit = _interopRequireDefault(require("tryit"));

var _fetchDrugAutocomplete = require("./utils/fetch-drug-autocomplete");

var _formFields = require("./form-fields");

var _ = require("./");

var _drugLookupUi = _interopRequireDefault(require("./drug-lookup-ui"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var MedicationInput = /*#__PURE__*/function (_Component) {
  _inherits(MedicationInput, _Component);

  var _super = _createSuper(MedicationInput);

  function MedicationInput(props) {
    var _this;

    _classCallCheck(this, MedicationInput);

    _this = _super.call(this, props);
    _this.state = {
      term: '',
      loading: false
    };
    return _this;
  }

  _createClass(MedicationInput, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      setTimeout(function () {
        (0, _tryit.default)(function () {
          _this2.base.querySelector('input').focus();
        });
      }, 100);
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState) {
      var _this3 = this;

      var term = this.state.term;

      if (term && term !== prevState.term) {
        this.setState({
          loading: true
        });
        (0, _fetchDrugAutocomplete.fetchDrugAutocomplete)(term).then(function (results) {
          if (term === _this3.state.term) {
            var _toSet;

            var toSet = (_toSet = {}, _defineProperty(_toSet, "term_".concat(term), results), _defineProperty(_toSet, "loading", false), _toSet);

            _this3.setState(toSet);
          }
        });
      }
    }
  }, {
    key: "drugSelected",
    value: function drugSelected(drug) {
      var updateValue = this.props.updateValue;
      updateValue(drug);
      this.setState(_defineProperty({
        term: ''
      }, "term_".concat(this.state.term), undefined));
    }
  }, {
    key: "focusOnInput",
    value: function focusOnInput() {
      this.base.querySelector('input').focus();
    }
  }, {
    key: "render",
    value: function render(_ref, _ref2) {
      var _this4 = this;

      var item = _ref.item,
          updateValue = _ref.updateValue,
          className = _ref.className,
          resultsClassName = _ref.resultsClassName;
      var term = _ref2.term,
          loading = _ref2.loading;
      console.log('HERE', item.label);
      var optsForTerm = this.state["term_".concat(term)];
      var hasOptsForTerm = optsForTerm && optsForTerm.length > 0;
      var noResults = !loading && term && !hasOptsForTerm;
      var isEmpty = !term && !loading;
      var showMessage = noResults || isEmpty || loading;
      var showResults = hasOptsForTerm && !showMessage;
      var drugLookupStatus;

      if (noResults) {
        drugLookupStatus = 'noResults';
      } else if (isEmpty) {
        drugLookupStatus = 'ready';
      } else if (loading) {
        drugLookupStatus = 'searching';
      }

      var drugName = item.value && item.value.name;
      return (0, _preact.h)("div", {
        className: className
      }, (0, _preact.h)(_formFields.Label, {
        item: item,
        updateValue: updateValue
      }), !drugName && (0, _preact.h)(_preact.Fragment, null, (0, _preact.h)(_.Input, {
        className: "w-100 border-box mv1",
        value: term,
        "data-e2e": "".concat(item.name, "Input"),
        onKeyDown: function onKeyDown(e) {
          if (e.key === 'Enter') {
            e.preventDefault();

            if (optsForTerm && optsForTerm.length > 0) {
              _this4.drugSelected(optsForTerm[0]);
            }
          }
        },
        onInput: function onInput(e) {
          var term = e.target.value || '';

          _this4.setState({
            term: term
          });
        }
      }), showResults && (0, _preact.h)("div", {
        key: "opts",
        className: (0, _classnames.default)(resultsClassName)
      }, optsForTerm.map(function (drug) {
        return (0, _preact.h)(_.Button, {
          key: drug.name,
          className: "mr2 mv1",
          type: "button",
          "data-e2e": "".concat(item.name, "SuggestionButton"),
          onClick: function onClick(e) {
            e.preventDefault();

            _this4.drugSelected(drug);
          }
        }, drug.name);
      })), (0, _preact.h)("div", null, (0, _preact.h)(_drugLookupUi.default, {
        term: term,
        status: drugLookupStatus
      }))), drugName && (0, _preact.h)("div", null, drugName, ' ', (0, _preact.h)(_.Button, {
        className: "mr2 mb2",
        type: "button",
        tiny: true,
        stop: true,
        "data-e2e": "drugRemoveButton",
        onClick: function onClick(e) {
          e.preventDefault();
          updateValue('');
          setTimeout(function () {
            return _this4.focusOnInput();
          }, 200);
        }
      }, (0, _preact.h)("span", {
        className: "flex items-center"
      }, (0, _preact.h)(_.Icon, {
        className: "mr2",
        icon: "delete",
        size: "16"
      }), (0, _preact.h)("span", {
        className: "mr1"
      }, "remove")))));
    }
  }]);

  return MedicationInput;
}(_preact.Component);

var _default = MedicationInput;
exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","classnames":"../../node_modules/classnames/index.js","tryit":"../../node_modules/tryit/tryit.js","./utils/fetch-drug-autocomplete":"../utils/fetch-drug-autocomplete.js","./form-fields":"../form-fields.js","./":"../index.js","./drug-lookup-ui":"../drug-lookup-ui.js"}],"../multi-medication-entry-field.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _fetchDrugAutocomplete = require("./utils/fetch-drug-autocomplete");

var _formFields = require("./form-fields");

var _ = require("./");

var _drugLookupUi = _interopRequireDefault(require("./drug-lookup-ui"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var MedicationEntryField = /*#__PURE__*/function (_Component) {
  _inherits(MedicationEntryField, _Component);

  var _super = _createSuper(MedicationEntryField);

  function MedicationEntryField(props) {
    var _this;

    _classCallCheck(this, MedicationEntryField);

    _this = _super.call(this, props);
    _this.focusOnInput = _this.focusOnInput.bind(_assertThisInitialized(_this));
    _this.originalState = {
      term: '',
      loading: false
    };
    _this.state = Object.assign({}, _this.originalState);
    return _this;
  }

  _createClass(MedicationEntryField, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState) {
      var _this2 = this;

      var term = this.state.term;

      if (term !== prevState.term && term) {
        this.setState({
          loading: true
        });
        (0, _fetchDrugAutocomplete.fetchDrugAutocomplete)(term).then(function (results) {
          var _this2$setState;

          _this2.setState((_this2$setState = {}, _defineProperty(_this2$setState, "term_".concat(term), results), _defineProperty(_this2$setState, "loading", false), _this2$setState));
        });
      }
    }
  }, {
    key: "focusOnInput",
    value: function focusOnInput() {
      var input = this.base && this.base.querySelector('input');

      if (input) {
        input.focus();
      }
    }
  }, {
    key: "addDrug",
    value: function addDrug(drug) {
      var _this$props = this.props,
          item = _this$props.item,
          updateValue = _this$props.updateValue;
      var value = item.value;
      var valueIsEmptyArray = typeof value === 'string';
      var drugs = value && !valueIsEmptyArray ? value : [];
      var copy = drugs.slice();
      copy.push(drug);
      updateValue(copy);
      this.setState(_defineProperty({
        term: ''
      }, "term_".concat(this.state.term), undefined));
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$props2 = this.props,
          item = _this$props2.item,
          _updateValue = _this$props2.updateValue;
      var loading = this.state.loading;
      var value = item.value;
      var term = this.state.term;
      var optsForTerm = this.state["term_".concat(term)];
      var valueIsEmptyArray = Array.isArray(value) && !value.length;
      var itemCopy = Object.assign({}, item);
      delete itemCopy.subLabel;
      var modifiedItemForLabel = value ? _objectSpread(_objectSpread({}, item), {}, {
        buttons: null
      }) : item;
      var drugLookupStatus;
      console.log(valueIsEmptyArray, value);

      if (term && optsForTerm && !optsForTerm.length) {
        drugLookupStatus = 'noResults';
      } else if (!term && (!optsForTerm || optsForTerm.length === 0) && !value.length) {
        drugLookupStatus = 'ready';
      } else if (loading) {
        drugLookupStatus = 'searching';
      }

      return (0, _preact.h)("div", null, (0, _preact.h)("div", null, (0, _preact.h)(_formFields.Label, {
        item: modifiedItemForLabel,
        updateValue: function updateValue(val) {
          if (val === 'none') {
            _updateValue([]);
          }
        }
      }), !valueIsEmptyArray && (0, _preact.h)(_.Input, {
        style: {
          width: 'calc(100% - 18px)'
        },
        value: term,
        "data-e2e": "".concat(item.name, "Input"),
        onKeyDown: function onKeyDown(e) {
          if (e.key === 'Enter') {
            e.preventDefault();

            if (optsForTerm && optsForTerm.length > 0) {
              _this3.addDrug(optsForTerm[0]);
            }
          }
        },
        onInput: function onInput(e) {
          var term = e.target.value || '';

          _this3.setState({
            term: term
          });
        }
      })), optsForTerm && optsForTerm.length > 0 && (0, _preact.h)("div", {
        key: "opts",
        className: "overflow-x-scroll nowrap pv2"
      }, optsForTerm.map(function (drug) {
        return (0, _preact.h)(_.Button, {
          key: drug.name,
          className: "mr2",
          type: "button",
          "data-e2e": "".concat(item.name, "SuggestionButton"),
          onClick: function onClick(e) {
            e.preventDefault();

            _this3.addDrug(drug);

            _this3.focusOnInput();
          }
        }, drug.name);
      })), (0, _preact.h)(_drugLookupUi.default, {
        term: term,
        status: drugLookupStatus
      }), (0, _preact.h)("div", {
        className: "mb2"
      }, valueIsEmptyArray && (0, _preact.h)(_.Button, {
        type: "button",
        className: "mb2",
        onClick: function onClick(e) {
          e.preventDefault();

          _updateValue(null);
        }
      }, (0, _preact.h)("span", {
        className: "flex items-center"
      }, "none ", (0, _preact.h)(_.Icon, {
        className: "ml2",
        icon: "close",
        size: "24"
      }))), value && !valueIsEmptyArray && value.length !== 0 && (0, _preact.h)("div", null, (0, _preact.h)("div", {
        className: "mb2 fw3 f6 pt2"
      }, "Chosen Medications:"), value.map(function (drug) {
        return (0, _preact.h)("div", {
          key: drug.name
        }, drug.name, ' ', (0, _preact.h)(_.Button, {
          className: "mr2 mb2",
          type: "button",
          tiny: true,
          stop: true,
          "data-e2e": "drugRemoveButton",
          onClick: function onClick(e) {
            e.preventDefault();
            var newVal = value.filter(function (item) {
              return item.id !== drug.id;
            });

            _updateValue(newVal);
          }
        }, (0, _preact.h)("span", {
          className: "flex items-center"
        }, (0, _preact.h)(_.Icon, {
          className: "mr2",
          icon: "delete",
          size: "16"
        }), (0, _preact.h)("span", {
          className: "mr1"
        }, "remove"))));
      }))));
    }
  }]);

  return MedicationEntryField;
}(_preact.Component);

var _default = MedicationEntryField;
exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./utils/fetch-drug-autocomplete":"../utils/fetch-drug-autocomplete.js","./form-fields":"../form-fields.js","./":"../index.js","./drug-lookup-ui":"../drug-lookup-ui.js"}],"../question.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Question = void 0;

var _preact = require("preact");

var _formFields = require("./form-fields");

var _medicationField = _interopRequireDefault(require("./medication-field"));

var _multiMedicationEntryField = _interopRequireDefault(require("./multi-medication-entry-field"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var fieldMap = {
  choices: _formFields.SelectButtons,
  longText: _formFields.TextareaField,
  medications: _multiMedicationEntryField.default,
  medication: _medicationField.default,
  signature: _formFields.SignatureField,
  incrementor: _formFields.IncrementButtonField
};

var Question = function Question(_ref) {
  var item = _ref.item,
      updateValue = _ref.updateValue,
      removeSuggestion = _ref.removeSuggestion;

  if (item.hidden) {
    return null;
  }

  var MatchedComponent = fieldMap[item.type] || _formFields.InputField;

  var props = _objectSpread({
    item: item,
    updateValue: updateValue,
    removeSuggestion: removeSuggestion
  }, item.fieldSpecificProps || {});

  return (0, _preact.h)(MatchedComponent, props);
};

exports.Question = Question;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./form-fields":"../form-fields.js","./medication-field":"../medication-field.js","./multi-medication-entry-field":"../multi-medication-entry-field.js"}],"../form.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _question = require("./question");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var _default = function _default(_ref) {
  var bottom = _ref.bottom,
      fields = _ref.fields,
      _onSubmit = _ref.onSubmit,
      _updateValue = _ref.updateValue,
      removeSuggestion = _ref.removeSuggestion,
      rest = _objectWithoutProperties(_ref, ["bottom", "fields", "onSubmit", "updateValue", "removeSuggestion"]);

  return (0, _preact.h)("form", _extends({
    onSubmit: function onSubmit(e) {
      e.preventDefault();

      _onSubmit();
    }
  }, rest), fields.map(function (item) {
    return (0, _preact.h)(_question.Question, {
      key: item.name,
      item: item,
      updateValue: function updateValue(val) {
        var updateObj = _defineProperty({}, item.name, val);

        if (item.getUpdates) {
          updateObj = item.getUpdates(val);
        }

        _updateValue(updateObj);
      },
      removeSuggestion: removeSuggestion
    });
  }), bottom);
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./question":"../question.js"}],"../index.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  getStyledComponent: true,
  omit: true,
  Form: true
};
Object.defineProperty(exports, "getStyledComponent", {
  enumerable: true,
  get: function () {
    return _getStyledComponent.default;
  }
});
Object.defineProperty(exports, "omit", {
  enumerable: true,
  get: function () {
    return _omit.default;
  }
});
Object.defineProperty(exports, "Form", {
  enumerable: true,
  get: function () {
    return _form.default;
  }
});

var _button = require("./button");

Object.keys(_button).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _button[key];
    }
  });
});

var _logo = require("./logo");

Object.keys(_logo).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _logo[key];
    }
  });
});

var _crate = require("./crate");

Object.keys(_crate).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _crate[key];
    }
  });
});

var _fullScreenOverlay = require("./full-screen-overlay");

Object.keys(_fullScreenOverlay).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _fullScreenOverlay[key];
    }
  });
});

var _inputs = require("./inputs");

Object.keys(_inputs).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _inputs[key];
    }
  });
});

var _icon = require("./icon");

Object.keys(_icon).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _icon[key];
    }
  });
});

var _drugBox = require("./drug-box");

Object.keys(_drugBox).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _drugBox[key];
    }
  });
});

var _links = require("./links");

Object.keys(_links).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _links[key];
    }
  });
});

var _checkMark = require("./check-mark");

Object.keys(_checkMark).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _checkMark[key];
    }
  });
});

var _transitionIn = require("./transition-in");

Object.keys(_transitionIn).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _transitionIn[key];
    }
  });
});

var _drawer = require("./drawer");

Object.keys(_drawer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _drawer[key];
    }
  });
});

var _dialog = require("./dialog");

Object.keys(_dialog).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _dialog[key];
    }
  });
});

var _appLayout = require("./app-layout");

Object.keys(_appLayout).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _appLayout[key];
    }
  });
});

var _shield = require("./shield");

Object.keys(_shield).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _shield[key];
    }
  });
});

var _portal = require("./portal");

Object.keys(_portal).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _portal[key];
    }
  });
});

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _omit = _interopRequireDefault(require("./utils/omit"));

var _ls = require("./utils/ls");

Object.keys(_ls).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _ls[key];
    }
  });
});

var _cookie = require("./utils/cookie");

Object.keys(_cookie).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _cookie[key];
    }
  });
});

var _tokenWriter = require("./utils/token-writer");

Object.keys(_tokenWriter).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _tokenWriter[key];
    }
  });
});

var _throttle = require("./utils/throttle");

Object.keys(_throttle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _throttle[key];
    }
  });
});

var _token = require("./bundles/token");

Object.keys(_token).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _token[key];
    }
  });
});

var _footer = require("./footer");

Object.keys(_footer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _footer[key];
    }
  });
});

var _layoutUi = require("./bundles/layout-ui");

Object.keys(_layoutUi).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _layoutUi[key];
    }
  });
});

var _question = require("./question");

Object.keys(_question).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _question[key];
    }
  });
});

var _form = _interopRequireDefault(require("./form"));

var _formFields = require("./form-fields");

Object.keys(_formFields).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formFields[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
},{"./button":"../button.js","./logo":"../logo.js","./crate":"../crate.js","./full-screen-overlay":"../full-screen-overlay.js","./inputs":"../inputs.js","./icon":"../icon.js","./drug-box":"../drug-box.js","./links":"../links.js","./check-mark":"../check-mark.js","./transition-in":"../transition-in.js","./drawer":"../drawer.js","./dialog":"../dialog.js","./app-layout":"../app-layout.js","./shield":"../shield.js","./portal":"../portal.js","./utils/get-styled-component":"../utils/get-styled-component.js","./utils/omit":"../utils/omit.js","./utils/ls":"../utils/ls.js","./utils/cookie":"../utils/cookie.js","./utils/token-writer":"../utils/token-writer.js","./utils/throttle":"../utils/throttle.js","./bundles/token":"../bundles/token.js","./footer":"../footer.js","./bundles/layout-ui":"../bundles/layout-ui.js","./question":"../question.js","./form":"../form.js","./form-fields":"../form-fields.js"}],"../colors.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colors = void 0;
var colors = {
  black: '#000',
  'near-black': '#111',
  'dark-gray': '#333',
  'mid-gray': '#5b7385',
  gray: '#a1afba',
  silver: '#999',
  'light-silver': '#aaa',
  'moon-gray': '#ccc',
  'light-gray': '#d0d7dc',
  'near-white': '#dbe1e5',
  white: '#fff',
  'black-90': 'rgba(0, 0, 0, 0.9)',
  'black-80': 'rgba(0, 0, 0, 0.8)',
  'black-70': 'rgba(0, 0, 0, 0.7)',
  'black-60': 'rgba(0, 0, 0, 0.6)',
  'black-50': 'rgba(0, 0, 0, 0.5)',
  'black-40': 'rgba(0, 0, 0, 0.4)',
  'black-30': 'rgba(0, 0, 0, 0.3)',
  'black-20': 'rgba(0, 0, 0, 0.2)',
  'black-10': 'rgba(0, 0, 0, 0.1)',
  'black-05': 'rgba(0, 0, 0, 0.05)',
  'black-025': 'rgba(0, 0, 0, 0.025)',
  'black-0125': 'rgba(0, 0, 0, 0.0125)',
  'white-90': 'rgba(255, 255, 255, 0.9)',
  'white-80': 'rgba(255, 255, 255, 0.8)',
  'white-70': 'rgba(255, 255, 255, 0.7)',
  'white-60': 'rgba(255, 255, 255, 0.6)',
  'white-50': 'rgba(255, 255, 255, 0.5)',
  'white-40': 'rgba(255, 255, 255, 0.4)',
  'white-30': 'rgba(255, 255, 255, 0.3)',
  'white-20': 'rgba(255, 255, 255, 0.2)',
  'white-10': 'rgba(255, 255, 255, 0.1)',
  'white-05': 'rgba(255, 255, 255, 0.05)',
  'white-025': 'rgba(255, 255, 255, 0.025)',
  'white-0125': 'rgba(255, 255, 255, 0.0125)',
  'dark-red': '#e7040f',
  red: '#ff0000',
  'light-red': '#ff725c',
  orange: '#ff6300',
  gold: '#ffb700',
  yellow: '#ffd700',
  'light-yellow': '#fbf1a9',
  purple: '#5e2ca5',
  'light-purple': '#a463f2',
  'dark-pink': '#d5008f',
  'hot-pink': '#ff41b4',
  pink: '#ff80cc',
  'light-pink': '#ffa3d7',
  'dark-green': '#19a974',
  green: '#0fdd83',
  'light-green': '#9eebcf',
  navy: '#357edd',
  'dark-blue': '#133651',
  blue: '#1f566f',
  'light-blue': '#53d6e4',
  'lightest-blue': '#bcebf1',
  'washed-blue': '#f6fffe',
  'washed-green': '#e8fdf5',
  'washed-yellow': '#fffceb',
  'washed-red': '#ffdfdf'
};
exports.colors = colors;
},{}],"section.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _crate = require("../crate");

var _default = function _default(_ref) {
  var title = _ref.title,
      children = _ref.children;
  return (0, _preact.h)(_crate.PageCrate, {
    wide: true,
    title: title
  }, children);
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","../crate":"../crate.js"}],"component-code.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _default = function _default(_ref) {
  var name = _ref.name,
      code = _ref.code,
      children = _ref.children;
  return (0, _preact.h)("div", {
    className: "bg-white pv3 br3 mt3"
  }, (0, _preact.h)("h3", {
    className: "mt0"
  }, name), (0, _preact.h)("div", {
    className: "fw6 mv2"
  }, "Code:"), (0, _preact.h)("code", {
    className: "light-blue dib bg-black-90 pa2 br2 overflow-x-auto w-100"
  }, (0, _preact.h)("pre", {
    className: "ma0 f6"
  }, code)), (0, _preact.h)("div", {
    className: "fw6 mv2"
  }, "Output:"), (0, _preact.h)("div", null, children));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js"}],"../utils/get-prop-variants.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var _default = function _default(definition) {
  var result = [];

  var addDimension = function addDimension(category, options) {
    var values = ['default'].concat(_toConsumableArray(options));

    if (!result.length) {
      result.push.apply(result, _toConsumableArray(values.map(function (value) {
        return _defineProperty({}, category, value);
      })));
      return;
    }

    values.forEach(function (value, i) {
      if (i === 0) {
        result.forEach(function (item) {
          item[category] = value;
        });
      } else {
        var copy = JSON.parse(JSON.stringify(result));
        copy.forEach(function (item) {
          item[category] = value;
        });
        result.push.apply(result, _toConsumableArray(copy));
      }
    });
  };

  Object.keys(definition).forEach(function (key) {
    addDimension(key, definition[key]);
  }); // remove defaults

  var propVariants = result.map(function (item) {
    var props = {};
    Object.keys(item).forEach(function (key) {
      var value = item[key];

      if (value !== 'default') {
        props[value] = true;
      }
    });
    return props;
  });
  var results = {};
  propVariants.forEach(function (props) {
    results[Object.keys(props).sort().join(',')] = true;
  });
  var deduped = Object.keys(results).map(function (key) {
    return key.split(',');
  });
  return deduped.map(function (propArray) {
    return propArray.reduce(function (result, item) {
      if (item) {
        result[item] = true;
      }

      return result;
    }, {});
  });
};

exports.default = _default;
},{}],"introspect.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _componentCode = _interopRequireDefault(require("./component-code"));

var _getPropVariants = _interopRequireDefault(require("../utils/get-prop-variants"));

var _omit = _interopRequireDefault(require("../utils/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var serializeProps = function serializeProps(props) {
  if (!props) {
    return '';
  }

  return Object.keys(props).reduce(function (buffer, prop) {
    var value = props[prop];
    return "".concat(buffer, " ").concat(prop).concat(value === true ? '' : "=\"".concat(value, "\""));
  }, '');
};

var componentString = function componentString(name, props, content) {
  return "<".concat(name).concat(serializeProps(props)).concat(content ? ">".concat(content, "</").concat(name) : " />");
};

var _default = function _default(_ref) {
  var Component = _ref.Component,
      children = _ref.children,
      name = _ref.name;
  var _Component$definition = Component.definition.options,
      options = _Component$definition === void 0 ? {} : _Component$definition;
  var variants = (0, _getPropVariants.default)(options);
  var code = variants.reduce(function (buff, props) {
    return buff + componentString(name, props, children) + '\n';
  }, '');
  return (0, _preact.h)(_componentCode.default, {
    name: name,
    code: code
  }, variants.map(function (props) {
    return (0, _preact.h)(Component, _extends({
      title: componentString(name, props, children)
    }, Object.assign({}, props, {
      children: children
    }), {
      className: "mr2 mb2"
    }));
  }));
};

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./component-code":"component-code.js","../utils/get-prop-variants":"../utils/get-prop-variants.js","../utils/omit":"../utils/omit.js"}],"dialog-section.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _dialog = require("./../dialog");

var _button = require("../button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var Container = /*#__PURE__*/function (_Component) {
  _inherits(Container, _Component);

  var _super = _createSuper(Container);

  function Container(props) {
    var _this;

    _classCallCheck(this, Container);

    _this = _super.call(this, props);
    _this.state = {
      open: false
    };

    _this.open = function () {
      return _this.setState({
        open: true
      });
    };

    _this.close = function () {
      return _this.setState({
        open: false
      });
    };

    return _this;
  }

  _createClass(Container, [{
    key: "render",
    value: function render(props, _ref) {
      var open = _ref.open;
      return (0, _preact.h)(_section.default, {
        title: "Dialog"
      }, (0, _preact.h)(_componentCode.default, {
        name: "Dialog",
        code: "<Dialog doClose={this.close} title=\"A Dialog\">\n  Hello there\n</Dialog>"
      }, (0, _preact.h)(_button.Button, {
        onClick: this.open
      }, "Open"), open && (0, _preact.h)(_dialog.Dialog, {
        doClose: this.close,
        title: "A Dialog with a really, really, ridiculously long title",
        bottom: (0, _preact.h)("div", null, (0, _preact.h)(_button.Button, {
          onClick: this.close
        }, "Done"))
      }, "Hello there", (0, _preact.h)("p", null, "long thing"), (0, _preact.h)("p", null, "long thing"), (0, _preact.h)(_button.Button, null, "Some button"))));
    }
  }]);

  return Container;
}(_preact.Component);

var _default = Container;
exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./section":"section.js","./component-code":"component-code.js","./../dialog":"../dialog.js","../button":"../button.js"}],"drugbox-section.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DrugBoxSection = void 0;

var _preact = require("preact");

var _2 = require("../");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var DrugBoxSection = /*#__PURE__*/function (_Component) {
  _inherits(DrugBoxSection, _Component);

  var _super = _createSuper(DrugBoxSection);

  function DrugBoxSection(props) {
    var _this;

    _classCallCheck(this, DrugBoxSection);

    _this = _super.call(this, props);
    _this.state = {
      flipped: false
    };
    return _this;
  }

  _createClass(DrugBoxSection, [{
    key: "render",
    value: function render(_, _ref) {
      var _this2 = this;

      var flipped = _ref.flipped;
      return (0, _preact.h)(_section.default, {
        title: "DrugBox"
      }, (0, _preact.h)(_componentCode.default, {
        name: "DrugBox FlipContainer",
        code: "<FlipContainer\n  direction=\"horizontal\"\n  perspective=\"2000px\"\n  front={\n    <DrugBox style={{ width: '200px' }}>\n      <div>\n        <p>Hi front</p>\n        <p>Stuff</p>\n        <p>Stuff</p>\n        <p>Stuff</p>\n        <p>Stuff</p>\n        <p>Stuff</p>\n        <p>Stuff</p>\n        <p>Stuff</p>\n      </div>\n    </DrugBox>\n  }\n  back={\n    <DrugBox style={{ width: '200px', height: '100%' }}>\n      <p>Hi back</p>\n      <p>Stuff</p>\n      <p>Stuff</p>\n      <p>Stuff</p>\n    </DrugBox>\n  }\n  width=\"200px\"\n  flipped={flipped}\n/>"
      }, (0, _preact.h)("button", {
        onClick: function onClick() {
          return _this2.setState({
            flipped: !flipped
          });
        }
      }, "flip"), (0, _preact.h)("div", {
        className: "flex items-center justify-between"
      }, (0, _preact.h)(_2.FlipContainer, {
        "data-e2e": "flipcontainer",
        className: "bg-blue",
        direction: "horizontal",
        perspective: "2000px",
        front: (0, _preact.h)(_2.DrugBox, null, (0, _preact.h)("div", null, (0, _preact.h)("p", null, "Hi front"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"))),
        back: (0, _preact.h)(_2.DrugBox, {
          style: {
            height: '100%'
          }
        }, (0, _preact.h)("p", null, "Hi back"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff")),
        width: "calc(50% - 8px)",
        flipped: flipped
      }), (0, _preact.h)(_2.FlipContainer, {
        direction: "horizontal",
        perspective: "2000px",
        front: (0, _preact.h)(_2.DrugBox, null, (0, _preact.h)("div", null, (0, _preact.h)("p", null, "Hi front"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"))),
        back: (0, _preact.h)(_2.DrugBox, {
          style: {
            height: '100%'
          }
        }, (0, _preact.h)("p", null, "Hi back"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff"), (0, _preact.h)("p", null, "Stuff")),
        width: "calc(50% - 8px)",
        flipped: flipped
      }))));
    }
  }]);

  return DrugBoxSection;
}(_preact.Component);

exports.DrugBoxSection = DrugBoxSection;
},{"preact":"../../node_modules/preact/dist/preact.module.js","../":"../index.js","./section":"section.js","./component-code":"component-code.js"}],"form-section.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormsSection = void 0;

var _preact = require("preact");

var _2 = require("../");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _question = require("../utils/question");

var _smartSuggestionUtils = require("../utils/smart-suggestion-utils");

var _button = require("../button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var fields = [{
  name: 'text',
  label: 'This is the "label"',
  subLabel: 'this is the subLabel',
  onInput: true
}, {
  name: 'textWithSuggestions',
  label: 'This one has smart suggestions',
  subLabel: 'this is the subLabel',
  autoSuggestType: 'single',
  onInput: true
}, {
  name: 'medications',
  label: 'Multi-medication',
  type: 'medications'
}, {
  name: 'medication',
  label: 'Single Medication',
  type: 'medication'
}, {
  name: 'signature',
  label: 'Signature',
  type: 'signature',
  signatureLineName: 'Someone'
}, {
  label: 'Incrementor Field',
  name: 'incrementor',
  type: 'incrementor',
  fieldSpecificProps: {
    showStep: false,
    width: '140px',
    min: -5,
    max: 5
  },
  test: function test(val) {
    return val < 1 ? 'value has to be more than zero' : '';
  }
}, {
  label: 'Secured By',
  name: 'securedWith',
  type: 'choices',
  choices: [(0, _question.choice)('Tape'), (0, _question.choice)('Tegaderm')],
  showOther: true
}];

var FormsSection = /*#__PURE__*/function (_Component) {
  _inherits(FormsSection, _Component);

  var _super = _createSuper(FormsSection);

  function FormsSection(props) {
    var _this;

    _classCallCheck(this, FormsSection);

    _this = _super.call(this, props);
    _this.state = {
      incrementor: 0
    };
    fields.forEach(function (field) {
      if (!_this.state.hasOwnProperty(field.name)) {
        _this.state[field.name] = '';
      }
    });
    return _this;
  }

  _createClass(FormsSection, [{
    key: "updateValue",
    value: function updateValue(updates) {
      this.setState(updates, function () {});
    }
  }, {
    key: "render",
    value: function render(_, state) {
      var _this2 = this;

      var processedFields = (0, _smartSuggestionUtils.buildQuestionList)(fields, this.state, {
        textWithSuggestions: {
          suggestions: [{
            score: 2,
            phrase: 'Jsjsj'
          }],
          deleting: false
        }
      });
      return (0, _preact.h)(_section.default, {
        title: "Forms"
      }, (0, _preact.h)(_componentCode.default, {
        name: "Form",
        code: "<Form\n  autocomplete=\"off\"\n  onSubmit={() => {\n    !state.missingItems && alert('finished')\n  }}\n  updateValue={updates => this.updateValue(updates)}\n  removeSuggestion={(fieldName, suggestion) =>\n    alert(`removeSuggestion(\"${fieldName}\", \"${suggestion}\")`)\n  }\n  fields={processedFields}\n  bottom={\n    <div>\n      <Button>Submit</Button>\n    </div>\n  }\n/>"
      }, (0, _preact.h)(_2.Form, {
        autocomplete: "off",
        onSubmit: function onSubmit() {
          alert('submit called');
        },
        updateValue: function updateValue(updates) {
          return _this2.updateValue(updates);
        },
        removeSuggestion: function removeSuggestion(fieldName, suggestion) {
          return alert("removeSuggestion(\"".concat(fieldName, "\", \"").concat(suggestion, "\")"));
        },
        fields: processedFields,
        bottom: (0, _preact.h)("div", {
          className: "mv3"
        }, (0, _preact.h)(_button.Button, {
          primary: true,
          large: true,
          type: "submit"
        }, "Submit"))
      }), (0, _preact.h)("div", {
        className: "f7"
      }, "Form Definition:", (0, _preact.h)("pre", null, (0, _preact.h)("code", {
        className: "f7"
      }, JSON.stringify(processedFields, null, 2))), "Form state:", (0, _preact.h)("pre", null, (0, _preact.h)("code", {
        className: "f7"
      }, JSON.stringify(state, null, 2))))));
    }
  }]);

  return FormsSection;
}(_preact.Component);

exports.FormsSection = FormsSection;
},{"preact":"../../node_modules/preact/dist/preact.module.js","../":"../index.js","./section":"section.js","./component-code":"component-code.js","../utils/question":"../utils/question.js","../utils/smart-suggestion-utils":"../utils/smart-suggestion-utils.js","../button":"../button.js"}],"sections.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ColorSection: true,
  ButtonSection: true,
  LinkSection: true,
  LogoSection: true,
  InputSection: true,
  IconSection: true,
  MessagePageCrateSection: true,
  DialogSection: true,
  DrugBoxSection: true
};
Object.defineProperty(exports, "DialogSection", {
  enumerable: true,
  get: function () {
    return _dialogSection.default;
  }
});
Object.defineProperty(exports, "DrugBoxSection", {
  enumerable: true,
  get: function () {
    return _drugboxSection.DrugBoxSection;
  }
});
exports.MessagePageCrateSection = exports.IconSection = exports.InputSection = exports.LogoSection = exports.LinkSection = exports.ButtonSection = exports.ColorSection = void 0;

var _preact = require("preact");

var _ = require("../");

var _colors = require("../colors");

var _section = _interopRequireDefault(require("./section"));

var _componentCode = _interopRequireDefault(require("./component-code"));

var _introspect = _interopRequireDefault(require("./introspect"));

var _checkMark = require("../check-mark");

var _dialogSection = _interopRequireDefault(require("./dialog-section"));

var _drugboxSection = require("./drugbox-section");

var _formSection = require("./form-section");

Object.keys(_formSection).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formSection[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ColorSection = function ColorSection() {
  return (0, _preact.h)(_section.default, {
    title: "Colors"
  }, (0, _preact.h)("div", {
    className: "flex flex-wrap items-center"
  }, Object.keys(_colors.colors).map(function (name) {
    return (0, _preact.h)("div", {
      className: "mb2 mr2"
    }, (0, _preact.h)("div", {
      className: "ba b--light-gray mb1 w4 h2 bg-".concat(name)
    }), (0, _preact.h)("div", {
      className: "f7"
    }, name));
  })));
};

exports.ColorSection = ColorSection;

var ButtonSection = function ButtonSection() {
  return (0, _preact.h)(_section.default, {
    title: "Buttons"
  }, (0, _preact.h)(_introspect.default, {
    Component: _.Button,
    name: "Button",
    children: "Button"
  }));
};

exports.ButtonSection = ButtonSection;

var LinkSection = function LinkSection() {
  return (0, _preact.h)(_section.default, {
    title: "Links"
  }, (0, _preact.h)(_componentCode.default, {
    name: "Link",
    code: "<Link href='something'>hi</Link>"
  }, (0, _preact.h)(_.Link, {
    href: "something"
  }, "Some text")), (0, _preact.h)(_componentCode.default, {
    name: "SupportLink",
    code: "<SupportLink />"
  }, (0, _preact.h)(_.SupportLink, null)));
};

exports.LinkSection = LinkSection;

var LogoSection = function LogoSection() {
  return (0, _preact.h)(_section.default, {
    title: "Logos"
  }, (0, _preact.h)(_componentCode.default, {
    name: "LogoLight",
    code: "<LogoLight className=\"w5\" />"
  }, (0, _preact.h)(_.LogoLight, {
    className: "w5"
  })), (0, _preact.h)(_componentCode.default, {
    name: "LogoDark",
    code: "<div className=\"bg-dark-blue pa3 w5\">\n  <LogoDark />\n</div>"
  }, (0, _preact.h)("div", {
    className: "bg-dark-blue pa3 w5"
  }, (0, _preact.h)(_.LogoDark, null))));
};

exports.LogoSection = LogoSection;

var InputSection = function InputSection() {
  return (0, _preact.h)(_section.default, {
    title: "Inputs"
  }, (0, _preact.h)(_componentCode.default, {
    name: "Input",
    code: "<Input />"
  }, (0, _preact.h)(_.Input, null)), (0, _preact.h)(_componentCode.default, {
    name: "Select",
    code: "<Select>\n  <option>option 1</option>\n  <option>option 2</option>\n</Select>"
  }, (0, _preact.h)(_.Select, null, (0, _preact.h)("option", null, "option 1"), (0, _preact.h)("option", null, "option 2"))), (0, _preact.h)(_componentCode.default, {
    name: "Textarea",
    code: "<Textarea />"
  }, (0, _preact.h)(_.Textarea, null)), (0, _preact.h)(_componentCode.default, {
    name: "TooltipButton",
    code: "<TooltipButton />"
  }, (0, _preact.h)(_.TooltipButton, {
    text: "some content"
  }, "Stuff goes here")), (0, _preact.h)(_componentCode.default, {
    name: "CheckMark",
    code: "<CheckMark />"
  }, (0, _preact.h)(_checkMark.CheckMark, {
    name: "name",
    label: "something"
  })));
};

exports.InputSection = InputSection;

var IconSection = function IconSection() {
  return (0, _preact.h)(_section.default, {
    title: "Icons"
  }, (0, _preact.h)(_componentCode.default, {
    name: "Icon",
    code: "<Icon icon=\"pill\" />\n<Icon icon=\"close\" />"
  }, (0, _preact.h)(_.Icon, {
    icon: "pill"
  }), (0, _preact.h)(_.Icon, {
    icon: "close"
  })));
};

exports.IconSection = IconSection;

var MessagePageCrateSection = function MessagePageCrateSection() {
  return (0, _preact.h)(_section.default, {
    title: "Message Page Crate"
  }, (0, _preact.h)(_componentCode.default, {
    name: "MessagePageCrate",
    code: "<MessagePageCrate loading>Loading</MessagePageCrate>\n<MessagePageCrate warning>Uh oh!</MessagePageCrate>\n<MessagePageCrate error>Aw Crap!</MessagePageCrate>"
  }, (0, _preact.h)(_.MessagePageCrate, null, "Hello there!"), (0, _preact.h)(_.MessagePageCrate, {
    noShadow: true,
    wide: true,
    loading: true
  }, "Loading"), (0, _preact.h)(_.MessagePageCrate, {
    warning: true,
    wide: true
  }, "Uh oh!"), (0, _preact.h)(_.MessagePageCrate, {
    error: true
  }, "Aw Crap!"), (0, _preact.h)(_.MessagePageCrate, {
    success: true
  }, "Success!")));
};

exports.MessagePageCrateSection = MessagePageCrateSection;
},{"preact":"../../node_modules/preact/dist/preact.module.js","../":"../index.js","../colors":"../colors.js","./section":"section.js","./component-code":"component-code.js","./introspect":"introspect.js","../check-mark":"../check-mark.js","./dialog-section":"dialog-section.js","./drugbox-section":"drugbox-section.js","./form-section":"form-section.js"}],"../../package.json":[function(require,module,exports) {
module.exports = {
  "name": "ac-patterns",
  "version": "2.2.7",
  "main": "dist/index.node.js",
  "module": "dist/index.js",
  "scripts": {
    "start": "parcel component-library/site/index.html -d dist --public-url / --port 3000",
    "prepublishOnly": "npm run build",
    "build": "npm run build-module && npm run build-css && npm run build-umd",
    "build-module": "babel component-library --out-dir dist",
    "build-umd": "parcel build component-library/index.js --out-file dist/index.node.js --no-source-maps",
    "build-css": "cd tachyons-ac && npm run build && cd .. && cpy tachyons-ac/css/tachyons.css dist/",
    "build-site": "parcel build component-library/site/index.html -d site --public-url / --no-minify"
  },
  "keywords": [],
  "author": "Henrik Joreteg <henrik@joreteg.com> (joreteg.com)",
  "license": "MIT",
  "devDependencies": {
    "@babel/cli": "7.12.10",
    "@babel/core": "7.12.10",
    "@babel/preset-env": "7.12.11",
    "@henrikjoreteg/babel-preset-preact": "1.0.0",
    "cpy-cli": "^3.1.1",
    "parcel": "1.12.4",
    "redux-bundler": "28.0.0",
    "redux-bundler-preact": "2.0.1",
    "tachyons-cli": "1.3.3"
  },
  "browserslist": ["defaults", "safari 11"],
  "dependencies": {
    "classnames": "2.2.6",
    "milliseconds": "1.0.3",
    "money-clip": "3.0.3",
    "preact": "10.5.12",
    "tryit": "1.0.3"
  },
  "prettier": {
    "semi": false,
    "singleQuote": true,
    "trailingComma": "none",
    "arrowParens": "avoid"
  },
  "files": ["dist"]
};
},{}],"layout.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var sections = _interopRequireWildcard(require("./sections"));

var _drawer = require("../drawer");

var _crate = require("../crate");

var _appLayout = require("../app-layout");

var _package = require("../../package.json");

var _logo = require("../logo");

var _button = require("../button");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var guessEnv = function guessEnv() {
  var host = window.location.host;

  if (host.includes('dev')) {
    return 'dev';
  }

  if (host.includes('stage')) {
    return 'stage';
  }

  if (host.includes('localhost')) {
    return 'local';
  }

  return 'prod';
};

var _default = /*#__PURE__*/function (_Component) {
  _inherits(_default, _Component);

  var _super = _createSuper(_default);

  function _default(props) {
    var _this;

    _classCallCheck(this, _default);

    _this = _super.call(this, props);
    _this.state = {
      screenIsWide: _this.isScreenWide(),
      drawerOpen: false,
      drawerEnabled: true,
      activeHash: ''
    };
    _this.toggleDrawerOpen = _this.toggleDrawerOpen.bind(_assertThisInitialized(_this));
    _this.toggleDrawerEnabled = _this.toggleDrawerEnabled.bind(_assertThisInitialized(_this));
    _this.handleResize = _this.handleResize.bind(_assertThisInitialized(_this));
    _this.handleHashChange = _this.handleHashChange.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(_default, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      window.addEventListener('resize', this.handleResize, {
        passive: true
      });
      window.addEventListener('hashchange', this.handleHashChange);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.handleResize, {
        passive: true
      });
    }
  }, {
    key: "handleHashChange",
    value: function handleHashChange() {
      this.setState({
        activeHash: location.hash
      });
    }
  }, {
    key: "toggleDrawerOpen",
    value: function toggleDrawerOpen() {
      this.setState({
        drawerOpen: !this.state.drawerOpen
      });
    }
  }, {
    key: "toggleDrawerEnabled",
    value: function toggleDrawerEnabled() {
      this.setState({
        drawerEnabled: !this.state.drawerEnabled
      });
    }
  }, {
    key: "handleResize",
    value: function handleResize() {
      var isWide = this.isScreenWide();

      if (isWide !== this.state.screenIsWide) {
        this.setState({
          screenIsWide: isWide
        });
      }
    }
  }, {
    key: "isScreenWide",
    value: function isScreenWide() {
      return window.innerWidth > 960;
    }
  }, {
    key: "render",
    value: function render(_, _ref) {
      var _this2 = this;

      var screenIsWide = _ref.screenIsWide,
          drawerEnabled = _ref.drawerEnabled,
          drawerOpen = _ref.drawerOpen,
          activeHash = _ref.activeHash;
      return (0, _preact.h)(_appLayout.AppLayout, {
        version: _package.version,
        env: guessEnv(),
        doCloseDrawer: this.toggleDrawerOpen,
        doOpenDrawer: this.toggleDrawerOpen,
        screenIsWide: screenIsWide,
        drawerEnabled: drawerEnabled,
        drawerOpen: drawerOpen,
        mainContent: (0, _preact.h)(_crate.Page, {
          className: "ph3"
        }, Object.keys(sections).sort().map(function (section) {
          var Component = sections[section];
          return (0, _preact.h)("div", {
            id: section
          }, (0, _preact.h)(Component, {
            key: section
          }));
        })),
        statusBarContent: (0, _preact.h)("div", {
          className: "pa2 flex items-center"
        }, (0, _preact.h)(_button.TapIconButton, {
          icon: "menu",
          onClick: this.toggleDrawerOpen,
          className: "dn-l"
        }), (0, _preact.h)(_logo.LogoLightMark, {
          className: "dn-l ml2",
          style: {
            width: '30px'
          }
        }), (0, _preact.h)("h2", {
          className: "pv0 mv2 f4 ml2"
        }, "Pattern Library")),
        drawerContent: (0, _preact.h)("div", null, (0, _preact.h)(_drawer.DrawerLinkContainer, {
          title: "Components"
        }, Object.keys(sections).map(function (section) {
          return (0, _preact.h)(_drawer.DrawerLink, {
            icon: "polymer",
            href: "#".concat(section),
            onClick: _this2.toggleDrawerOpen,
            title: section,
            complete: activeHash === "#".concat(section)
          });
        })))
      });
    }
  }]);

  return _default;
}(_preact.Component);

exports.default = _default;
},{"preact":"../../node_modules/preact/dist/preact.module.js","./sections":"sections.js","../drawer":"../drawer.js","../crate":"../crate.js","../app-layout":"../app-layout.js","../../package.json":"../../package.json","../logo":"../logo.js","../button":"../button.js"}],"index.js":[function(require,module,exports) {
"use strict";

var _preact = require("preact");

var _layout = _interopRequireDefault(require("./layout"));

var cookie = _interopRequireWildcard(require("../utils/token-writer"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

window.cookieHelper = cookie;
(0, _preact.render)((0, _preact.h)("div", {
  id: "app"
}, (0, _preact.h)(_layout.default, null)), document.body, document.getElementById('app')); // if (module.hot) {
//   module.hot.dispose(() => {
//     document.getElementById('app').innerHTML = ''
//   })
// }
},{"preact":"../../node_modules/preact/dist/preact.module.js","./layout":"layout.js","../utils/token-writer":"../utils/token-writer.js"}],"../../node_modules/parcel/src/builtins/hmr-runtime.js":[function(require,module,exports) {
var global = arguments[3];
var OVERLAY_ID = '__parcel__error__overlay__';
var OldModule = module.bundle.Module;

function Module(moduleName) {
  OldModule.call(this, moduleName);
  this.hot = {
    data: module.bundle.hotData,
    _acceptCallbacks: [],
    _disposeCallbacks: [],
    accept: function (fn) {
      this._acceptCallbacks.push(fn || function () {});
    },
    dispose: function (fn) {
      this._disposeCallbacks.push(fn);
    }
  };
  module.bundle.hotData = null;
}

module.bundle.Module = Module;
var checkedAssets, assetsToAccept;
var parent = module.bundle.parent;

if ((!parent || !parent.isParcelRequire) && typeof WebSocket !== 'undefined') {
  var hostname = "" || location.hostname;
  var protocol = location.protocol === 'https:' ? 'wss' : 'ws';
  var ws = new WebSocket(protocol + '://' + hostname + ':' + "51286" + '/');

  ws.onmessage = function (event) {
    checkedAssets = {};
    assetsToAccept = [];
    var data = JSON.parse(event.data);

    if (data.type === 'update') {
      var handled = false;
      data.assets.forEach(function (asset) {
        if (!asset.isNew) {
          var didAccept = hmrAcceptCheck(global.parcelRequire, asset.id);

          if (didAccept) {
            handled = true;
          }
        }
      }); // Enable HMR for CSS by default.

      handled = handled || data.assets.every(function (asset) {
        return asset.type === 'css' && asset.generated.js;
      });

      if (handled) {
        console.clear();
        data.assets.forEach(function (asset) {
          hmrApply(global.parcelRequire, asset);
        });
        assetsToAccept.forEach(function (v) {
          hmrAcceptRun(v[0], v[1]);
        });
      } else if (location.reload) {
        // `location` global exists in a web worker context but lacks `.reload()` function.
        location.reload();
      }
    }

    if (data.type === 'reload') {
      ws.close();

      ws.onclose = function () {
        location.reload();
      };
    }

    if (data.type === 'error-resolved') {
      console.log('[parcel] ✨ Error resolved');
      removeErrorOverlay();
    }

    if (data.type === 'error') {
      console.error('[parcel] 🚨  ' + data.error.message + '\n' + data.error.stack);
      removeErrorOverlay();
      var overlay = createErrorOverlay(data);
      document.body.appendChild(overlay);
    }
  };
}

function removeErrorOverlay() {
  var overlay = document.getElementById(OVERLAY_ID);

  if (overlay) {
    overlay.remove();
  }
}

function createErrorOverlay(data) {
  var overlay = document.createElement('div');
  overlay.id = OVERLAY_ID; // html encode message and stack trace

  var message = document.createElement('div');
  var stackTrace = document.createElement('pre');
  message.innerText = data.error.message;
  stackTrace.innerText = data.error.stack;
  overlay.innerHTML = '<div style="background: black; font-size: 16px; color: white; position: fixed; height: 100%; width: 100%; top: 0px; left: 0px; padding: 30px; opacity: 0.85; font-family: Menlo, Consolas, monospace; z-index: 9999;">' + '<span style="background: red; padding: 2px 4px; border-radius: 2px;">ERROR</span>' + '<span style="top: 2px; margin-left: 5px; position: relative;">🚨</span>' + '<div style="font-size: 18px; font-weight: bold; margin-top: 20px;">' + message.innerHTML + '</div>' + '<pre>' + stackTrace.innerHTML + '</pre>' + '</div>';
  return overlay;
}

function getParents(bundle, id) {
  var modules = bundle.modules;

  if (!modules) {
    return [];
  }

  var parents = [];
  var k, d, dep;

  for (k in modules) {
    for (d in modules[k][1]) {
      dep = modules[k][1][d];

      if (dep === id || Array.isArray(dep) && dep[dep.length - 1] === id) {
        parents.push(k);
      }
    }
  }

  if (bundle.parent) {
    parents = parents.concat(getParents(bundle.parent, id));
  }

  return parents;
}

function hmrApply(bundle, asset) {
  var modules = bundle.modules;

  if (!modules) {
    return;
  }

  if (modules[asset.id] || !bundle.parent) {
    var fn = new Function('require', 'module', 'exports', asset.generated.js);
    asset.isNew = !modules[asset.id];
    modules[asset.id] = [fn, asset.deps];
  } else if (bundle.parent) {
    hmrApply(bundle.parent, asset);
  }
}

function hmrAcceptCheck(bundle, id) {
  var modules = bundle.modules;

  if (!modules) {
    return;
  }

  if (!modules[id] && bundle.parent) {
    return hmrAcceptCheck(bundle.parent, id);
  }

  if (checkedAssets[id]) {
    return;
  }

  checkedAssets[id] = true;
  var cached = bundle.cache[id];
  assetsToAccept.push([bundle, id]);

  if (cached && cached.hot && cached.hot._acceptCallbacks.length) {
    return true;
  }

  return getParents(global.parcelRequire, id).some(function (id) {
    return hmrAcceptCheck(global.parcelRequire, id);
  });
}

function hmrAcceptRun(bundle, id) {
  var cached = bundle.cache[id];
  bundle.hotData = {};

  if (cached) {
    cached.hot.data = bundle.hotData;
  }

  if (cached && cached.hot && cached.hot._disposeCallbacks.length) {
    cached.hot._disposeCallbacks.forEach(function (cb) {
      cb(bundle.hotData);
    });
  }

  delete bundle.cache[id];
  bundle(id);
  cached = bundle.cache[id];

  if (cached && cached.hot && cached.hot._acceptCallbacks.length) {
    cached.hot._acceptCallbacks.forEach(function (cb) {
      cb();
    });

    return true;
  }
}
},{}]},{},["../../node_modules/parcel/src/builtins/hmr-runtime.js","index.js"], null)
//# sourceMappingURL=/site.e31bb0bc.js.map